------------------------------------------------------------------------
r23968 | fkuehne | 2007-12-31 17:29:40 +0100 (Mon, 31 Dec 2007) | 1 line
Changed paths:
   M /trunk/extras/contrib/src/packages.mak

 typo
------------------------------------------------------------------------
r23967 | fkuehne | 2007-12-31 15:24:21 +0100 (Mon, 31 Dec 2007) | 1 line
Changed paths:
   M /trunk/extras/contrib/src/packages.mak

contrib: mirror the packages by GNUPG on ganesh as their server is constantly unreachable
------------------------------------------------------------------------
r23966 | fkuehne | 2007-12-31 15:08:05 +0100 (Mon, 31 Dec 2007) | 1 line
Changed paths:
   M /trunk/NEWS
   M /trunk/modules/gui/macosx/macosx.m
   M /trunk/modules/gui/macosx/playlist.m

macosx: added an option to disable the 'Recent Items' list as requested by multiple forum users (closes #1340)
------------------------------------------------------------------------
r23965 | ileoo | 2007-12-31 13:16:53 +0100 (Mon, 31 Dec 2007) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/interface_widgets.cpp
   M /trunk/modules/gui/qt4/components/interface_widgets.hpp
   M /trunk/modules/gui/qt4/input_manager.cpp
   M /trunk/modules/gui/qt4/input_manager.hpp

add artChanged signal to inputmanager and change backgroundwidget to use
it.

------------------------------------------------------------------------
r23962 | fkuehne | 2007-12-31 11:01:24 +0100 (Mon, 31 Dec 2007) | 1 line
Changed paths:
   M /trunk/extras/MacOSX/vlc.xcodeproj/project.pbxproj

osx-proj: fix ogg format descriptions and add media types (refs #1279). Patch by Saoshyant
------------------------------------------------------------------------
r23960 | funman | 2007-12-31 04:02:30 +0100 (Mon, 31 Dec 2007) | 1 line
Changed paths:
   M /trunk/extras/mpris.py

mpris controller: update to new api
------------------------------------------------------------------------
r23959 | pdherbemont | 2007-12-31 03:09:31 +0100 (Mon, 31 Dec 2007) | 2 lines
Changed paths:
   M /trunk/src/control/media_list_view.c

Remove unwanted part in previous commit.

------------------------------------------------------------------------
r23958 | pdherbemont | 2007-12-31 03:07:38 +0100 (Mon, 31 Dec 2007) | 2 lines
Changed paths:
   M /trunk/src/control/media_list_view.c

media_list_view.c: Properly forward all items added events.

------------------------------------------------------------------------
r23957 | pdherbemont | 2007-12-31 03:06:53 +0100 (Mon, 31 Dec 2007) | 2 lines
Changed paths:
   M /trunk/src/control/flat_media_list_view.c
   M /trunk/src/control/media_list.c

flat_media_list_view.c: Add some debug facilities.

------------------------------------------------------------------------
r23956 | funman | 2007-12-31 02:34:58 +0100 (Mon, 31 Dec 2007) | 2 lines
Changed paths:
   M /trunk/include/vlc_update.h
   M /trunk/src/misc/update.c

update: use PGP to authenticate status file and downloaded binaries

------------------------------------------------------------------------
r23955 | funman | 2007-12-30 23:38:21 +0100 (Sun, 30 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/main_interface.cpp

authorisation -> authorization

------------------------------------------------------------------------
r23954 | fkuehne | 2007-12-30 23:08:08 +0100 (Sun, 30 Dec 2007) | 1 line
Changed paths:
   M /trunk/Makefile.am

makefile: we want to use spaces instead of tabs. sorry for the disturbance
------------------------------------------------------------------------
r23952 | funman | 2007-12-30 21:54:02 +0100 (Sun, 30 Dec 2007) | 1 line
Changed paths:
   M /trunk/modules/gui/ncurses.c

ncurses: use directory:// URI when adding a directory to playlist
------------------------------------------------------------------------
r23951 | funman | 2007-12-30 21:14:31 +0100 (Sun, 30 Dec 2007) | 1 line
Changed paths:
   M /trunk/modules/demux/playlist/xspf.c

fix #1421
------------------------------------------------------------------------
r23950 | funman | 2007-12-30 19:40:53 +0100 (Sun, 30 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/demux/playlist/xspf.c

fix #1244

------------------------------------------------------------------------
r23949 | funman | 2007-12-30 19:24:10 +0100 (Sun, 30 Dec 2007) | 5 lines
Changed paths:
   M /trunk/include/vlc_events.h
   M /trunk/include/vlc_input.h
   M /trunk/modules/demux/playlist/asx.c
   M /trunk/modules/demux/playlist/b4s.c
   M /trunk/modules/demux/playlist/dvb.c
   M /trunk/modules/demux/playlist/gvp.c
   M /trunk/modules/demux/playlist/ifo.c
   M /trunk/modules/demux/playlist/itml.c
   M /trunk/modules/demux/playlist/m3u.c
   M /trunk/modules/demux/playlist/pls.c
   M /trunk/modules/demux/playlist/podcast.c
   M /trunk/modules/demux/playlist/qtl.c
   M /trunk/modules/demux/playlist/sgimb.c
   M /trunk/modules/demux/playlist/shoutcast.c
   M /trunk/modules/demux/playlist/xspf.c
   M /trunk/modules/misc/lua/vlc.c
   M /trunk/src/playlist/item.c
   M /trunk/src/playlist/loadsave.c

fix #1410.
You can not change a playlist_item_t to be a node, when you previously registered events on it, using input_item_t sub items adding event, because the pointer will be destroyed.
If you want to use nodes anyway, you have to explicitely create them.
Note: we were lucky that xspf did work so far, because we were EXCLUSIVELY using invalid pointers, except for the 1st item being added to each playlist_item_t (it did happen before the conversion obviously).

------------------------------------------------------------------------
r23948 | pdherbemont | 2007-12-30 18:48:26 +0100 (Sun, 30 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/audio_filter/converter/dtstospdif.c

dtstospdif.c: Fix spdif type on big endian stream. (Patch by Julien Robert).

------------------------------------------------------------------------
r23947 | fkuehne | 2007-12-30 17:39:23 +0100 (Sun, 30 Dec 2007) | 1 line
Changed paths:
   M /trunk/Makefile.am

arf
------------------------------------------------------------------------
r23946 | fkuehne | 2007-12-30 17:38:27 +0100 (Sun, 30 Dec 2007) | 1 line
Changed paths:
   M /trunk/Makefile.am

Makefile: correctly distribute .hosts within VLC-release.app
------------------------------------------------------------------------
r23942 | fkuehne | 2007-12-30 15:53:00 +0100 (Sun, 30 Dec 2007) | 1 line
Changed paths:
   M /trunk/modules/gui/macosx/intf.h
   M /trunk/modules/gui/macosx/intf.m
   M /trunk/modules/gui/macosx/prefs.m

macosx: don't allow the user to open the preferences window multiple times (leading to orphan pref windows which can't be controlled)
------------------------------------------------------------------------
r23941 | pdherbemont | 2007-12-30 05:25:04 +0100 (Sun, 30 Dec 2007) | 2 lines
Changed paths:
   M /trunk/THANKS
   M /trunk/modules/audio_filter/converter/dtstospdif.c

audio_filter/converter/dtstospdif.c: Fix odd frame sized DTS conversion to SPDIF. Patch by Julien Robert <jul at mac.com>. (Reported to fix most of the current DTS issues).

------------------------------------------------------------------------
r23940 | pdherbemont | 2007-12-30 02:50:14 +0100 (Sun, 30 Dec 2007) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/Framework/Sources/VLCMedia.m

MacOSX/Framework/VLCMedia.m: Update the subitems on sub item additions.

------------------------------------------------------------------------
r23939 | pdherbemont | 2007-12-30 02:46:12 +0100 (Sun, 30 Dec 2007) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/Framework/Headers/Public/VLCMediaList.h
   M /trunk/extras/MacOSX/Framework/Sources/VLCMediaList.m

MacOSX/Framework/VLCMediaList.m: new aspect for the node hierarchy view.

------------------------------------------------------------------------
r23938 | pdherbemont | 2007-12-30 02:18:00 +0100 (Sun, 30 Dec 2007) | 2 lines
Changed paths:
   M /trunk/include/vlc/libvlc.h

libvlc.h: Publish libvlc_media_list_hierarchical_node_view().

------------------------------------------------------------------------
r23937 | pdherbemont | 2007-12-30 02:17:15 +0100 (Sun, 30 Dec 2007) | 2 lines
Changed paths:
   M /trunk/src/Makefile.am
   A /trunk/src/control/hierarchical_node_media_list_view.c (from /trunk/src/control/hierarchical_media_list_view.c:23862)

control/hierarchical_node_media_list_view.c: Implement a view that only show the node of the media list, hierarchically.

------------------------------------------------------------------------
r23936 | xtophe | 2007-12-30 00:25:52 +0100 (Sun, 30 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/qt4.cpp

Only do translation in Qt when asked.

------------------------------------------------------------------------
r23935 | funman | 2007-12-29 22:35:13 +0100 (Sat, 29 Dec 2007) | 1 line
Changed paths:
   M /trunk/src/playlist/item.c

simplify *install_input_item_observer()
------------------------------------------------------------------------
r23934 | funman | 2007-12-29 22:28:44 +0100 (Sat, 29 Dec 2007) | 1 line
Changed paths:
   M /trunk/src/playlist/loadsave.c

fix input item mem leak
------------------------------------------------------------------------
r23933 | xtophe | 2007-12-29 19:30:42 +0100 (Sat, 29 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/video_filter/Modules.am

Distribute filter_picture.h

------------------------------------------------------------------------
r23932 | pdherbemont | 2007-12-29 18:08:56 +0100 (Sat, 29 Dec 2007) | 2 lines
Changed paths:
   M /trunk/src/control/hierarchical_media_list_view.c

hierarchical_media_list_view.c: Fix a mlist mem leak.

------------------------------------------------------------------------
r23931 | pdherbemont | 2007-12-29 18:02:41 +0100 (Sat, 29 Dec 2007) | 2 lines
Changed paths:
   M /trunk/src/control/hierarchical_media_list_view.c

control/hierarchical_media_list_view.c: Fix a media descriptor leak.

------------------------------------------------------------------------
r23930 | funman | 2007-12-29 15:32:01 +0100 (Sat, 29 Dec 2007) | 1 line
Changed paths:
   M /trunk/modules/demux/playlist/xspf.c

cosmetics
------------------------------------------------------------------------
r23929 | pdherbemont | 2007-12-29 15:26:19 +0100 (Sat, 29 Dec 2007) | 2 lines
Changed paths:
   M /trunk/src/playlist/item.c

Fix previous commit ;.

------------------------------------------------------------------------
r23928 | pdherbemont | 2007-12-29 15:25:14 +0100 (Sat, 29 Dec 2007) | 2 lines
Changed paths:
   M /trunk/src/playlist/item.c

playlist/item.c: Properly release the input_item as pointed by funman.

------------------------------------------------------------------------
r23926 | pdherbemont | 2007-12-29 04:31:25 +0100 (Sat, 29 Dec 2007) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/Framework/Headers/Public/VLCMediaPlayer.h
   M /trunk/extras/MacOSX/Framework/Sources/VLCMediaPlayer.m

MacOSX/Framework/VLCMediaPlayer.m: -isSeekable.

------------------------------------------------------------------------
r23925 | pdherbemont | 2007-12-29 04:29:10 +0100 (Sat, 29 Dec 2007) | 2 lines
Changed paths:
   M /trunk/include/vlc/libvlc.h
   M /trunk/src/control/media_instance.c

control/media_instance.c: Publish is_seekable().

------------------------------------------------------------------------
r23924 | pdherbemont | 2007-12-29 03:46:12 +0100 (Sat, 29 Dec 2007) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/Framework/Headers/Public/VLC.h

MacOSX/Framework/VLC.h: Add VLCMediaPlayer.h.

------------------------------------------------------------------------
r23923 | pdherbemont | 2007-12-29 03:45:41 +0100 (Sat, 29 Dec 2007) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/Framework/Headers/Public/VLCMediaPlayer.h
   M /trunk/extras/MacOSX/Framework/Sources/VLCMediaPlayer.m

Sources/VLCMediaPlayer.m: Position getters and setters.

------------------------------------------------------------------------
r23922 | pdherbemont | 2007-12-29 03:44:32 +0100 (Sat, 29 Dec 2007) | 2 lines
Changed paths:
   M /trunk/src/control/media_instance.c

src/control/media_instance.c: Don't wait to have modulo something, to forward the time, that could be crazy.

------------------------------------------------------------------------
r23921 | pdherbemont | 2007-12-29 02:29:48 +0100 (Sat, 29 Dec 2007) | 6 lines
Changed paths:
   M /trunk/include/vlc/libvlc_structures.h
   M /trunk/src/control/event.c
   M /trunk/src/control/media_instance.c

control/media_instance.c:
* Implement MediaInstancePositionChanged and MediaInstanceTimeChanged accurately.
control/event.c:
* Register the all event types.
* Don't strdup() in libvlc_event_type_name().

------------------------------------------------------------------------
r23920 | fkuehne | 2007-12-29 01:41:01 +0100 (Sat, 29 Dec 2007) | 1 line
Changed paths:
   M /trunk/modules/gui/macosx/embeddedwindow.m
   M /trunk/modules/gui/macosx/intf.m

macosx: fixed 2 appearance bugs introduced in [23908]
------------------------------------------------------------------------
r23919 | pdherbemont | 2007-12-29 01:11:36 +0100 (Sat, 29 Dec 2007) | 2 lines
Changed paths:
   M /trunk/src/control/media_instance.c

media_instance.c: Fix the position callback to retun the time. (Next time, we'll fix it to return the position).

------------------------------------------------------------------------
r23918 | pdherbemont | 2007-12-28 23:23:01 +0100 (Fri, 28 Dec 2007) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/Framework/Headers/Public/VLCMediaPlayer.h

Forgotten file in previous commit.

------------------------------------------------------------------------
r23917 | pdherbemont | 2007-12-28 23:22:36 +0100 (Fri, 28 Dec 2007) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/Framework/Sources/VLCMediaPlayer.m

MacOSX/Framework/VLCMediaPlayer.m: Enable bindings uses on the @"time" key.

------------------------------------------------------------------------
r23916 | pdherbemont | 2007-12-28 23:21:26 +0100 (Fri, 28 Dec 2007) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/Framework/Sources/VLCTime.m

MacOSX/Framework/VLCTime.m: Fix a segfault because of a missing retain. Create a real null time. Code simplification.

------------------------------------------------------------------------
r23915 | pdherbemont | 2007-12-28 23:20:19 +0100 (Fri, 28 Dec 2007) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/Framework/Headers/Public/VLCVideoView.h
   M /trunk/extras/MacOSX/Framework/Sources/VLCVideoView.m

MacOSX/Framework/VLCVideoView.m: Capitalize the s in FullScreen.

------------------------------------------------------------------------
r23914 | courmisch | 2007-12-28 22:05:01 +0100 (Fri, 28 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/demux/mpeg/mpga.c

Fix warning

------------------------------------------------------------------------
r23913 | courmisch | 2007-12-28 21:38:49 +0100 (Fri, 28 Dec 2007) | 2 lines
Changed paths:
   M /trunk/include/vlc_threads_funcs.h

Use long

------------------------------------------------------------------------
r23912 | courmisch | 2007-12-28 21:37:40 +0100 (Fri, 28 Dec 2007) | 2 lines
Changed paths:
   M /trunk/include/vlc_threads_funcs.h

C++ fun

------------------------------------------------------------------------
r23911 | courmisch | 2007-12-28 21:04:22 +0100 (Fri, 28 Dec 2007) | 2 lines
Changed paths:
   M /trunk/include/vlc_threads_funcs.h

Rewrite CAST_PTHREAD_TO_INT in a ISO C valid way - closes #1407

------------------------------------------------------------------------
r23910 | courmisch | 2007-12-28 20:54:40 +0100 (Fri, 28 Dec 2007) | 2 lines
Changed paths:
   M /trunk/src/misc/objects.c

Attempt to implement waitpipe with Winsock (should fix #1347)

------------------------------------------------------------------------
r23909 | fkuehne | 2007-12-28 20:38:05 +0100 (Fri, 28 Dec 2007) | 1 line
Changed paths:
   M /trunk/modules/gui/macosx/vout.m

* sorry, this one was unintended
------------------------------------------------------------------------
r23908 | fkuehne | 2007-12-28 20:36:00 +0100 (Fri, 28 Dec 2007) | 1 line
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/classes.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/keyedobjects.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/Open.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/Open.nib/keyedobjects.nib
   A /trunk/extras/MacOSX/Resources/add_embedded_graphite.png
   A /trunk/extras/MacOSX/Resources/equalizerdrawer_graphite.png
   A /trunk/extras/MacOSX/Resources/fullscreen_graphite.png
   A /trunk/extras/MacOSX/Resources/next_graphite.png
   A /trunk/extras/MacOSX/Resources/pause_embedded_graphite.png
   A /trunk/extras/MacOSX/Resources/pause_graphite.png
   A /trunk/extras/MacOSX/Resources/play_embedded_graphite.png
   A /trunk/extras/MacOSX/Resources/play_graphite.png
   A /trunk/extras/MacOSX/Resources/playlistdrawer_graphite.png
   A /trunk/extras/MacOSX/Resources/previous_graphite.png
   A /trunk/extras/MacOSX/Resources/repeat_embedded_graphite.png
   A /trunk/extras/MacOSX/Resources/repeat_single_embedded_graphite.png
   A /trunk/extras/MacOSX/Resources/shuffle_embedded_graphite.png
   A /trunk/extras/MacOSX/Resources/skip_forward_embedded_graphite.png
   A /trunk/extras/MacOSX/Resources/skip_forward_graphite.png
   A /trunk/extras/MacOSX/Resources/skip_previous_embedded_graphite.png
   A /trunk/extras/MacOSX/Resources/skip_previous_graphite.png
   A /trunk/extras/MacOSX/Resources/stop_graphite.png
   A /trunk/extras/MacOSX/Resources/volumeslider_graphite.png
   M /trunk/extras/MacOSX/vlc.xcodeproj/project.pbxproj
   M /trunk/modules/gui/macosx/controls.h
   M /trunk/modules/gui/macosx/controls.m
   M /trunk/modules/gui/macosx/embeddedwindow.h
   M /trunk/modules/gui/macosx/embeddedwindow.m
   M /trunk/modules/gui/macosx/intf.h
   M /trunk/modules/gui/macosx/intf.m
   M /trunk/modules/gui/macosx/misc.h
   M /trunk/modules/gui/macosx/misc.m
   M /trunk/modules/gui/macosx/vout.m

* add a 'graphite' button set including the facilities to switch the theme at runtime (closes #1379)
------------------------------------------------------------------------
r23907 | ivoire | 2007-12-28 20:11:20 +0100 (Fri, 28 Dec 2007) | 1 line
Changed paths:
   M /trunk/modules/video_output/sdl.c

Improve Aspect Ratio and Crop support
------------------------------------------------------------------------
r23906 | pdherbemont | 2007-12-28 19:30:23 +0100 (Fri, 28 Dec 2007) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/Framework/Headers/Internal/VLCLibVLCBridging.h
   M /trunk/extras/MacOSX/Framework/Headers/Internal/VLCLibrary.h
   M /trunk/extras/MacOSX/Framework/Headers/Public/VLCMediaList.h
   M /trunk/extras/MacOSX/Framework/Sources/VLCMediaList.m
   M /trunk/extras/MacOSX/Framework/Sources/VLCMediaListAspect.m
   M /trunk/extras/MacOSX/Framework/Sources/VLCMediaPlayer.m

MacOSX/Framework: Fix end of file line, at least on headers.

------------------------------------------------------------------------
r23905 | pdherbemont | 2007-12-28 19:29:38 +0100 (Fri, 28 Dec 2007) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/Framework/Sources/VLCLibrary.m

MacOSX/Framework/VLCLibrary.m: Default the use of the opengllayer video output module. Don't be verbose by default.

------------------------------------------------------------------------
r23904 | pdherbemont | 2007-12-28 19:28:29 +0100 (Fri, 28 Dec 2007) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/Framework/Headers/Public/VLCVideoView.h
   M /trunk/extras/MacOSX/Framework/Sources/VLCVideoView.m

MacOSX/Framework/VLCVideoView.m: Supports the opengllayer video_output.

------------------------------------------------------------------------
r23903 | pdherbemont | 2007-12-28 19:25:03 +0100 (Fri, 28 Dec 2007) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/Framework/Headers/Public/VLCMediaListAspect.h
   M /trunk/extras/MacOSX/Framework/Sources/VLCMediaListAspect.m

MacOSX/Framework/VLCMediaListAspect.m: Implement -parentMediaList.

------------------------------------------------------------------------
r23902 | pdherbemont | 2007-12-28 19:23:46 +0100 (Fri, 28 Dec 2007) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/Framework/Headers/Public/VLCMediaList.h
   M /trunk/extras/MacOSX/Framework/Sources/VLCMediaList.m

MacOSX/Framework/VLCMediaList.m: Implement -isReadOnly.

------------------------------------------------------------------------
r23901 | pdherbemont | 2007-12-28 19:21:35 +0100 (Fri, 28 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/video_output/opengllayer.m

video_output/opengllayer.m: Fix a warning, and use addVoutLayer: instead of addVoutView:.

------------------------------------------------------------------------
r23900 | courmisch | 2007-12-28 18:17:29 +0100 (Fri, 28 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/access/file.c

Be on the safe side of memory protection for now: use PROT_WRITE.

------------------------------------------------------------------------
r23899 | fkuehne | 2007-12-28 18:14:58 +0100 (Fri, 28 Dec 2007) | 1 line
Changed paths:
   M /trunk/modules/gui/macosx/intf.m

* make sure our window titles change while switching items within playback (closes #1381)
------------------------------------------------------------------------
r23898 | courmisch | 2007-12-28 18:01:56 +0100 (Fri, 28 Dec 2007) | 3 lines
Changed paths:
   M /trunk/include/vlc_block.h
   M /trunk/modules/access/file.c
   M /trunk/src/libvlc.sym
   M /trunk/src/misc/block.c

block_mmap_Alloc: commoditize block allocation from mmap
Only the file access uses this, but I don't like "wild" callbacks into plugins.

------------------------------------------------------------------------
r23897 | courmisch | 2007-12-28 17:16:55 +0100 (Fri, 28 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/access/file.c

Fix stack overflow in debug code: use heap for large allocations.

------------------------------------------------------------------------
r23896 | massiot | 2007-12-28 15:05:56 +0100 (Fri, 28 Dec 2007) | 2 lines
Changed paths:
   M /trunk/doc/fortunes.txt

.

------------------------------------------------------------------------
r23895 | fkuehne | 2007-12-28 13:11:35 +0100 (Fri, 28 Dec 2007) | 1 line
Changed paths:
   M /trunk/modules/gui/macosx/wizard.m

* adapted the wizard to use the RTP stream out module instead of the removed RTP access out. Please check the other interfaces...
------------------------------------------------------------------------
r23894 | ileoo | 2007-12-28 12:36:57 +0100 (Fri, 28 Dec 2007) | 4 lines
Changed paths:
   M /trunk/src/network/httpd.c


small fix for http-streaming, don't set b_die to true in beginning if
object is alive.

------------------------------------------------------------------------
r23893 | courmisch | 2007-12-27 17:48:20 +0100 (Thu, 27 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/access/file.c

Revert [23889]. Don't enable debug if you don't want it.

------------------------------------------------------------------------
r23892 | jpsaman | 2007-12-27 15:38:16 +0100 (Thu, 27 Dec 2007) | 1 line
Changed paths:
   M /trunk/extras/contrib/src/Makefile
   M /trunk/extras/contrib/src/Patches/live-starttime.patch

Sync with latest live555 source code.
------------------------------------------------------------------------
r23891 | jpsaman | 2007-12-27 15:31:43 +0100 (Thu, 27 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/demux/live555.cpp

Fix segfault when Connect() returned failure and fix memleaks. Make sure live555 modules exits while in Connect() if vlc is asked to stop.

------------------------------------------------------------------------
r23890 | jpsaman | 2007-12-27 13:46:30 +0100 (Thu, 27 Dec 2007) | 1 line
Changed paths:
   M /trunk/configure.ac

Indentation fix
------------------------------------------------------------------------
r23889 | jpsaman | 2007-12-27 13:45:31 +0100 (Thu, 27 Dec 2007) | 1 line
Changed paths:
   M /trunk/modules/access/file.c

Silence debug message.
------------------------------------------------------------------------
r23887 | fkuehne | 2007-12-27 13:44:02 +0100 (Thu, 27 Dec 2007) | 1 line
Changed paths:
   M /trunk/NEWS

* couple of NEWS updates and typo fixes here and there
------------------------------------------------------------------------
r23886 | fkuehne | 2007-12-26 21:40:50 +0100 (Wed, 26 Dec 2007) | 1 line
Changed paths:
   M /trunk/modules/gui/macosx/embeddedwindow.m

* revert previous forward-port, as video-device's content changed for 0.9.0. Thanks to Pierre for pointing this out.
------------------------------------------------------------------------
r23885 | fkuehne | 2007-12-26 21:12:59 +0100 (Wed, 26 Dec 2007) | 1 line
Changed paths:
   M /trunk/modules/gui/macosx/embeddedwindow.m

* forward-port [23884]
------------------------------------------------------------------------
r23883 | pdherbemont | 2007-12-26 20:55:39 +0100 (Wed, 26 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/video_output/opengllayer.m

video_output/opengllayer.m: Correctly set the initial bounds of the layer. Also grab the anti-tearing stuff from the Mac OS X GL vout.

------------------------------------------------------------------------
r23882 | courmisch | 2007-12-26 13:29:53 +0100 (Wed, 26 Dec 2007) | 2 lines
Changed paths:
   M /trunk/include/vlc_input.h
   M /trunk/src/input/input_internal.h

Move a few large inlines out of include/

------------------------------------------------------------------------
r23881 | courmisch | 2007-12-26 13:21:56 +0100 (Wed, 26 Dec 2007) | 2 lines
Changed paths:
   M /trunk/src/input/item.c

Code factorization

------------------------------------------------------------------------
r23880 | courmisch | 2007-12-26 13:13:56 +0100 (Wed, 26 Dec 2007) | 2 lines
Changed paths:
   M /trunk/include/vlc_configuration.h
   M /trunk/src/modules/entry.c

Add "safe" config item property

------------------------------------------------------------------------
r23879 | dionoea | 2007-12-26 03:35:50 +0100 (Wed, 26 Dec 2007) | 5 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/modules/video_chroma/Modules.am
   A /trunk/modules/video_chroma/chain.c (from /trunk/modules/video_chroma/i422_yuy2.c:23848)
   A /trunk/modules/video_chroma/yuy2_i420.c
   A /trunk/modules/video_chroma/yuy2_i422.c (from /trunk/modules/video_chroma/i422_yuy2.c:23848)

Three new chroma converters:
 * yuy2_i420: convert from Packed YUV 4:2:2 to Planar YUV 4:2:0
 * yuy2_i422: convert from Packed YUV 4:2:2 to Planar YUV 4:2:2
 * chroma_chain: attempt to chain 2 chroma converters to acheive the conversion (i.e. yuy2 -> rv32 will be done using yuy2 -> i420 -> rv32)

------------------------------------------------------------------------
r23878 | pdherbemont | 2007-12-26 02:14:28 +0100 (Wed, 26 Dec 2007) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/Framework/Sources/VLCMediaDiscoverer.m

MacOSX/Framework/VLCMediaDiscoverer.m: Remove silly debug code.

------------------------------------------------------------------------
r23877 | dionoea | 2007-12-26 01:44:51 +0100 (Wed, 26 Dec 2007) | 5 lines
Changed paths:
   M /trunk/modules/video_filter/adjust.c
   M /trunk/modules/video_filter/erase.c
   M /trunk/modules/video_filter/extract.c
   A /trunk/modules/video_filter/filter_picture.h

Some more filter work:
 * adjust.c, extract.c: packed YUV 422 support.
 * filter_picture.h: code shared by some "video filter2" filters.
 * erase.c: validate the picture chroma in the constructor.

------------------------------------------------------------------------
r23876 | pdherbemont | 2007-12-26 00:34:52 +0100 (Wed, 26 Dec 2007) | 2 lines
Changed paths:
   M /trunk/include/vlc/libvlc.h
   M /trunk/src/control/media_discoverer.c
   M /trunk/src/control/media_list_player.c

vlc/libvlc.h: Set the return value of the libvlc_*_is_*() call to vlc_bool_t.

------------------------------------------------------------------------
r23875 | pdherbemont | 2007-12-26 00:26:43 +0100 (Wed, 26 Dec 2007) | 2 lines
Changed paths:
   M /trunk/src/control/media_discoverer.c

control/media_discoverer.c: Set the corresponding media_list to read-only.

------------------------------------------------------------------------
r23874 | pdherbemont | 2007-12-26 00:25:09 +0100 (Wed, 26 Dec 2007) | 2 lines
Changed paths:
   M /trunk/src/control/libvlc_internal.h
   M /trunk/src/control/media_list.c

control/media_list.c: read-only-fy add_media_descriptor().

------------------------------------------------------------------------
r23873 | pdherbemont | 2007-12-26 00:16:56 +0100 (Wed, 26 Dec 2007) | 2 lines
Changed paths:
   M /trunk/include/vlc/libvlc.h
   M /trunk/src/control/libvlc_internal.h
   M /trunk/src/control/media_list.c

control/media_list.c: Implement read-only media_list.

------------------------------------------------------------------------
r23872 | pdherbemont | 2007-12-25 23:55:15 +0100 (Tue, 25 Dec 2007) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/Framework/Headers/Public/VLCMediaDiscoverer.h
   M /trunk/extras/MacOSX/Framework/Sources/VLCMediaDiscoverer.m

MacOSX/Framework/VLCMediaDiscoverer: Publish -isRunning.

------------------------------------------------------------------------
r23871 | pdherbemont | 2007-12-25 23:51:13 +0100 (Tue, 25 Dec 2007) | 2 lines
Changed paths:
   M /trunk/include/vlc/libvlc.h
   M /trunk/src/control/libvlc_internal.h
   M /trunk/src/control/media_discoverer.c

control/media_discoverer.c: Publish media_discoverer_is_running().

------------------------------------------------------------------------
r23870 | dionoea | 2007-12-25 23:39:00 +0100 (Tue, 25 Dec 2007) | 7 lines
Changed paths:
   M /trunk/modules/video_filter/colorthres.c
   M /trunk/modules/video_filter/erase.c
   M /trunk/modules/video_filter/gaussianblur.c
   M /trunk/modules/video_filter/psychedelic.c
   M /trunk/modules/video_filter/rotate.c

Video filter fixes:
 * colorthres.c: validate input chroma.
 * erase.c: fix bluring application limit (prevents out of bounds access).
 * gaussianblur.c: validate input chroma and add planar YUV 4:2:2 support.
 * psychedelic.c: check image_Convert return value (it fails for I422 which would then trigger a segfault due to a NULL pointer being dereferenced).
 * rotate.c: validate input chroma, add planar YUV 4:2:2 support and misc code fixes or simplifications.

------------------------------------------------------------------------
r23869 | pdherbemont | 2007-12-25 23:33:56 +0100 (Tue, 25 Dec 2007) | 2 lines
Changed paths:
   M /trunk/include/vlc/libvlc.h
   M /trunk/src/control/media_discoverer.c

control/media_discoverer.c: Publish media_discoverer_event_manager().

------------------------------------------------------------------------
r23868 | pdherbemont | 2007-12-25 23:25:45 +0100 (Tue, 25 Dec 2007) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/Framework/VLC.xcodeproj/project.pbxproj

MacOSX/Framework: Use the Pre-Compile script.

------------------------------------------------------------------------
r23867 | pdherbemont | 2007-12-25 23:19:12 +0100 (Tue, 25 Dec 2007) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/Framework/Pre-Compile.sh
   M /trunk/extras/MacOSX/Framework/VLC.xcodeproj/project.pbxproj

MacOSX/Framework: Properly track updated library and modules.

------------------------------------------------------------------------
r23866 | pdherbemont | 2007-12-25 22:29:49 +0100 (Tue, 25 Dec 2007) | 2 lines
Changed paths:
   M /trunk/include/vlc/libvlc_structures.h
   M /trunk/src/control/media_discoverer.c

control/media_discoverer.c: Forward started and ended event.

------------------------------------------------------------------------
r23865 | pdherbemont | 2007-12-25 21:54:18 +0100 (Tue, 25 Dec 2007) | 2 lines
Changed paths:
   M /trunk/include/vlc_events.h
   M /trunk/src/playlist/services_discovery.c

playlist/services_discovery.c: Send service discover started and ended events, to keep track of running sd.

------------------------------------------------------------------------
r23863 | pdherbemont | 2007-12-25 17:18:23 +0100 (Tue, 25 Dec 2007) | 2 lines
Changed paths:
   M /trunk/include/vlc/libvlc.h
   M /trunk/src/control/media_list_view.c

control/media_list_view.c: Implement media_list_view_parent_media_list().

------------------------------------------------------------------------
r23862 | fkuehne | 2007-12-25 14:55:30 +0100 (Tue, 25 Dec 2007) | 1 line
Changed paths:
   M /trunk/modules/access/file.c

* mmap is broken on Darwin. Disabled it for now to have basic file access functionality working.
------------------------------------------------------------------------
r23861 | fkuehne | 2007-12-25 14:36:02 +0100 (Tue, 25 Dec 2007) | 1 line
Changed paths:
   M /trunk/configure.ac
   M /trunk/extras/contrib/src/Makefile
   A /trunk/extras/contrib/src/Patches/ffmpeg-svn-mmx_removal-darwin9.patch

* disable any MMX usage in FFmpeg on Darwin 9 (x86). This way, we can use the ffmpeg module normally until Apple releases the updated ld.
------------------------------------------------------------------------
r23860 | pdherbemont | 2007-12-24 20:45:26 +0100 (Mon, 24 Dec 2007) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/Framework/Headers/Public/VLCMedia.h
   M /trunk/extras/MacOSX/Framework/Sources/VLCMedia.m

Sources/VLCMedia.m: Implement a KeyValueCoding enabled -state property.

------------------------------------------------------------------------
r23858 | pdherbemont | 2007-12-24 19:45:10 +0100 (Mon, 24 Dec 2007) | 2 lines
Changed paths:
   M /trunk/include/vlc/libvlc.h
   M /trunk/include/vlc/libvlc_structures.h
   M /trunk/src/control/libvlc_internal.h
   M /trunk/src/control/media_descriptor.c
   M /trunk/src/control/media_instance.c

control/media_descriptor.c: Publish an Event plus a method to get the media_descriptor state, which is buffering, playing, error, nothing special. This is a bit controversial as we need a media_instance to set that state, and this is media_instance dependant. However, this is a nice shortcut.

------------------------------------------------------------------------
r23857 | ivoire | 2007-12-24 18:53:28 +0100 (Mon, 24 Dec 2007) | 1 line
Changed paths:
   M /trunk/modules/video_output/sdl.c

improve sdl video output. If there is some stupidities feel free to revert. And Merry Christmas.
------------------------------------------------------------------------
r23856 | dionoea | 2007-12-24 17:52:05 +0100 (Mon, 24 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/services_discovery/shout.c

Revert r23852.

------------------------------------------------------------------------
r23853 | xtophe | 2007-12-24 17:07:27 +0100 (Mon, 24 Dec 2007) | 2 lines
Changed paths:
   M /trunk/share/Makefile.am

distribute the Christmas icons

------------------------------------------------------------------------
r23852 | courmisch | 2007-12-24 16:39:17 +0100 (Mon, 24 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/services_discovery/shout.c

Not every body trusts "free.fr", especially not through non-secure HTTP, and/or non-FQDN-only hostnames

------------------------------------------------------------------------
r23851 | dionoea | 2007-12-24 15:40:51 +0100 (Mon, 24 Dec 2007) | 3 lines
Changed paths:
   M /trunk/src/libvlc-common.c

Include font and password configuration items in the help output.
Tell the user about --advanced when his help query skipped advanced configuration items.

------------------------------------------------------------------------
r23850 | dionoea | 2007-12-24 14:52:48 +0100 (Mon, 24 Dec 2007) | 2 lines
Changed paths:
   M /trunk/src/libvlc-common.c
   M /trunk/src/misc/messages.c

Use \033[0;1m instead of \033[37;1m for bold text using the default color (prevent using bold white text on terms with a white background).

------------------------------------------------------------------------
r23849 | dionoea | 2007-12-24 14:48:20 +0100 (Mon, 24 Dec 2007) | 2 lines
Changed paths:
   M /trunk/src/modules/entry.c

Use the longtext as longtext.

------------------------------------------------------------------------
r23848 | pdherbemont | 2007-12-24 02:18:54 +0100 (Mon, 24 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/services_discovery/shout.c

services_discovery/shout.c: No need to incref. (fix a memleak).

------------------------------------------------------------------------
r23847 | jb | 2007-12-24 02:03:16 +0100 (Mon, 24 Dec 2007) | 3 lines
Changed paths:
   M /trunk/src/osd/osd.c

Remove unused variable in OSD. Revert if needed :D


------------------------------------------------------------------------
r23846 | jb | 2007-12-24 02:02:05 +0100 (Mon, 24 Dec 2007) | 3 lines
Changed paths:
   M /trunk/src/playlist/engine.c

Fix a Typo.


------------------------------------------------------------------------
r23845 | jb | 2007-12-24 02:00:03 +0100 (Mon, 24 Dec 2007) | 4 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/interface_widgets.cpp
   M /trunk/modules/gui/qt4/components/interface_widgets.hpp
   M /trunk/modules/gui/qt4/main_interface.cpp

Qt4 - Background Widget change. Resetting the maximum size at each resize is wrong. Scaling content can be really really ugly.
To be finished.


------------------------------------------------------------------------
r23844 | hovis | 2007-12-24 01:15:47 +0100 (Mon, 24 Dec 2007) | 1 line
Changed paths:
   M /trunk/modules/access/v4l2.c

v4l2.c:  Patch by Dennis Lou to add MPEG2 support.  Many thanks.
------------------------------------------------------------------------
r23843 | dionoea | 2007-12-23 23:23:25 +0100 (Sun, 23 Dec 2007) | 3 lines
Changed paths:
   M /trunk/modules/demux/playlist/m3u.c
   M /trunk/modules/services_discovery/shout.c

Allow specifying options specific to each url in the shout service discovery.
Make it possible to inherit the m3u-extvlcopt option in the m3u parser.

------------------------------------------------------------------------
r23842 | dionoea | 2007-12-23 22:39:09 +0100 (Sun, 23 Dec 2007) | 2 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/modules/services_discovery/Modules.am
   D /trunk/modules/services_discovery/freebox.c
   M /trunk/modules/services_discovery/shout.c

Merge the shoutcast and freebox service discovery modules. Cleanup the shout.c code.

------------------------------------------------------------------------
r23841 | fkuehne | 2007-12-23 19:28:14 +0100 (Sun, 23 Dec 2007) | 1 line
Changed paths:
   M /trunk/modules/gui/macosx/macosx.m
   M /trunk/modules/gui/macosx/wizard.h
   M /trunk/modules/gui/macosx/wizard.m

macosx: remove useless setting as basically no user wants the wizard panel to reset in a single session, but demands it to keep its selections (this was the default behaviour anyway)
------------------------------------------------------------------------
r23840 | fkuehne | 2007-12-23 19:20:06 +0100 (Sun, 23 Dec 2007) | 1 line
Changed paths:
   M /trunk/modules/gui/macosx/playlist.m

macosx:playlist.m turn an error msg into a warning as the event isn't as bad as it seems to be
------------------------------------------------------------------------
r23839 | courmisch | 2007-12-23 18:42:57 +0100 (Sun, 23 Dec 2007) | 3 lines
Changed paths:
   M /trunk/src/network/httpd.c

Fix format string injection in the Connection field for HTTP-served files
(affects HTTP interface and LUA plus HTTP export for DVB and RTP)

------------------------------------------------------------------------
r23838 | pdherbemont | 2007-12-23 17:48:15 +0100 (Sun, 23 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/video_output/opengllayer.m

modules/video_output/opengllayer.m: Don't free the gl texture in End(), but in the releaseGLContext function. Set the original bounds of the CALayer. Protect the removeFromSuperlayer by a CATransaction.

------------------------------------------------------------------------
r23837 | pdherbemont | 2007-12-23 16:29:47 +0100 (Sun, 23 Dec 2007) | 2 lines
Changed paths:
   M /trunk/src/playlist/item.c
   M /trunk/src/playlist/loadsave.c

playlist: Fix an input_item leak in item.c, and notice that we are leaking one in loadsave.c.

------------------------------------------------------------------------
r23836 | pdherbemont | 2007-12-23 16:28:51 +0100 (Sun, 23 Dec 2007) | 2 lines
Changed paths:
   M /trunk/src/playlist/tree.c

playlist/tree.c: Fix an input_item leak.

------------------------------------------------------------------------
r23835 | pdherbemont | 2007-12-23 15:59:34 +0100 (Sun, 23 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/demux/playlist/xspf.c

modules/demux/playlist/xspf.c: Show where the input_item leak comes from. (funman can fix that?)

------------------------------------------------------------------------
r23834 | pdherbemont | 2007-12-23 15:53:25 +0100 (Sun, 23 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/demux/playlist/asx.c
   M /trunk/modules/demux/playlist/b4s.c
   M /trunk/modules/demux/playlist/dvb.c
   M /trunk/modules/demux/playlist/gvp.c
   M /trunk/modules/demux/playlist/ifo.c
   M /trunk/modules/demux/playlist/itml.c
   M /trunk/modules/demux/playlist/m3u.c
   M /trunk/modules/demux/playlist/pls.c
   M /trunk/modules/demux/playlist/podcast.c
   M /trunk/modules/demux/playlist/qtl.c
   M /trunk/modules/demux/playlist/sgimb.c
   M /trunk/modules/demux/playlist/shoutcast.c

modules/demux/playlist/*.c: Fix input_item memleaks.

------------------------------------------------------------------------
r23833 | pdherbemont | 2007-12-23 15:45:09 +0100 (Sun, 23 Dec 2007) | 2 lines
Changed paths:
   M /trunk/src/control/media_descriptor.c

control/media_descriptor.c: Prevent an input_item memleak.

------------------------------------------------------------------------
r23832 | pdherbemont | 2007-12-23 15:40:28 +0100 (Sun, 23 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/demux/mp4/mp4.c

modules/demux/mp4/mp4.c: Fix an input_item memleak.

------------------------------------------------------------------------
r23831 | pdherbemont | 2007-12-23 15:38:53 +0100 (Sun, 23 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/control/http/macro.c
   M /trunk/modules/control/http/rpn.c

modules/control/http: Fix input_item memleak.

------------------------------------------------------------------------
r23830 | pdherbemont | 2007-12-23 15:35:43 +0100 (Sun, 23 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/access/directory.c

modules/access/directory.c: Fix an input_item memleak.

------------------------------------------------------------------------
r23829 | pdherbemont | 2007-12-23 15:34:25 +0100 (Sun, 23 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/access/cdda.c

modules/access/cdda.c: Fix an input_item memleak.

------------------------------------------------------------------------
r23828 | pdherbemont | 2007-12-23 15:19:00 +0100 (Sun, 23 Dec 2007) | 6 lines
Changed paths:
   M /trunk/include/vlc_common.h
   M /trunk/modules/misc/lua/vlc.c
   M /trunk/modules/services_discovery/bonjour.c
   M /trunk/modules/services_discovery/freebox.c
   M /trunk/modules/services_discovery/hal.c
   M /trunk/modules/services_discovery/sap.c
   M /trunk/modules/services_discovery/shout.c

vlc_common.h:
* Add some proper assert() to the vlc_gc_* function to spot errors.
* Correctly initialize the refcount to 1. (This will prevent freed pointer usage). (This may also introduce leaks in some module).
modules/*.c:
* Prevent some module to leak input_item_t.

------------------------------------------------------------------------
r23827 | funman | 2007-12-23 13:55:08 +0100 (Sun, 23 Dec 2007) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile
   A /trunk/extras/contrib/src/Patches/libdvdnav-win32.patch

contribs: fix libdvdnav runtime on win32 (patch was deleted when switching to mplayer's libdvdnav), extract using gzip

------------------------------------------------------------------------
r23826 | ivoire | 2007-12-23 11:47:59 +0100 (Sun, 23 Dec 2007) | 1 line
Changed paths:
   M /trunk/modules/gui/qt4/dialogs/interaction.cpp
   M /trunk/modules/gui/qt4/dialogs_provider.cpp

little error
------------------------------------------------------------------------
r23825 | fkuehne | 2007-12-23 11:15:49 +0100 (Sun, 23 Dec 2007) | 1 line
Changed paths:
   M /trunk/modules/gui/macosx/intf.m
   M /trunk/modules/gui/macosx/open.m
   M /trunk/modules/gui/macosx/playlist.m
   M /trunk/modules/gui/macosx/playlistinfo.m
   M /trunk/modules/gui/macosx/prefs_widgets.m
   M /trunk/modules/gui/macosx/vout.m

* withCString is deprecated in 10.4. Use WithUTF8String instead, as VLC's core is completely UTF8 now. Remove a couple of (nowadays) useless checks
------------------------------------------------------------------------
r23824 | ivoire | 2007-12-23 09:12:26 +0100 (Sun, 23 Dec 2007) | 1 line
Changed paths:
   M /trunk/src/misc/update.c

remove memory leak
------------------------------------------------------------------------
r23823 | jb | 2007-12-23 02:48:30 +0100 (Sun, 23 Dec 2007) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/interface_widgets.hpp
   M /trunk/modules/gui/qt4/main_interface.cpp

Qt4 - Small fix to get a smaller size when a video ends.


------------------------------------------------------------------------
r23822 | pdherbemont | 2007-12-23 02:38:20 +0100 (Sun, 23 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/gui/macosx/playlist.m

modules/macosx/playlist.m: Remove code that shouldn't be here, to re-enable services discovery.

------------------------------------------------------------------------
r23821 | jb | 2007-12-23 02:24:25 +0100 (Sun, 23 Dec 2007) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/interface_widgets.cpp

And forgot the other file... Sorry.


------------------------------------------------------------------------
r23820 | jb | 2007-12-23 02:22:20 +0100 (Sun, 23 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/interface_widgets.hpp

Qt4 - Clean more.

------------------------------------------------------------------------
r23819 | jb | 2007-12-23 02:12:58 +0100 (Sun, 23 Dec 2007) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/interface_widgets.cpp
   M /trunk/modules/gui/qt4/components/interface_widgets.hpp
   M /trunk/modules/gui/qt4/main_interface.cpp

Qt4 - simplify the VideoWidget. VideoWidget is a just an simple QFrame with the necessary interactions...


------------------------------------------------------------------------
r23818 | jb | 2007-12-23 01:54:54 +0100 (Sun, 23 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/pixmaps/noart.png

Qt4 - less ugly Noart pix

------------------------------------------------------------------------
r23817 | funman | 2007-12-23 01:30:19 +0100 (Sun, 23 Dec 2007) | 1 line
Changed paths:
   M /trunk/modules/demux/playlist/xspf.c
   M /trunk/modules/demux/playlist/xspf.h

fix #1409
------------------------------------------------------------------------
r23816 | xtophe | 2007-12-22 23:28:23 +0100 (Sat, 22 Dec 2007) | 2 lines
Changed paths:
   M /trunk/po/sl.po

Slovenian translation update by Matej Urban?\196?\141i?\196?\141.

------------------------------------------------------------------------
r23815 | xtophe | 2007-12-22 23:01:56 +0100 (Sat, 22 Dec 2007) | 2 lines
Changed paths:
   M /trunk/include/vlc_common.h
   M /trunk/src/config/file.c
   M /trunk/src/modules/entry.c

Use dgettext() (aka _() ) rather than gettext().

------------------------------------------------------------------------
r23814 | jb | 2007-12-22 20:31:19 +0100 (Sat, 22 Dec 2007) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/main_interface.cpp

Qt4 - timeLabel cosmetic.


------------------------------------------------------------------------
r23813 | jb | 2007-12-22 20:21:17 +0100 (Sat, 22 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/Modules.am
   M /trunk/modules/gui/qt4/components/interface_widgets.cpp
   A /trunk/modules/gui/qt4/pixmaps/volume-medium.png
   M /trunk/modules/gui/qt4/res.qrc

Qt4 - Add a "medium" volume icon as requested on IRC, ( by Quovodis?)

------------------------------------------------------------------------
r23812 | jb | 2007-12-22 20:12:45 +0100 (Sat, 22 Dec 2007) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/main_interface.cpp

Qt4 - Make the time Label right aligned and not size increasing in resize.


------------------------------------------------------------------------
r23811 | pdherbemont | 2007-12-22 19:11:50 +0100 (Sat, 22 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/services_discovery/sap.c

services_discovery/sap.c: Make sure the thread will exit, even if in poll(). And properly lock the object.

------------------------------------------------------------------------
r23810 | pdherbemont | 2007-12-22 17:19:04 +0100 (Sat, 22 Dec 2007) | 2 lines
Changed paths:
   M /trunk/include/vlc_objects.h
   M /trunk/src/misc/objects.c

include/vlc_objects.h: Use the usual macro trick, to publish a function that take as argument a vlc_object_t *, here for vlc_object_waitpipe().

------------------------------------------------------------------------
r23809 | courmisch | 2007-12-22 17:04:32 +0100 (Sat, 22 Dec 2007) | 2 lines
Changed paths:
   M /trunk/src/network/httpd.c

syntax error

------------------------------------------------------------------------
r23808 | courmisch | 2007-12-22 16:53:38 +0100 (Sat, 22 Dec 2007) | 2 lines
Changed paths:
   M /trunk/src/misc/objects.c
   M /trunk/src/network/httpd.c

Add an error message

------------------------------------------------------------------------
r23807 | courmisch | 2007-12-22 16:50:53 +0100 (Sat, 22 Dec 2007) | 2 lines
Changed paths:
   M /trunk/src/network/httpd.c

Fix warnings

------------------------------------------------------------------------
r23806 | courmisch | 2007-12-22 16:49:53 +0100 (Sat, 22 Dec 2007) | 2 lines
Changed paths:
   M /trunk/src/misc/objects.c

_pipe is not selectable on Windows, so return -1

------------------------------------------------------------------------
r23805 | courmisch | 2007-12-22 16:42:36 +0100 (Sat, 22 Dec 2007) | 2 lines
Changed paths:
   M /trunk/src/network/httpd.c

Corner case race condition in the waitpipe

------------------------------------------------------------------------
r23804 | courmisch | 2007-12-22 15:47:15 +0100 (Sat, 22 Dec 2007) | 3 lines
Changed paths:
   M /trunk/modules/access/file.c

Put debug/test code for mmap
(it does not find any error here)

------------------------------------------------------------------------
r23803 | courmisch | 2007-12-22 15:11:42 +0100 (Sat, 22 Dec 2007) | 4 lines
Changed paths:
   M /trunk/modules/access/file.c

 - Parse seek offsets as unsigned (why they were signed in the first place??)
 - Fix comments
 - Cache pagesize

------------------------------------------------------------------------
r23802 | pdherbemont | 2007-12-22 14:44:00 +0100 (Sat, 22 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/services_discovery/sap.c

services_discovery/sap.c: s/min/min_int/ to prevent a macro collision on windows environment.

------------------------------------------------------------------------
r23801 | jpsaman | 2007-12-22 14:10:39 +0100 (Sat, 22 Dec 2007) | 1 line
Changed paths:
   M /trunk/modules/gui/qt4/input_manager.cpp

First page is 100 by default
------------------------------------------------------------------------
r23800 | courmisch | 2007-12-22 14:06:33 +0100 (Sat, 22 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/services_discovery/sap.c

Pierre writes too good code. We need to kludge it :(

------------------------------------------------------------------------
r23799 | pdherbemont | 2007-12-22 13:53:23 +0100 (Sat, 22 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/services_discovery/sap.c

services_discovery/sap.: Don't wakeup more than needed.

------------------------------------------------------------------------
r23798 | ivoire | 2007-12-22 13:41:56 +0100 (Sat, 22 Dec 2007) | 1 line
Changed paths:
   M /trunk/include/vlc_update.h
   M /trunk/modules/gui/qt4/dialogs/help.cpp
   M /trunk/modules/gui/wxwidgets/dialogs/updatevlc.cpp
   M /trunk/src/libvlc-common.c
   M /trunk/src/misc/update.c

use a pointer to a function instead of a callback
------------------------------------------------------------------------
r23797 | pdherbemont | 2007-12-22 13:36:53 +0100 (Sat, 22 Dec 2007) | 2 lines
Changed paths:
   M /trunk/Makefile.am

Makefile.am: Put hdiutil into verbose mode in package-macosx creation.

------------------------------------------------------------------------
r23796 | funman | 2007-12-22 12:29:57 +0100 (Sat, 22 Dec 2007) | 2 lines
Changed paths:
   M /trunk/src/libvlc-common.c
   M /trunk/src/misc/update.c

update: cosmetics, put the variable creation in libvlc

------------------------------------------------------------------------
r23795 | ivoire | 2007-12-22 11:18:01 +0100 (Sat, 22 Dec 2007) | 1 line
Changed paths:
   M /trunk/src/misc/update.c

another cleaning session
------------------------------------------------------------------------
r23794 | courmisch | 2007-12-22 11:09:20 +0100 (Sat, 22 Dec 2007) | 2 lines
Changed paths:
   M /trunk/include/vlc_network.h

Try to fix Win32 linking

------------------------------------------------------------------------
r23793 | courmisch | 2007-12-22 11:02:50 +0100 (Sat, 22 Dec 2007) | 2 lines
Changed paths:
   M /trunk/include/vlc_network.h
   M /trunk/src/libvlc.sym
   M /trunk/src/network/io.c

Remove net_Select. Simplify net_Read consequently.

------------------------------------------------------------------------
r23792 | courmisch | 2007-12-22 10:31:58 +0100 (Sat, 22 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/services_discovery/sap.c

Use poll() directly when you want to listen to multiple sockets.

------------------------------------------------------------------------
r23791 | jb | 2007-12-22 10:31:50 +0100 (Sat, 22 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/dialogs/sout.cpp
   M /trunk/modules/gui/qt4/dialogs/sout.hpp
   M /trunk/modules/gui/qt4/dialogs_provider.cpp

Qt4 - Fix previous commit.

------------------------------------------------------------------------
r23790 | courmisch | 2007-12-22 10:11:25 +0100 (Sat, 22 Dec 2007) | 2 lines
Changed paths:
   M /trunk/include/vlc_network.h

Same as previous commit

------------------------------------------------------------------------
r23789 | courmisch | 2007-12-22 10:10:56 +0100 (Sat, 22 Dec 2007) | 2 lines
Changed paths:
   M /trunk/src/network/io.c

Revert [23768] and [23768]. Fix dead lock whenever reading from the network.

------------------------------------------------------------------------
r23788 | jb | 2007-12-22 09:12:02 +0100 (Sat, 22 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/dialogs/mediainfo.cpp
   M /trunk/modules/gui/qt4/dialogs/open.cpp
   M /trunk/modules/gui/qt4/dialogs/sout.cpp
   M /trunk/modules/gui/qt4/dialogs/sout.hpp
   M /trunk/modules/gui/qt4/dialogs/vlm.cpp
   M /trunk/modules/gui/qt4/dialogs/vlm.hpp
   M /trunk/modules/gui/qt4/dialogs_provider.cpp
   M /trunk/modules/gui/qt4/dialogs_provider.hpp

Qt4 - Use a main instance of Sout for VLM. Clean DP since all dialogs (except Bookmarks that won't be done...) are done.

------------------------------------------------------------------------
r23787 | jb | 2007-12-22 08:19:01 +0100 (Sat, 22 Dec 2007) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/interface_widgets.cpp
   M /trunk/modules/gui/qt4/main_interface.cpp
   M /trunk/modules/gui/qt4/main_interface.hpp

Qt4 - remember if the playlist was inside or not. Clean.


------------------------------------------------------------------------
r23786 | jb | 2007-12-22 04:20:11 +0100 (Sat, 22 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/playlist/playlist.cpp
   M /trunk/modules/gui/qt4/components/playlist/playlist.hpp
   M /trunk/modules/gui/qt4/dialogs/playlist.cpp
   M /trunk/modules/gui/qt4/main_interface.cpp

Qt4 - Remember playlist's size.

------------------------------------------------------------------------
r23785 | jb | 2007-12-22 04:04:42 +0100 (Sat, 22 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/dialogs/playlist.cpp

Qt4 - Save the settings from the playlist for the dialog Provider if ever needed.

------------------------------------------------------------------------
r23784 | jb | 2007-12-22 03:38:14 +0100 (Sat, 22 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/main_interface.cpp

QT4 - sizing (still not fix... anyone can look at it ?) and remember if the playlist is floating.

------------------------------------------------------------------------
r23783 | jb | 2007-12-22 02:50:29 +0100 (Sat, 22 Dec 2007) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/main_interface.cpp

Qt4 - Typo on the sizing that can explain the "Video Above the control" bug.


------------------------------------------------------------------------
r23782 | jb | 2007-12-22 02:49:50 +0100 (Sat, 22 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/dialogs/mediainfo.cpp

Qt4 - Be sure of the existence of getInput.

------------------------------------------------------------------------
r23781 | jb | 2007-12-22 02:08:21 +0100 (Sat, 22 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/interface_widgets.cpp
   M /trunk/modules/gui/qt4/components/interface_widgets.hpp

Qt4 - remove unusefull debug.

------------------------------------------------------------------------
r23780 | pdherbemont | 2007-12-22 01:43:59 +0100 (Sat, 22 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/audio_filter/converter/dtstospdif.c

dtstospdif.c: Print a warning on frame size changes. Hopefully it will help us to debug the issue with SPDIF.

------------------------------------------------------------------------
r23779 | pdherbemont | 2007-12-22 01:34:04 +0100 (Sat, 22 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/audio_filter/converter/dtstospdif.c

modules/audio_filter/converter/dtstospdif.c: We need a starting date. Fix a typo that cause the starting date not to be set.

------------------------------------------------------------------------
r23778 | funman | 2007-12-21 22:38:35 +0100 (Fri, 21 Dec 2007) | 1 line
Changed paths:
   M /trunk/modules/access/file.c

fix [23367]
------------------------------------------------------------------------
r23777 | funman | 2007-12-21 22:05:02 +0100 (Fri, 21 Dec 2007) | 1 line
Changed paths:
   M /trunk/modules/access/file.c

file: do not declare mmapBlock() if it won't be defined
------------------------------------------------------------------------
r23776 | jb | 2007-12-21 21:34:34 +0100 (Fri, 21 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/interface_widgets.cpp
   M /trunk/modules/gui/qt4/components/interface_widgets.hpp

Qt4 - Use AutoRaise button for faster and slower in order to keep consistency in the interface.

------------------------------------------------------------------------
r23775 | jb | 2007-12-21 21:29:59 +0100 (Fri, 21 Dec 2007) | 4 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/interface_widgets.cpp
   M /trunk/modules/gui/qt4/components/interface_widgets.hpp

Qt4 - SpeedSlider, use an AutoRaise button for the Normal Rate.
Remove and unneeded member in the class.


------------------------------------------------------------------------
r23774 | jb | 2007-12-21 21:16:12 +0100 (Fri, 21 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/dialogs/mediainfo.cpp

Qt4 - Fix the SINGLE Item mode of the Media Information! Be Carefull again !

------------------------------------------------------------------------
r23773 | jb | 2007-12-21 20:59:39 +0100 (Fri, 21 Dec 2007) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/dialogs/mediainfo.cpp
   M /trunk/modules/gui/qt4/dialogs/mediainfo.hpp

Qt4 - We DO need pulling for the stats in MediaInfo Dialog... Revert part of 23590.


------------------------------------------------------------------------
r23772 | jb | 2007-12-21 20:40:58 +0100 (Fri, 21 Dec 2007) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/dialogs/mediainfo.cpp

Qt4 - Fix an 'assertion failed' when opening the media information witout an input.


------------------------------------------------------------------------
r23771 | pdherbemont | 2007-12-21 20:35:59 +0100 (Fri, 21 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/services_discovery/freebox.c

modules/services_discovery/freebox.c: Wrong copyright, reported by funman.

------------------------------------------------------------------------
r23770 | pdherbemont | 2007-12-21 20:30:52 +0100 (Fri, 21 Dec 2007) | 2 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/modules/services_discovery/Modules.am
   A /trunk/modules/services_discovery/freebox.c

modules/services_discovery/freebox.c: Create a new service discovery for the french ISP free.fr set top box.

------------------------------------------------------------------------
r23769 | pdherbemont | 2007-12-21 19:56:54 +0100 (Fri, 21 Dec 2007) | 2 lines
Changed paths:
   M /trunk/src/network/io.c

network/io.c: net_Select should return i_total on timeout.

------------------------------------------------------------------------
r23768 | pdherbemont | 2007-12-21 19:52:21 +0100 (Fri, 21 Dec 2007) | 5 lines
Changed paths:
   M /trunk/include/vlc_network.h
   M /trunk/modules/services_discovery/sap.c
   M /trunk/src/network/io.c

modules/services_discovery/sap.c: Don't trust announcement down packet, but support implicit timeout.
* As suggested in the RFC we remove the discovered media if there is no new packet after three average packet period. (implicit timeout).
* Announcement of removal packet can be used to silently replace an announce by an other.
* Add a timeout argument to net_Select.

------------------------------------------------------------------------
r23767 | funman | 2007-12-21 18:25:10 +0100 (Fri, 21 Dec 2007) | 1 line
Changed paths:
   M /trunk/HACKING

put the right developers website url, pointed out by marcfiu on IRC. bump gettext requirement
------------------------------------------------------------------------
r23766 | courmisch | 2007-12-21 18:22:39 +0100 (Fri, 21 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/simple_preferences.cpp

Add module_Exists until I don't get any error on my build tree!

------------------------------------------------------------------------
r23765 | courmisch | 2007-12-21 17:56:21 +0100 (Fri, 21 Dec 2007) | 2 lines
Changed paths:
   M /trunk/include/vlc_configuration.h

Use vlc_config_set for categories (close #1411)

------------------------------------------------------------------------
r23764 | courmisch | 2007-12-21 17:55:49 +0100 (Fri, 21 Dec 2007) | 2 lines
Changed paths:
   M /trunk/src/modules/modules.c

Fix config item counting

------------------------------------------------------------------------
r23763 | courmisch | 2007-12-21 16:56:50 +0100 (Fri, 21 Dec 2007) | 3 lines
Changed paths:
   M /trunk/modules/access/udp.c

 - Fix error handling
 - Fix a warning

------------------------------------------------------------------------
r23762 | courmisch | 2007-12-21 16:56:30 +0100 (Fri, 21 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/access/file.c

Use ssize_t

------------------------------------------------------------------------
r23761 | pdherbemont | 2007-12-21 16:03:49 +0100 (Fri, 21 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/services_discovery/shout.c

shout.c: Fix a typo in previous commit. (thanks, funman).

------------------------------------------------------------------------
r23760 | pdherbemont | 2007-12-21 15:57:24 +0100 (Fri, 21 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/services_discovery/shout.c

modules/services_discovery/shout.c: Don't leak the input_item.

------------------------------------------------------------------------
r23759 | pdherbemont | 2007-12-21 15:35:20 +0100 (Fri, 21 Dec 2007) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/Framework/Sources/VLCEventManager.m

MacOSX/Framework/VLCEventManager.m: Fix a bit the file description.

------------------------------------------------------------------------
r23758 | pdherbemont | 2007-12-21 15:31:00 +0100 (Fri, 21 Dec 2007) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/Framework/Headers/Public/VLCMediaList.h
   M /trunk/extras/MacOSX/Framework/Sources/VLCMediaList.m

MacOSX/Framework/VLCMediaList.m: Implement -description: and fix -flatAspect and -hierarchicalAspect when used with bindings.

------------------------------------------------------------------------
r23757 | jb | 2007-12-21 02:21:09 +0100 (Fri, 21 Dec 2007) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/dialogs/vlm.cpp
   M /trunk/modules/gui/qt4/dialogs/vlm.hpp

Qt4 - VLM: select input from the OpenDialog, using the existing OpenDialog and not creating new one. :D


------------------------------------------------------------------------
r23756 | funman | 2007-12-21 01:58:18 +0100 (Fri, 21 Dec 2007) | 2 lines
Changed paths:
   M /trunk/THANKS
   M /trunk/modules/gui/qt4/components/interface_widgets.cpp
   M /trunk/modules/gui/qt4/dialogs/help.cpp
   M /trunk/modules/gui/qt4/main_interface.cpp
   M /trunk/modules/gui/qt4/qt4.cpp
   M /trunk/modules/gui/qt4/res.qrc
   A /trunk/share/vlc128x128-christmas.png
   A /trunk/share/vlc32x32-christmas.xpm
   A /trunk/share/vlc48x48-christmas.png

qt4: special icon made by Geoffrey Roussel alias akem/meka is displayed in the last days of the year.

------------------------------------------------------------------------
r23755 | jb | 2007-12-21 01:45:54 +0100 (Fri, 21 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/ui/open.ui

Qt4 - UI. Remove QT4.3 only functions.

------------------------------------------------------------------------
r23754 | jb | 2007-12-21 01:42:57 +0100 (Fri, 21 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/dialogs/open.cpp

Qt4 - typo.

------------------------------------------------------------------------
r23753 | jb | 2007-12-21 01:40:47 +0100 (Fri, 21 Dec 2007) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/dialogs/open.cpp
   M /trunk/modules/gui/qt4/dialogs/open.hpp
   M /trunk/modules/gui/qt4/dialogs_provider.cpp
   M /trunk/modules/gui/qt4/dialogs_provider.hpp
   M /trunk/modules/gui/qt4/ui/open.ui

Qt4 - Small open dialog refactoring for use for vlm dialog.


------------------------------------------------------------------------
r23752 | funman | 2007-12-20 23:58:00 +0100 (Thu, 20 Dec 2007) | 1 line
Changed paths:
   M /trunk/MAINTAINERS

Add mysef as playlist & ncurses interface maintainer
------------------------------------------------------------------------
r23751 | Trax | 2007-12-20 20:19:00 +0100 (Thu, 20 Dec 2007) | 1 line
Changed paths:
   M /trunk/modules/demux/mp4/libmp4.c

* modules/demux/mp4/libmp4.c: spelling - uncompletetly -> incompletely
------------------------------------------------------------------------
r23750 | jpsaman | 2007-12-20 12:47:22 +0100 (Thu, 20 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/video_output/opengl.c
   M /trunk/modules/video_output/x11/xcommon.c
   M /trunk/src/video_output/video_output.c

Remove excess/trailing whitespace

------------------------------------------------------------------------
r23749 | jpsaman | 2007-12-20 12:47:21 +0100 (Thu, 20 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/video_output/fb.c

Restore old functionality in video_output fb to use the entire screen size.

------------------------------------------------------------------------
r23748 | jpsaman | 2007-12-20 12:47:19 +0100 (Thu, 20 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/gui/wxwidgets/dialogs/preferences.cpp

Make wxwidgets compile again. The preference dialog still needs fixing.

------------------------------------------------------------------------
r23747 | jb | 2007-12-20 06:17:31 +0100 (Thu, 20 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/main_interface.cpp

Qt4 - Fix the "playlist doesn't show at first click" bug.

------------------------------------------------------------------------
r23746 | jb | 2007-12-20 05:44:31 +0100 (Thu, 20 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/simple_preferences.cpp

Qt4 - More Module_Exist for SPrefs.

------------------------------------------------------------------------
r23745 | funman | 2007-12-20 01:48:39 +0100 (Thu, 20 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/dialogs_provider.cpp
   M /trunk/modules/gui/qt4/dialogs_provider.hpp

revert [23722]

------------------------------------------------------------------------
r23744 | funman | 2007-12-20 01:37:23 +0100 (Thu, 20 Dec 2007) | 1 line
Changed paths:
   M /trunk/share/luaplaylist/joox.lua

lua playlist: fix joox
------------------------------------------------------------------------
r23743 | jb | 2007-12-20 01:21:20 +0100 (Thu, 20 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/dialogs_provider.cpp

Qt4 - add UPDATEVLC_DIALOG to the DP.

------------------------------------------------------------------------
r23742 | funman | 2007-12-20 00:59:06 +0100 (Thu, 20 Dec 2007) | 3 lines
Changed paths:
   M /trunk/modules/demux/playlist/asx.c
   M /trunk/modules/demux/playlist/b4s.c
   M /trunk/modules/demux/playlist/dvb.c
   M /trunk/modules/demux/playlist/gvp.c
   M /trunk/modules/demux/playlist/ifo.c
   M /trunk/modules/demux/playlist/itml.c
   M /trunk/modules/demux/playlist/m3u.c
   M /trunk/modules/demux/playlist/pls.c
   M /trunk/modules/demux/playlist/podcast.c
   M /trunk/modules/demux/playlist/qtl.c
   M /trunk/modules/demux/playlist/sgimb.c
   M /trunk/modules/demux/playlist/shoutcast.c
   M /trunk/modules/demux/playlist/xspf.c

playlist demuxers: return -1 in case of error, 0 in case of eof, 1 else; like any correct demuxer. (we always return eof since playlists don't need 2 successive demuxing).
fix a corner case bug in ifo.c

------------------------------------------------------------------------
r23741 | funman | 2007-12-20 00:28:02 +0100 (Thu, 20 Dec 2007) | 1 line
Changed paths:
   M /trunk/modules/demux/playlist/xspf.c

xspf: use correct return value. VLC_FALSE == VLC_SUCCESS
------------------------------------------------------------------------
r23740 | pdherbemont | 2007-12-20 00:12:22 +0100 (Thu, 20 Dec 2007) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/Framework/Headers/Public/VLCMedia.h
   M /trunk/extras/MacOSX/Framework/Sources/VLCMedia.m

MacOSX/Framework/VLCMedia.m: Implement mediaAsNodeWithName:.

------------------------------------------------------------------------
r23739 | pdherbemont | 2007-12-20 00:10:31 +0100 (Thu, 20 Dec 2007) | 2 lines
Changed paths:
   M /trunk/include/vlc/libvlc.h
   M /trunk/src/control/media_descriptor.c

control/media_descriptor.c: Implement libvlc_media_descriptor_new_as_node.

------------------------------------------------------------------------
r23738 | pdherbemont | 2007-12-19 23:50:14 +0100 (Wed, 19 Dec 2007) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/Framework/Sources/VLCEventManager.m

MacOSX/Framework/VLCEventManager.m: Directly issue events to main thread if we are called from main thread.

------------------------------------------------------------------------
r23737 | jb | 2007-12-19 23:30:48 +0100 (Wed, 19 Dec 2007) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/main_interface.cpp

Qt4 - revert part of [23442]. Fix and close #1398.


------------------------------------------------------------------------
r23736 | pdherbemont | 2007-12-19 23:28:22 +0100 (Wed, 19 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/video_output/opengllayer.m

opengllayer.m: Use AGP texturing.

------------------------------------------------------------------------
r23735 | pdherbemont | 2007-12-19 23:10:51 +0100 (Wed, 19 Dec 2007) | 2 lines
Changed paths:
   M /trunk/configure.ac

configure.ac: Don't activate opengllayer, if QuartzCore/CALayer.h is not here.

------------------------------------------------------------------------
r23734 | courmisch | 2007-12-19 21:46:45 +0100 (Wed, 19 Dec 2007) | 2 lines
Changed paths:
   M /trunk/src/misc/mtime.c
   M /trunk/src/misc/threads.c

Work-around for overaging POSIX systems

------------------------------------------------------------------------
r23733 | courmisch | 2007-12-19 21:42:12 +0100 (Wed, 19 Dec 2007) | 2 lines
Changed paths:
   M /trunk/src/misc/mtime.c

Fix stupid logic

------------------------------------------------------------------------
r23732 | pdherbemont | 2007-12-19 17:20:44 +0100 (Wed, 19 Dec 2007) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/Framework/Headers/Public/VLCMediaListAspect.h
   M /trunk/extras/MacOSX/Framework/Sources/VLCMediaListAspect.m

MacOSX/Framework/VLCMediaListAspect.m: Allow tree based VLCMediaListAspect manipulation with Bindings.

------------------------------------------------------------------------
r23731 | pdherbemont | 2007-12-19 17:18:07 +0100 (Wed, 19 Dec 2007) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/Framework/Sources/VLCMediaPlayer.m

MacOSX/Framework/VLCMediaPlayer.m: Formatting fixes.

------------------------------------------------------------------------
r23730 | pdherbemont | 2007-12-19 17:09:55 +0100 (Wed, 19 Dec 2007) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Patches/ffmpeg-macosx-intel-mmx.patch

ffmpeg-macosx-intel-mmx.patch: Update the patch to reflect latest ffmpeg changes. (flac code moved to flacdsp_mmc.c and new sse2 optimization in flac that uses too much registers).

------------------------------------------------------------------------
r23729 | pdherbemont | 2007-12-19 16:46:32 +0100 (Wed, 19 Dec 2007) | 2 lines
Changed paths:
   M /trunk/src/control/media_list_view.c

control/media_list_view.c: Ignore exception that may happen while unregistering an event, a we may never have register the event.

------------------------------------------------------------------------
r23728 | pdherbemont | 2007-12-19 16:40:10 +0100 (Wed, 19 Dec 2007) | 7 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/modules/video_output/Modules.am

configure.ac:
* Activate the opengllayer video output module.
* Rework a bit how Mac OS X Specific modules are handled.
video_output/Modules.am:
* Activate the opengllayer video output module.
* Please test that the --tag=CC libtool hack doesn't interfer with the .cpp modules.

------------------------------------------------------------------------
r23727 | pdherbemont | 2007-12-19 14:55:46 +0100 (Wed, 19 Dec 2007) | 2 lines
Changed paths:
   A /trunk/modules/video_output/opengllayer.m (from /trunk/modules/video_output/opengl.c:23630)

modules/video_output/opengllayer.m: Initial creation of a Mac OS X video output module. Its output is a CAOpenGLLayer. This needs a special video output module as it is not trivial to create an opengl provider module connected to a layer. (the layer request its frames).

------------------------------------------------------------------------
r23726 | pdherbemont | 2007-12-19 14:31:14 +0100 (Wed, 19 Dec 2007) | 2 lines
Changed paths:
   M /trunk/include/vlc_common.h

include/vlc_common.h: Define gettext() as a no-op when --disable-nls is used. (Fix compilation with --disable-nls).

------------------------------------------------------------------------
r23725 | jb | 2007-12-19 08:06:00 +0100 (Wed, 19 Dec 2007) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/extended_panels.cpp
   M /trunk/modules/gui/qt4/components/simple_preferences.cpp
   M /trunk/modules/gui/qt4/dialogs/open.cpp

Qt4 - Getting rid of useless setCheckState( Qt::Checked ) when setChecked is enough...


------------------------------------------------------------------------
r23724 | jb | 2007-12-19 08:02:26 +0100 (Wed, 19 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/simple_preferences.cpp

Qt4 - Preferences, lastfm fix.

------------------------------------------------------------------------
r23723 | jb | 2007-12-19 07:52:33 +0100 (Wed, 19 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/open_panels.cpp
   M /trunk/modules/gui/qt4/components/open_panels.hpp

Qt4 - Open Capture. Only build what you do have. :D

------------------------------------------------------------------------
r23722 | jb | 2007-12-19 06:46:26 +0100 (Wed, 19 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/dialogs_provider.cpp
   M /trunk/modules/gui/qt4/dialogs_provider.hpp

Qt4 - FIX compilation when --enable-update-check isn't enabled...

------------------------------------------------------------------------
r23721 | ivoire | 2007-12-19 02:43:20 +0100 (Wed, 19 Dec 2007) | 1 line
Changed paths:
   M /trunk/src/misc/update.c

Better asprintf error handling
------------------------------------------------------------------------
r23720 | funman | 2007-12-19 00:30:00 +0100 (Wed, 19 Dec 2007) | 6 lines
Changed paths:
   M /trunk/include/vlc_update.h
   M /trunk/src/misc/update.c

update system:
    * don't compare svn revisions, we don't support binaries compiled from svn.
    * compare only the 1st character of the "extra" (the 'd' of "0.8.6d")
    * document the status file format
    * don't use %as GNU extension with sscanf()

------------------------------------------------------------------------
r23719 | jpsaman | 2007-12-18 23:21:28 +0100 (Tue, 18 Dec 2007) | 1 line
Changed paths:
   M /trunk/modules/stream_out/transcode.c

Fix compiler warning about comparison of signed and unsigned integers.
------------------------------------------------------------------------
r23718 | fkuehne | 2007-12-18 21:57:40 +0100 (Tue, 18 Dec 2007) | 1 line
Changed paths:
   M /trunk/po/de.po

* fix the strings instead of marking them as fuzzy. sorry about the breakage
------------------------------------------------------------------------
r23717 | courmisch | 2007-12-18 21:40:46 +0100 (Tue, 18 Dec 2007) | 2 lines
Changed paths:
   M /trunk/src/misc/mtime.c
   M /trunk/src/misc/threads.c

_POSIX_CLOCK_SELECTION at 0 does not mean it's not supported.

------------------------------------------------------------------------
r23716 | courmisch | 2007-12-18 21:38:47 +0100 (Tue, 18 Dec 2007) | 2 lines
Changed paths:
   M /trunk/src/libvlc-module.c

Don't create two competing options of the same name

------------------------------------------------------------------------
r23715 | Trax | 2007-12-18 21:24:02 +0100 (Tue, 18 Dec 2007) | 1 line
Changed paths:
   M /trunk/po/de.po

* po/de.po: add some fuzzy stuff..
------------------------------------------------------------------------
r23714 | courmisch | 2007-12-18 20:25:39 +0100 (Tue, 18 Dec 2007) | 2 lines
Changed paths:
   M /trunk/src/config/config.h
   M /trunk/src/config/core.c
   M /trunk/src/libvlc-common.c
   M /trunk/src/libvlc-module.c

Good riddance the helper module

------------------------------------------------------------------------
r23713 | courmisch | 2007-12-18 20:19:37 +0100 (Tue, 18 Dec 2007) | 2 lines
Changed paths:
   M /trunk/src/libvlc-module.c

Move options from the help kludge^Wmodule to the main module

------------------------------------------------------------------------
r23712 | courmisch | 2007-12-18 19:56:58 +0100 (Tue, 18 Dec 2007) | 2 lines
Changed paths:
   M /trunk/src/libvlc-module.c
   M /trunk/src/libvlc.h

Fix for libvlc_config crash (hopefully)

------------------------------------------------------------------------
r23711 | fkuehne | 2007-12-18 17:38:41 +0100 (Tue, 18 Dec 2007) | 1 line
Changed paths:
   M /trunk/po/de.po

* updated German translation by Philipp Weissenbacher including a couple of more strings translated by myself and various minor fixes here and there. --- we seriously need to work on the correctness of the English strings.. ;)
------------------------------------------------------------------------
r23710 | ivoire | 2007-12-18 16:51:29 +0100 (Tue, 18 Dec 2007) | 1 line
Changed paths:
   M /trunk/include/vlc_update.h
   M /trunk/modules/control/rc.c
   M /trunk/modules/gui/qt4/dialogs/help.cpp
   M /trunk/modules/gui/qt4/dialogs/help.hpp
   M /trunk/src/misc/update.c

Add fonctions to the update system : all is in a thread now. The rc interface doesn't use the update system for the moment and there isn't any encryption for the moment ...
------------------------------------------------------------------------
r23709 | jpsaman | 2007-12-18 10:04:24 +0100 (Tue, 18 Dec 2007) | 1 line
Changed paths:
   M /trunk/activex/axvlc.idl
   M /trunk/activex/vlccontrol2.cpp
   M /trunk/activex/vlccontrol2.h
   M /trunk/include/vlc/libvlc.h
   M /trunk/mozilla/control/npolibvlc.cpp
   M /trunk/src/control/video.c

Implement vlc.video.toggleTeletext() JS API method
------------------------------------------------------------------------
r23708 | jb | 2007-12-18 05:48:32 +0100 (Tue, 18 Dec 2007) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Distributions/win32.mak
   M /trunk/extras/contrib/src/Patches/portaudio-cross.patch

Contribs: build portaudio on Windows. Close #419

------------------------------------------------------------------------
r23707 | jb | 2007-12-18 05:28:14 +0100 (Tue, 18 Dec 2007) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/main_interface.cpp

Qt4 - remember the position on close and open in the same position.
Reference #1374

------------------------------------------------------------------------
r23706 | jb | 2007-12-18 05:16:29 +0100 (Tue, 18 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/ui/open_disk.ui

Qt4 - Mention the VIDEO_TS opening in the tooltip. Opening a VIDEO_TS folder from the *DISK OPENING* works fine. Close #247.

------------------------------------------------------------------------
r23705 | courmisch | 2007-12-17 22:03:26 +0100 (Mon, 17 Dec 2007) | 2 lines
Changed paths:
   M /trunk/include/vlc_modules_macros.h

Remove unused variable

------------------------------------------------------------------------
r23704 | courmisch | 2007-12-17 21:54:32 +0100 (Mon, 17 Dec 2007) | 2 lines
Changed paths:
   M /trunk/include/vlc_modules_macros.h

Force rebuild due to ABI breakage yet again (should be the last one for plugin entry config)

------------------------------------------------------------------------
r23703 | courmisch | 2007-12-17 21:53:25 +0100 (Mon, 17 Dec 2007) | 2 lines
Changed paths:
   M /trunk/include/vlc_configuration.h
   M /trunk/include/vlc_modules_macros.h
   M /trunk/src/config/config.h
   M /trunk/src/config/core.c
   M /trunk/src/libvlc.sym
   M /trunk/src/modules/entry.c

Use vlc_config_create()

------------------------------------------------------------------------
r23702 | courmisch | 2007-12-17 21:27:03 +0100 (Mon, 17 Dec 2007) | 2 lines
Changed paths:
   M /trunk/include/vlc_modules_macros.h
   M /trunk/src/config/core.c
   M /trunk/src/modules/entry.c

Save one memory copy and fix the helper module leak

------------------------------------------------------------------------
r23701 | courmisch | 2007-12-17 20:43:18 +0100 (Mon, 17 Dec 2007) | 2 lines
Changed paths:
   M /trunk/src/config/core.c
   M /trunk/src/modules/entry.c

Memory leaks

------------------------------------------------------------------------
r23700 | courmisch | 2007-12-17 20:36:58 +0100 (Mon, 17 Dec 2007) | 2 lines
Changed paths:
   M /trunk/include/vlc_configuration.h
   M /trunk/src/config/chain.c
   M /trunk/src/config/cmdline.c
   M /trunk/src/config/core.c
   M /trunk/src/config/file.c
   M /trunk/src/libvlc-common.c
   M /trunk/src/modules/cache.c
   M /trunk/src/modules/entry.c
   M /trunk/src/modules/modules.c

Add support for aliases through vlc_config_set

------------------------------------------------------------------------
r23699 | courmisch | 2007-12-17 20:01:13 +0100 (Mon, 17 Dec 2007) | 2 lines
Changed paths:
   M /trunk/include/vlc_configuration.h
   M /trunk/include/vlc_modules_macros.h
   M /trunk/src/config/core.c
   M /trunk/src/modules/entry.c

Add action through vlc_config_set

------------------------------------------------------------------------
r23698 | courmisch | 2007-12-17 19:57:56 +0100 (Mon, 17 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/demux/playlist/xspf.c

Fix XSPF crash when XML is not available

------------------------------------------------------------------------
r23697 | fkuehne | 2007-12-17 17:20:29 +0100 (Mon, 17 Dec 2007) | 1 line
Changed paths:
   M /trunk/extras/contrib/src/packages.mak

* mirror pkg-config on ganesh, as their mirror is down most of the time
------------------------------------------------------------------------
r23696 | courmisch | 2007-12-17 17:16:53 +0100 (Mon, 17 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/misc/screensaver.c

Fix error handling

------------------------------------------------------------------------
r23695 | fkuehne | 2007-12-17 16:40:29 +0100 (Mon, 17 Dec 2007) | 1 line
Changed paths:
   M /trunk/modules/gui/macosx/about.h
   M /trunk/modules/gui/macosx/about.m

* fixed a crash when quitting VLC while scrolling the credits in the about window. Additionally, improved the help window's memory print slightly
------------------------------------------------------------------------
r23694 | jpsaman | 2007-12-17 15:38:14 +0100 (Mon, 17 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/stream_out/transcode.c

Fix breakage in transcode_audio_new().

------------------------------------------------------------------------
r23693 | jb | 2007-12-17 09:55:35 +0100 (Mon, 17 Dec 2007) | 3 lines
Changed paths:
   M /trunk/include/vlc_configuration.h

Same as previous commit. This may be wrong, if it is, revert, don't scream...


------------------------------------------------------------------------
r23692 | jb | 2007-12-17 09:51:15 +0100 (Mon, 17 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/access/dshow/dshow.cpp

DShow, partial fix due to changes in [23667]

------------------------------------------------------------------------
r23691 | bigben | 2007-12-17 07:40:11 +0100 (Mon, 17 Dec 2007) | 3 lines
Changed paths:
   M /trunk/modules/demux/playlist/dvb.c

* add support for ATSC modulation types


------------------------------------------------------------------------
r23690 | jb | 2007-12-17 01:48:49 +0100 (Mon, 17 Dec 2007) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/main_interface.cpp

Qt4 - less debug messages.


------------------------------------------------------------------------
r23689 | jb | 2007-12-17 01:46:54 +0100 (Mon, 17 Dec 2007) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/main_interface.cpp
   M /trunk/modules/gui/qt4/menus.hpp
   M /trunk/modules/gui/qt4/qt4.hpp

Qt4 - trailing spaces... Post-commit script ?


------------------------------------------------------------------------
r23688 | Trax | 2007-12-17 00:34:49 +0100 (Mon, 17 Dec 2007) | 1 line
Changed paths:
   M /trunk/modules/access/dc1394.c
   M /trunk/modules/access/v4l.c

* modules/access/v4l.c and dc1394.c: typo openened -> opened
------------------------------------------------------------------------
r23687 | jb | 2007-12-16 23:34:47 +0100 (Sun, 16 Dec 2007) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/interface_widgets.cpp
   M /trunk/modules/gui/qt4/input_manager.cpp
   M /trunk/modules/gui/qt4/input_manager.hpp

Qt4 - Don't compile and create the Teletext bar without ZBVI


------------------------------------------------------------------------
r23686 | dionoea | 2007-12-16 23:05:16 +0100 (Sun, 16 Dec 2007) | 2 lines
Changed paths:
   M /trunk/include/vlc_modules_macros.h

Fix modules loading. Next time you potentialy break all of VLC, please compile and try the change before commiting.

------------------------------------------------------------------------
r23685 | jpsaman | 2007-12-16 23:01:06 +0100 (Sun, 16 Dec 2007) | 1 line
Changed paths:
   M /trunk/modules/codec/telx.c
   M /trunk/modules/demux/ps.h
   M /trunk/modules/misc/gtk_main.c
   M /trunk/src/control/vlm.c
   M /trunk/src/input/vlm.c

remove excess whitespace
------------------------------------------------------------------------
r23684 | jpsaman | 2007-12-16 22:44:47 +0100 (Sun, 16 Dec 2007) | 1 line
Changed paths:
   M /trunk/src/control/video.c

Use correct object for var_GetInteger(p_vbi,vbi-page);
------------------------------------------------------------------------
r23683 | dionoea | 2007-12-16 22:27:59 +0100 (Sun, 16 Dec 2007) | 2 lines
Changed paths:
   M /trunk/configure.ac

Define HAVE_LIBAVFORMAT_TREE.

------------------------------------------------------------------------
r23682 | courmisch | 2007-12-16 22:10:57 +0100 (Sun, 16 Dec 2007) | 3 lines
Changed paths:
   M /trunk/src/config/core.c

Typo (free both tabs once, rather than one twice, and the other one never)
Also some code simplifaction

------------------------------------------------------------------------
r23681 | jpsaman | 2007-12-16 22:07:11 +0100 (Sun, 16 Dec 2007) | 1 line
Changed paths:
   M /trunk/modules/codec/zvbi.c

Disable debugging print in zvbi
------------------------------------------------------------------------
r23680 | courmisch | 2007-12-16 22:03:45 +0100 (Sun, 16 Dec 2007) | 2 lines
Changed paths:
   M /trunk/include/vlc_modules_macros.h

Fix previous commit

------------------------------------------------------------------------
r23679 | dionoea | 2007-12-16 22:02:23 +0100 (Sun, 16 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/codec/ffmpeg/demux.c
   M /trunk/modules/codec/ffmpeg/ffmpeg.c
   M /trunk/modules/codec/ffmpeg/mux.c

Don't pretend to have ffmpeg based muxers and demuxers if you don't.

------------------------------------------------------------------------
r23678 | jpsaman | 2007-12-16 21:59:46 +0100 (Sun, 16 Dec 2007) | 1 line
Changed paths:
   M /trunk/modules/demux/ts.c

Small cleanup
------------------------------------------------------------------------
r23677 | courmisch | 2007-12-16 21:59:21 +0100 (Sun, 16 Dec 2007) | 2 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/include/vlc_modules_macros.h
   M /trunk/modules/genmf

Move plugin ABI version (MODULE_SYMBOL) out of build system.

------------------------------------------------------------------------
r23676 | jpsaman | 2007-12-16 21:58:28 +0100 (Sun, 16 Dec 2007) | 1 line
Changed paths:
   M /trunk/modules/codec/zvbi.c
   M /trunk/modules/gui/qt4/input_manager.cpp
   M /trunk/src/control/video.c

Don't misuse p_this->p_libvlc for putting modules variables of zvbi.
------------------------------------------------------------------------
r23675 | dionoea | 2007-12-16 21:38:14 +0100 (Sun, 16 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/demux/cdg.c
   M /trunk/modules/demux/nsc.c
   M /trunk/modules/demux/rawdv.c
   M /trunk/modules/misc/lua/vlc.c

Change demux2 capability values so the lua demux2 gets called as a last resort (2) right before the ps demux is forced (1).

------------------------------------------------------------------------
r23674 | jb | 2007-12-16 21:10:34 +0100 (Sun, 16 Dec 2007) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/interface_widgets.cpp
   M /trunk/modules/gui/qt4/main_interface.cpp

Qt4 - Hide the grey rectangle on the top of the interface, try to fix the zoom reiszing


------------------------------------------------------------------------
r23673 | jpsaman | 2007-12-16 20:48:36 +0100 (Sun, 16 Dec 2007) | 1 line
Changed paths:
   M /trunk/modules/gui/qt4/components/interface_widgets.cpp

don't show the teletext buttons yet, it is not ready for primetime.
------------------------------------------------------------------------
r23672 | jpsaman | 2007-12-16 20:47:25 +0100 (Sun, 16 Dec 2007) | 1 line
Changed paths:
   M /trunk/modules/gui/qt4/components/interface_widgets.cpp

keep to the style of the file.
------------------------------------------------------------------------
r23671 | jpsaman | 2007-12-16 20:44:00 +0100 (Sun, 16 Dec 2007) | 1 line
Changed paths:
   M /trunk/modules/gui/qt4/components/interface_widgets.cpp

Set default vbi page in interface.
------------------------------------------------------------------------
r23670 | jpsaman | 2007-12-16 20:34:07 +0100 (Sun, 16 Dec 2007) | 1 line
Changed paths:
   M /trunk/modules/codec/zvbi.c

Make sure vbi-opaque can be set from an interface.
------------------------------------------------------------------------
r23669 | jpsaman | 2007-12-16 20:33:05 +0100 (Sun, 16 Dec 2007) | 1 line
Changed paths:
   M /trunk/modules/gui/qt4/input_manager.cpp

Let teletext gui buttons do something.
------------------------------------------------------------------------
r23668 | courmisch | 2007-12-16 18:40:21 +0100 (Sun, 16 Dec 2007) | 2 lines
Changed paths:
   M /trunk/include/vlc_configuration.h
   M /trunk/src/config/core.c

config_Free simplifications

------------------------------------------------------------------------
r23667 | courmisch | 2007-12-16 18:36:01 +0100 (Sun, 16 Dec 2007) | 2 lines
Changed paths:
   M /trunk/include/vlc_configuration.h
   A /trunk/include/vlc_plugin.h
   M /trunk/src/config/core.c
   M /trunk/src/modules/entry.c

short and list support for vlc_config_set

------------------------------------------------------------------------
r23666 | fkuehne | 2007-12-16 17:54:03 +0100 (Sun, 16 Dec 2007) | 1 line
Changed paths:
   M /trunk/modules/gui/macosx/prefs.m
   M /trunk/modules/gui/macosx/prefs_widgets.m

* fixed 2 segfaults when switching categories within the preferences. The options for CONFIG_SUBCATEGORY and CONFIG_CATEGORY aren't displayed, yet.
------------------------------------------------------------------------
r23665 | courmisch | 2007-12-16 16:51:08 +0100 (Sun, 16 Dec 2007) | 2 lines
Changed paths:
   M /trunk/src/misc/messages.c
   M /trunk/src/network/error.c

I hate Winsuck^H^H^Hock

------------------------------------------------------------------------
r23664 | courmisch | 2007-12-16 16:12:51 +0100 (Sun, 16 Dec 2007) | 2 lines
Changed paths:
   M /trunk/include/vlc_configuration.h
   M /trunk/include/vlc_modules.h
   M /trunk/src/modules/entry.c

Don't use enums. They are cool and all (the compiler even tells when one case is missing in switch), but I don't want the compiler to assume as yet unassigned codepoints will not be used.

------------------------------------------------------------------------
r23663 | dionoea | 2007-12-16 16:00:15 +0100 (Sun, 16 Dec 2007) | 2 lines
Changed paths:
   M /trunk/src/audio_output/dec.c

Oops.

------------------------------------------------------------------------
r23662 | dionoea | 2007-12-16 15:58:43 +0100 (Sun, 16 Dec 2007) | 2 lines
Changed paths:
   M /trunk/src/audio_output/dec.c
   M /trunk/src/audio_output/intf.c

Add warning if people try using an unimplemented aout function (zorglub!!!). This is currently only possible through the qt interface (i haven't tried it myself).

------------------------------------------------------------------------
r23661 | courmisch | 2007-12-16 15:54:44 +0100 (Sun, 16 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/stream_out/transcode.c

use add_module_list

------------------------------------------------------------------------
r23660 | courmisch | 2007-12-16 15:40:15 +0100 (Sun, 16 Dec 2007) | 2 lines
Changed paths:
   M /trunk/src/config/core.c
   M /trunk/src/modules/entry.c

Simplification, and no-ops removal

------------------------------------------------------------------------
r23659 | courmisch | 2007-12-16 15:34:29 +0100 (Sun, 16 Dec 2007) | 2 lines
Changed paths:
   M /trunk/include/vlc_configuration.h
   M /trunk/src/config/core.c
   M /trunk/src/modules/entry.c

Migrate module, module_list and obsolete_* to vlc_config_set

------------------------------------------------------------------------
r23658 | dionoea | 2007-12-16 15:13:33 +0100 (Sun, 16 Dec 2007) | 2 lines
Changed paths:
   M /trunk/src/video_output/vout_subpictures.c

Slight cleanup and simplification.

------------------------------------------------------------------------
r23657 | dionoea | 2007-12-16 14:46:30 +0100 (Sun, 16 Dec 2007) | 2 lines
Changed paths:
   M /trunk/src/video_output/vout_intf.c

Some more vout_intf.c simplification and compile warning fixes.

------------------------------------------------------------------------
r23656 | fkuehne | 2007-12-16 13:50:45 +0100 (Sun, 16 Dec 2007) | 1 line
Changed paths:
   M /trunk/Makefile.am

cough, fix VLC-release.app broken in previous commit
------------------------------------------------------------------------
r23655 | fkuehne | 2007-12-16 13:46:59 +0100 (Sun, 16 Dec 2007) | 1 line
Changed paths:
   M /trunk/Makefile.am

* strongly improved the speed of make VLC.app and make VLC-release.app by only copying the xcode project and the Resources folder instead of various plugins and most importantly the framework to a temporary folder
------------------------------------------------------------------------
r23654 | courmisch | 2007-12-16 11:33:04 +0100 (Sun, 16 Dec 2007) | 2 lines
Changed paths:
   M /trunk/src/config/file.c

Code factorization

------------------------------------------------------------------------
r23653 | courmisch | 2007-12-16 11:28:24 +0100 (Sun, 16 Dec 2007) | 2 lines
Changed paths:
   M /trunk/include/vlc_configuration.h
   M /trunk/src/modules/entry.c

Some more vlc_config_* code

------------------------------------------------------------------------
r23652 | jb | 2007-12-16 07:04:53 +0100 (Sun, 16 Dec 2007) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/interface_widgets.cpp
   M /trunk/modules/gui/qt4/components/interface_widgets.hpp
   M /trunk/modules/gui/qt4/input_manager.cpp
   M /trunk/modules/gui/qt4/input_manager.hpp

Qt4 - teletext Panel. Not any function behind it. Not my job anymore :)


------------------------------------------------------------------------
r23651 | jb | 2007-12-16 06:01:25 +0100 (Sun, 16 Dec 2007) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/interface_widgets.cpp

Qt4 - Make the interface a bit smaller.


------------------------------------------------------------------------
r23650 | jb | 2007-12-16 05:49:40 +0100 (Sun, 16 Dec 2007) | 10 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/interface_widgets.cpp
   M /trunk/modules/gui/qt4/components/interface_widgets.hpp
   M /trunk/modules/gui/qt4/main_interface.cpp
   M /trunk/modules/gui/qt4/main_interface.hpp
   M /trunk/modules/gui/qt4/qt4.hpp

Qt4 - SHould Fix -- Videos are always started with an incredibly small size.
 -- There is no "auto size" feature as in the wx interface to
 automatically resize the interface so the video is displayed in its
 native size.
  -- The interface doesn't resize itself down to its minimal size when
  video playback is stopped and the control widgets re-organise themselves
  in a weird way.
Should fix part of playlist resizing.


------------------------------------------------------------------------
r23649 | fkuehne | 2007-12-16 03:20:14 +0100 (Sun, 16 Dec 2007) | 1 line
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/About.nib/classes.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/About.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/About.nib/keyedobjects.nib
   M /trunk/modules/gui/macosx/about.h
   M /trunk/modules/gui/macosx/about.m

* added navigation controls to the Help window (implemented with minimal affords by using WebKit's builtin methods). We need a nicer home button graphic, though ;-)
------------------------------------------------------------------------
r23648 | jb | 2007-12-16 01:35:25 +0100 (Sun, 16 Dec 2007) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/interface_widgets.cpp
   M /trunk/modules/gui/qt4/main_interface.cpp

Qt4 - Make the default interface smaller.


------------------------------------------------------------------------
r23647 | jb | 2007-12-16 01:09:01 +0100 (Sun, 16 Dec 2007) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/interface_widgets.cpp
   M /trunk/modules/gui/qt4/main_interface.cpp

Qt4 - Small interface and control layout fix.


------------------------------------------------------------------------
r23646 | xtophe | 2007-12-16 00:33:14 +0100 (Sun, 16 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/dialogs_provider.cpp

We know that we open a directory

------------------------------------------------------------------------
r23645 | Trax | 2007-12-16 00:18:43 +0100 (Sun, 16 Dec 2007) | 1 line
Changed paths:
   M /trunk/src/libvlc-module.c

* src/libvlc-module.c: typo autorise -> authorise
------------------------------------------------------------------------
r23644 | xtophe | 2007-12-15 23:46:58 +0100 (Sat, 15 Dec 2007) | 2 lines
Changed paths:
   M /trunk/include/vlc_configuration.h

Typo

------------------------------------------------------------------------
r23643 | jb | 2007-12-15 23:39:32 +0100 (Sat, 15 Dec 2007) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/dialogs/vlm.cpp

Qt4 - Add an author that was removed by mistake.


------------------------------------------------------------------------
r23642 | jb | 2007-12-15 23:38:31 +0100 (Sat, 15 Dec 2007) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/dialogs/vlm.cpp
   M /trunk/modules/gui/qt4/dialogs/vlm.hpp

Qt4 - VLM. enable/disable from the list controls the VLM. small fixes and correction of VLM requests.


------------------------------------------------------------------------
r23641 | courmisch | 2007-12-15 23:18:03 +0100 (Sat, 15 Dec 2007) | 2 lines
Changed paths:
   M /trunk/include/vlc_configuration.h
   M /trunk/src/modules/entry.c

Continue the vlc_config_set stuff - still unfinished

------------------------------------------------------------------------
r23640 | dionoea | 2007-12-15 22:56:49 +0100 (Sat, 15 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/video_output/fb.c

Here too.

------------------------------------------------------------------------
r23639 | courmisch | 2007-12-15 22:52:13 +0100 (Sat, 15 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/stream_out/mosaic_bridge.c

extraneous semicolon

------------------------------------------------------------------------
r23638 | courmisch | 2007-12-15 22:50:37 +0100 (Sat, 15 Dec 2007) | 2 lines
Changed paths:
   M /trunk/src/config/config.h
   M /trunk/src/config/core.c

export IsConfigIntegerType and IsConfigFloatType within libvlc

------------------------------------------------------------------------
r23637 | courmisch | 2007-12-15 22:47:07 +0100 (Sat, 15 Dec 2007) | 2 lines
Changed paths:
   M /trunk/src/libvlc-common.c

help module hack becomes even worst...

------------------------------------------------------------------------
r23636 | jb | 2007-12-15 22:17:20 +0100 (Sat, 15 Dec 2007) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/dialogs/vlm.cpp
   M /trunk/modules/gui/qt4/dialogs/vlm.hpp

Qt4 - VLM: simplifications.


------------------------------------------------------------------------
r23635 | xtophe | 2007-12-15 22:16:08 +0100 (Sat, 15 Dec 2007) | 2 lines
Changed paths:
   M /trunk/configure.ac

Make sure no module not recompiled are used after [23633]

------------------------------------------------------------------------
r23634 | jb | 2007-12-15 22:15:57 +0100 (Sat, 15 Dec 2007) | 3 lines
Changed paths:
   M /trunk/include/vlc_vlm.h

Add a cast to fix compilation.


------------------------------------------------------------------------
r23633 | courmisch | 2007-12-15 21:50:54 +0100 (Sat, 15 Dec 2007) | 3 lines
Changed paths:
   M /trunk/include/vlc_configuration.h
   M /trunk/src/config/core.c
   M /trunk/src/modules/entry.c

Partially introduce vlc_config_set() to modify module_config_t through a less brittle API
BEWARE: If you have non-recompiled plugins, they WILL crash.

------------------------------------------------------------------------
r23632 | jb | 2007-12-15 21:40:45 +0100 (Sat, 15 Dec 2007) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/dialogs/vlm.cpp
   M /trunk/modules/gui/qt4/dialogs/vlm.hpp

Qt4 - VLM update. Add the actual vlm queries, the modifications and so on for VOD and Broadcast.


------------------------------------------------------------------------
r23631 | courmisch | 2007-12-15 21:40:41 +0100 (Sat, 15 Dec 2007) | 2 lines
Changed paths:
   M /trunk/src/libvlc-module.c

Remove extra semi-colon

------------------------------------------------------------------------
r23630 | courmisch | 2007-12-15 17:07:40 +0100 (Sat, 15 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/gui/beos/PreferencesWindow.cpp
   M /trunk/modules/gui/macosx/prefs_widgets.m
   M /trunk/modules/gui/qt4/components/preferences_widgets.cpp
   M /trunk/modules/gui/wince/preferences_widgets.cpp
   M /trunk/modules/gui/wxwidgets/dialogs/preferences_widgets.cpp

Remove code killed by previous commit

------------------------------------------------------------------------
r23629 | courmisch | 2007-12-15 17:05:45 +0100 (Sat, 15 Dec 2007) | 2 lines
Changed paths:
   M /trunk/src/modules/modules.c

Conceal unsaveable and renamed options as well

------------------------------------------------------------------------
r23628 | courmisch | 2007-12-15 16:59:22 +0100 (Sat, 15 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/demux/playlist/playlist.c

Allow totally reckless users to save m3u-extvlcopt if they want to.

------------------------------------------------------------------------
r23627 | courmisch | 2007-12-15 16:54:14 +0100 (Sat, 15 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/gui/macosx/prefs.m
   M /trunk/modules/gui/wxwidgets/dialogs/preferences.cpp
   M /trunk/src/modules/modules.c

Hide internal settings

------------------------------------------------------------------------
r23626 | jpsaman | 2007-12-15 16:19:00 +0100 (Sat, 15 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/gui/pda/pda.c
   M /trunk/modules/gui/pda/pda_callbacks.c
   M /trunk/modules/gui/pda/pda_callbacks.h
   M /trunk/modules/gui/pda/pda_support.h

Update to newest playlist API.

------------------------------------------------------------------------
r23625 | funman | 2007-12-15 13:20:54 +0100 (Sat, 15 Dec 2007) | 1 line
Changed paths:
   M /trunk/modules/misc/playlist/xspf.c

xspf: %-encode '%' and '+' for every URIs (it really should be URI type dependant). fix #1394
------------------------------------------------------------------------
r23624 | fkuehne | 2007-12-15 12:06:40 +0100 (Sat, 15 Dec 2007) | 1 line
Changed paths:
   M /trunk/extras/contrib/src/packages.mak

* the SWITCH download mirror is down, use HEANET instead
------------------------------------------------------------------------
r23623 | courmisch | 2007-12-15 11:51:07 +0100 (Sat, 15 Dec 2007) | 4 lines
Changed paths:
   M /trunk/include/vlc_modules.h
   M /trunk/src/modules/modules.c

 - fix symbol list
 - remove useless IsSubmodule (submodules have NO configuration items anyway, and any sensible UI won't show modules with no configuration)
 - free checks for NULL anyway

------------------------------------------------------------------------
r23622 | funman | 2007-12-15 10:39:55 +0100 (Sat, 15 Dec 2007) | 2 lines
Changed paths:
   M /trunk/src/playlist/engine.c

Preparse file items which don't begin with 'file:'. Patch by Antoine Lejeune.

------------------------------------------------------------------------
r23621 | pdherbemont | 2007-12-14 23:20:51 +0100 (Fri, 14 Dec 2007) | 2 lines
Changed paths:
   M /trunk/src/control/hierarchical_media_list_view.c

control/hierarchical_media_list_view.c: Don't lock too soon the mlist.

------------------------------------------------------------------------
r23620 | gbazin | 2007-12-14 23:18:44 +0100 (Fri, 14 Dec 2007) | 1 line
Changed paths:
   M /trunk/include/vlc_modules.h
   M /trunk/modules/gui/wxwidgets/dialogs/open.cpp
   M /trunk/modules/gui/wxwidgets/dialogs/preferences.cpp
   M /trunk/modules/gui/wxwidgets/dialogs/preferences_widgets.cpp
   M /trunk/modules/gui/wxwidgets/dialogs.cpp
   M /trunk/src/modules/modules.c

* modules/gui/wxwidgets: fix breakage introduced by changeset 23581 and 23579. Breaking perfectly working modules just because you don't care about them is just rude.
------------------------------------------------------------------------
r23619 | jb | 2007-12-14 22:14:39 +0100 (Fri, 14 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/dialogs/vlm.cpp
   M /trunk/modules/gui/qt4/dialogs/vlm.hpp

Qt4 - Fix VLM-object not being checked. Add a type to be sure of the edition to do. 

------------------------------------------------------------------------
r23618 | pdherbemont | 2007-12-14 22:00:53 +0100 (Fri, 14 Dec 2007) | 2 lines
Changed paths:
   M /trunk/src/control/media_instance.c

control/media_instance.c: implement libvlc_media_instance_stop.

------------------------------------------------------------------------
r23617 | dionoea | 2007-12-14 21:09:07 +0100 (Fri, 14 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/access/pvr.c

[PATCH] Extend pvr support to non-ivtv v4l2 cards (e.g. cx88-blackbird) by Dennis Lou.

------------------------------------------------------------------------
r23616 | jb | 2007-12-14 20:11:53 +0100 (Fri, 14 Dec 2007) | 3 lines
Changed paths:
   M /trunk/THANKS

Thanks to TombiGel.


------------------------------------------------------------------------
r23615 | funman | 2007-12-14 18:53:27 +0100 (Fri, 14 Dec 2007) | 9 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/doc/release-howto.txt
   M /trunk/include/vlc_update.h
   M /trunk/modules/control/rc.c
   M /trunk/modules/gui/macosx/intf.h
   M /trunk/modules/gui/macosx/intf.m
   M /trunk/modules/gui/macosx/update.h
   M /trunk/modules/gui/macosx/update.m
   M /trunk/modules/gui/qt4/dialogs/help.cpp
   M /trunk/modules/gui/qt4/dialogs/help.hpp
   M /trunk/modules/gui/qt4/dialogs_provider.cpp
   M /trunk/modules/gui/qt4/dialogs_provider.hpp
   M /trunk/modules/gui/qt4/menus.cpp
   M /trunk/modules/gui/wxwidgets/dialogs/updatevlc.cpp
   M /trunk/modules/gui/wxwidgets/dialogs/updatevlc.hpp
   M /trunk/modules/gui/wxwidgets/dialogs.cpp
   M /trunk/modules/gui/wxwidgets/interface.cpp
   M /trunk/src/misc/update.c

Disable update checking per default, re-enable with --enable-update-check
Add OpenPGP code, still unused as there is no download of binaries at the moment

We will need to define (and write) the files (and their location) we will use in the update system:

    * We will use a file per arch, which will be signed
    * ALL VideoLAN gpg public keys will be stored on http://download.videolan.org/pub/keys/XXXXXXXXXXXXXXXX.asc where XXXXXXXXXXXXXXXX is the long id of the key
    * Every downloadable file will be signed with gpg --sign --detach --armor

------------------------------------------------------------------------
r23614 | funman | 2007-12-14 18:40:15 +0100 (Fri, 14 Dec 2007) | 1 line
Changed paths:
   M /trunk/modules/misc/screensaver.c

another missing signal.h
------------------------------------------------------------------------
r23613 | funman | 2007-12-14 18:30:58 +0100 (Fri, 14 Dec 2007) | 1 line
Changed paths:
   M /trunk/src/extras/libc.c

add missing signal.h
------------------------------------------------------------------------
r23612 | pdherbemont | 2007-12-14 18:29:01 +0100 (Fri, 14 Dec 2007) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/packages.mak

packages.mak: Use ftp:// for all gnugp packages.

------------------------------------------------------------------------
r23611 | pdherbemont | 2007-12-14 18:05:50 +0100 (Fri, 14 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/gui/macosx/prefs_widgets.m

modules/macosx/prefs_widgets.m: module_GetConfig doesn't accept second arg as NULL, quickly work around that.

------------------------------------------------------------------------
r23610 | pdherbemont | 2007-12-14 17:57:01 +0100 (Fri, 14 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/gui/macosx/prefs.m
   M /trunk/modules/gui/macosx/prefs_widgets.m

modules/gui/macosx/prefs*.m: Fix for module_t privatization. Feel free to test. That code is unreadable.

------------------------------------------------------------------------
r23609 | pdherbemont | 2007-12-14 17:55:09 +0100 (Fri, 14 Dec 2007) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/packages.mak

packages.mak: Use ftp instead of http for ftp.gnupg.org as their http mirror is always down.

------------------------------------------------------------------------
r23608 | pdherbemont | 2007-12-14 17:24:28 +0100 (Fri, 14 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/gui/macosx/intf.h
   M /trunk/modules/gui/macosx/intf.m

module/gui/macosx/intf.m: Use a const char * in parameters where desired.

------------------------------------------------------------------------
r23607 | pdherbemont | 2007-12-14 16:02:53 +0100 (Fri, 14 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/gui/macosx/playlist.m

modules/gui/macosx/playlist.m: Don't use p_module directly.

------------------------------------------------------------------------
r23606 | pdherbemont | 2007-12-14 15:33:06 +0100 (Fri, 14 Dec 2007) | 2 lines
Changed paths:
   M /trunk/include/vlc/libvlc.h
   M /trunk/src/control/media_descriptor.c

control/media_descriptor.c: As requested by Jacques Boileau, allow options tuning from the media_descriptor class. This is done through libvlc_media_descriptor_add_option.

------------------------------------------------------------------------
r23605 | jpsaman | 2007-12-14 11:41:48 +0100 (Fri, 14 Dec 2007) | 1 line
Changed paths:
   M /trunk/modules/gui/wxwidgets/dialogs/open.cpp

make use of new module_* API
------------------------------------------------------------------------
r23604 | jb | 2007-12-14 10:11:34 +0100 (Fri, 14 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/dialogs/vlm.cpp
   M /trunk/modules/gui/qt4/dialogs/vlm.hpp
   M /trunk/modules/gui/qt4/ui/vlm.ui

Qt4 - VLM improvements... Classing for the three kind of objects, more property editing and less segfaults (though there is one I have nooo clue ).

------------------------------------------------------------------------
r23603 | jb | 2007-12-14 04:04:07 +0100 (Fri, 14 Dec 2007) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/playlist/playlist.cpp

Qt4 - Art in the playlist is collapsable with the use of a QSplitter. If you really don't like, please revert.


------------------------------------------------------------------------
r23602 | jb | 2007-12-14 03:54:05 +0100 (Fri, 14 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/playlist/playlist.cpp

Qt4 - I prefer to have the left pane to not grow when the whole playlist is widenthed...

------------------------------------------------------------------------
r23601 | jb | 2007-12-14 03:44:11 +0100 (Fri, 14 Dec 2007) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/main_interface.cpp

Qt4 - Playlist should be Expanding, not MinimumExpanding.


------------------------------------------------------------------------
r23600 | funman | 2007-12-13 23:09:12 +0100 (Thu, 13 Dec 2007) | 1 line
Changed paths:
   M /trunk/modules/gui/ncurses.c

ncurses: force building (and memory allocation) of playlist as soon as interface is running
------------------------------------------------------------------------
r23599 | courmisch | 2007-12-13 20:16:07 +0100 (Thu, 13 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/stream_out/rtpfmt.c

Don't substract twelve twice

------------------------------------------------------------------------
r23598 | courmisch | 2007-12-13 20:03:29 +0100 (Thu, 13 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/stream_out/Modules.am
   M /trunk/modules/stream_out/rtp.c
   M /trunk/modules/stream_out/rtp.h
   A /trunk/modules/stream_out/rtpfmt.c (from /trunk/modules/stream_out/rtp.c:23596)

Split RTP sout further

------------------------------------------------------------------------
r23597 | courmisch | 2007-12-13 19:34:05 +0100 (Thu, 13 Dec 2007) | 2 lines
Changed paths:
   M /trunk/include/vlc_common.h
   M /trunk/include/vlc_url.h
   M /trunk/modules/stream_out/rtcp.c

Forward declare vlc_url_t

------------------------------------------------------------------------
r23596 | courmisch | 2007-12-13 19:06:34 +0100 (Thu, 13 Dec 2007) | 7 lines
Changed paths:
   M /trunk/modules/demux/live555.cpp

SET_PARAMETER is simply *wrong*. Servers are not supposed to support except for proprietary extensions (meaning we cannot use for just any random server).
Even GET_PARAMETER is hardly good, as it is not mandatory to implement either, but it is a defined way to ping (which SET_PARAMETER ain't).
In any case, the only proper way to ping a stream is RTCP feedback.
When it comes to the control session, better check OPTIONS Allow: header for GET_PARAMETER.

I really wonder how live555 can be so low-level though - smells like we are trying to be too intelligent here.

------------------------------------------------------------------------
r23595 | jpsaman | 2007-12-13 17:39:33 +0100 (Thu, 13 Dec 2007) | 2 lines
Changed paths:
   M /trunk/src/playlist/control.c

Patch by Jilles Tjoelker. Fixes crash in playlist due to negative index in playlist item array. Added boundary check to solve this.

------------------------------------------------------------------------
r23594 | pdherbemont | 2007-12-13 16:21:21 +0100 (Thu, 13 Dec 2007) | 2 lines
Changed paths:
   M /trunk/Makefile.am

Makefile.am: Don't ship the framework, since it's too big for now.

------------------------------------------------------------------------
r23593 | hovis | 2007-12-13 16:14:10 +0100 (Thu, 13 Dec 2007) | 1 line
Changed paths:
   M /trunk/modules/access/v4l2.c

v4l2: ALSA error handling.
------------------------------------------------------------------------
r23592 | ileoo | 2007-12-13 14:20:52 +0100 (Thu, 13 Dec 2007) | 1 line
Changed paths:
   M /trunk/modules/gui/qt4/dialogs/mediainfo.cpp
   M /trunk/modules/gui/qt4/dialogs/mediainfo.hpp

reset editingmode when mediainfo-dialog is closed, still leaves bug when dialog is reshown that it doesn't update content
------------------------------------------------------------------------
r23591 | ileoo | 2007-12-13 12:53:34 +0100 (Thu, 13 Dec 2007) | 1 line
Changed paths:
   M /trunk/modules/gui/qt4/dialogs/mediainfo.cpp
   M /trunk/modules/gui/qt4/dialogs/mediainfo.hpp

remove (seems to be) unneeded b_need_update variable
------------------------------------------------------------------------
r23590 | ileoo | 2007-12-13 09:13:56 +0100 (Thu, 13 Dec 2007) | 5 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/interface_widgets.cpp
   M /trunk/modules/gui/qt4/components/interface_widgets.hpp
   M /trunk/modules/gui/qt4/dialogs/mediainfo.cpp
   M /trunk/modules/gui/qt4/dialogs/mediainfo.hpp

Change backgroundwidget and mediainfo-dialog to use THEMIM
inputChanged-signal instead of polling.

I think that iteration-count for this one is still under 10 ;)

------------------------------------------------------------------------
r23589 | xtophe | 2007-12-13 01:14:33 +0100 (Thu, 13 Dec 2007) | 1 line
Changed paths:
   M /trunk/src/Makefile.am

Typo
------------------------------------------------------------------------
r23587 | xtophe | 2007-12-13 00:11:16 +0100 (Thu, 13 Dec 2007) | 2 lines
Changed paths:
   M /trunk/po/sl.po

Slovenian translation update by Matej Urban?\196?\141i?\196?\141

------------------------------------------------------------------------
r23586 | xtophe | 2007-12-12 23:59:41 +0100 (Wed, 12 Dec 2007) | 2 lines
Changed paths:
   M /trunk/po/POTFILES.in
   M /trunk/po/vlc.pot

Some files have been splitted

------------------------------------------------------------------------
r23585 | courmisch | 2007-12-12 21:22:32 +0100 (Wed, 12 Dec 2007) | 2 lines
Changed paths:
   M /trunk/src/modules/cache.c

Handle I/O errors while writing the cache file

------------------------------------------------------------------------
r23584 | courmisch | 2007-12-12 20:55:03 +0100 (Wed, 12 Dec 2007) | 2 lines
Changed paths:
   M /trunk/src/modules/modules.c

Use DIR_SEP

------------------------------------------------------------------------
r23583 | courmisch | 2007-12-12 20:47:39 +0100 (Wed, 12 Dec 2007) | 4 lines
Changed paths:
   M /trunk/modules/misc/screensaver.c
   M /trunk/src/extras/libc.c

Clear signal mask _between_ fork() and exec*().
Before fork() would break VLC's own sigmask.
After exec*() would rely on the children program to do it (and many don't).

------------------------------------------------------------------------
r23582 | courmisch | 2007-12-12 20:36:05 +0100 (Wed, 12 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/preferences_widgets.cpp

Typo

------------------------------------------------------------------------
r23581 | courmisch | 2007-12-12 20:29:02 +0100 (Wed, 12 Dec 2007) | 4 lines
Changed paths:
   M /trunk/include/vlc_configuration.h
   M /trunk/include/vlc_modules.h
   M /trunk/modules/codec/mpeg_audio.c
   M /trunk/modules/gui/qt4/components/complete_preferences.cpp
   M /trunk/modules/gui/qt4/components/extended_panels.cpp
   M /trunk/modules/gui/qt4/components/preferences_widgets.cpp
   M /trunk/src/audio_output/input.c
   M /trunk/src/config/core.c
   M /trunk/src/libvlc.sym
   M /trunk/src/modules/modules.c

 - Remove config_FindModule as module_Find nowadays does the same thing
 - Use module_Exists as appropriate
 - Rename module_FindName as module_Find

------------------------------------------------------------------------
r23580 | courmisch | 2007-12-12 20:13:46 +0100 (Wed, 12 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/complete_preferences.cpp

Fix double free

------------------------------------------------------------------------
r23579 | courmisch | 2007-12-12 20:07:25 +0100 (Wed, 12 Dec 2007) | 2 lines
Changed paths:
   M /trunk/include/vlc_modules.h
   M /trunk/modules/gui/qt4/components/complete_preferences.cpp
   M /trunk/modules/gui/qt4/components/complete_preferences.hpp
   M /trunk/modules/gui/qt4/components/preferences_widgets.cpp
   M /trunk/src/modules/modules.h

Hide module_t

------------------------------------------------------------------------
r23578 | courmisch | 2007-12-12 19:45:11 +0100 (Wed, 12 Dec 2007) | 2 lines
Changed paths:
   M /trunk/src/libvlc.sym
   M /trunk/src/modules/modules.c

module_GetConfig, module_PutConfig: copy configuration data for a module

------------------------------------------------------------------------
r23577 | courmisch | 2007-12-12 18:46:15 +0100 (Wed, 12 Dec 2007) | 2 lines
Changed paths:
   M /trunk/src/Makefile.am

Run the symbol check

------------------------------------------------------------------------
r23576 | courmisch | 2007-12-12 18:45:54 +0100 (Wed, 12 Dec 2007) | 2 lines
Changed paths:
   M /trunk/include/vlc_modules.h

Not meant to be committed just yet

------------------------------------------------------------------------
r23575 | courmisch | 2007-12-12 18:45:25 +0100 (Wed, 12 Dec 2007) | 2 lines
Changed paths:
   M /trunk/include/vlc_common.h
   M /trunk/include/vlc_messages.h
   M /trunk/include/vlc_network.h
   M /trunk/src/libvlc.sym

More symbols fixes

------------------------------------------------------------------------
r23574 | courmisch | 2007-12-12 18:43:36 +0100 (Wed, 12 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/extended_panels.cpp

Use module_Put

------------------------------------------------------------------------
r23573 | courmisch | 2007-12-12 18:32:41 +0100 (Wed, 12 Dec 2007) | 3 lines
Changed paths:
   M /trunk/src/libvlc.sym

- Unlist synchro stuff that is now internal
- Add block_fifowake

------------------------------------------------------------------------
r23572 | courmisch | 2007-12-12 18:31:57 +0100 (Wed, 12 Dec 2007) | 2 lines
Changed paths:
   A /trunk/src/check_symbols

symbol list consistency checker

------------------------------------------------------------------------
r23571 | courmisch | 2007-12-12 18:24:20 +0100 (Wed, 12 Dec 2007) | 2 lines
Changed paths:
   M /trunk/src/libvlc.sym

Sort plugin API list properly

------------------------------------------------------------------------
r23570 | courmisch | 2007-12-12 18:05:55 +0100 (Wed, 12 Dec 2007) | 2 lines
Changed paths:
   M /trunk/include/vlc_modules.h
   M /trunk/src/libvlc.sym
   M /trunk/src/modules/modules.c

module_Put: releases a reference to a module

------------------------------------------------------------------------
r23569 | courmisch | 2007-12-12 17:58:19 +0100 (Wed, 12 Dec 2007) | 2 lines
Changed paths:
   M /trunk/include/vlc_modules.h
   M /trunk/src/modules/modules.h

Cosmetic

------------------------------------------------------------------------
r23568 | courmisch | 2007-12-12 17:46:40 +0100 (Wed, 12 Dec 2007) | 2 lines
Changed paths:
   M /trunk/src/modules/cache.c
   M /trunk/src/modules/os.c

Remove some cruft

------------------------------------------------------------------------
r23567 | courmisch | 2007-12-12 17:43:52 +0100 (Wed, 12 Dec 2007) | 2 lines
Changed paths:
   M /trunk/src/Makefile.am
   A /trunk/src/modules/cache.c (from /trunk/src/modules/modules.c:23566)
   M /trunk/src/modules/modules.c
   M /trunk/src/modules/modules.h
   A /trunk/src/modules/os.c (from /trunk/src/modules/modules.c:23566)

Split the over-large module.c

------------------------------------------------------------------------
r23566 | courmisch | 2007-12-12 16:35:57 +0100 (Wed, 12 Dec 2007) | 2 lines
Changed paths:
   M /trunk/src/modules/modules.c

FYI, snprintf always nul-terminates

------------------------------------------------------------------------
r23565 | jpsaman | 2007-12-12 15:35:01 +0100 (Wed, 12 Dec 2007) | 2 lines
Changed paths:
   M /trunk/src/modules/modules.c

Don't free() a char variable when it is on the stack (in src/modules/modules.c SaveCache()) and be more sane about contents of psz_filename.

------------------------------------------------------------------------
r23564 | ileoo | 2007-12-12 09:32:08 +0100 (Wed, 12 Dec 2007) | 1 line
Changed paths:
   M /trunk/modules/gui/qt4/components/interface_widgets.cpp
   M /trunk/modules/gui/qt4/main_interface.cpp

add myself to list who to blaim for qt4 bugs
------------------------------------------------------------------------
r23563 | ileoo | 2007-12-12 09:13:47 +0100 (Wed, 12 Dec 2007) | 5 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/interface_widgets.cpp
   M /trunk/modules/gui/qt4/components/interface_widgets.hpp
   M /trunk/modules/gui/qt4/main_interface.cpp


remove that kludge to use playlistwidget for getting art for
backgroundwidget, use callback instead and check need of update every
750ms.

------------------------------------------------------------------------
r23562 | pdherbemont | 2007-12-12 06:10:38 +0100 (Wed, 12 Dec 2007) | 2 lines
Changed paths:
   M /trunk/src/control/media_list_view.c

control/media_list_view.c: Don't lock the mlist in libvlc_media_list_view_set_ml_notification_callback.

------------------------------------------------------------------------
r23561 | pdherbemont | 2007-12-12 05:42:15 +0100 (Wed, 12 Dec 2007) | 2 lines
Changed paths:
   M /trunk/include/vlc_threads_funcs.h
   M /trunk/src/misc/threads.c

misc/threads.c: Implement vlc_threads_error(), that is called when an error is encountered in the threading system. The whole point of this is to ease debugging of such situation, by exposing a nice symbol on which we can break. (This costs nearly nothing).

------------------------------------------------------------------------
r23560 | pdherbemont | 2007-12-12 05:16:33 +0100 (Wed, 12 Dec 2007) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/Framework/Sources/VLCMedia.m

Source/VLCMedia.m: No need to ask for more than one meta at the begining.

------------------------------------------------------------------------
r23559 | pdherbemont | 2007-12-12 05:12:33 +0100 (Wed, 12 Dec 2007) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/Framework/Sources/VLCMediaListAspect.m

MacOSX/Framework/VLCMediaListAspect.m: Use the cachedMedia array when giving back the aspect items. That really boost performances by the way.

------------------------------------------------------------------------
r23558 | pdherbemont | 2007-12-12 04:53:53 +0100 (Wed, 12 Dec 2007) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/Framework/Sources/VLCMedia.m

MacOSX/Framework/VLCMedia.m: Speed a bit stringToMetaType.

------------------------------------------------------------------------
r23557 | jb | 2007-12-12 00:24:57 +0100 (Wed, 12 Dec 2007) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/pixmaps/volume-slider-inside.png
   M /trunk/modules/gui/qt4/pixmaps/volume-slider-outside.png
   M /trunk/modules/gui/qt4/util/input_slider.cpp
   M /trunk/modules/gui/qt4/util/input_slider.hpp

Qt4 - Slightly smaller sound slider and fix the padding between mouse and shape.


------------------------------------------------------------------------
r23556 | dionoea | 2007-12-11 23:31:34 +0100 (Tue, 11 Dec 2007) | 2 lines
Changed paths:
   M /trunk/src/video_output/vout_intf.c

Simplify/factorize some of the vout_intf variables creation code.

------------------------------------------------------------------------
r23555 | dionoea | 2007-12-11 22:51:17 +0100 (Tue, 11 Dec 2007) | 2 lines
Changed paths:
   M /trunk/src/video_output/vout_intf.c

Remove double return in the Aspect Ratio change callback.

------------------------------------------------------------------------
r23554 | funman | 2007-12-11 22:28:56 +0100 (Tue, 11 Dec 2007) | 2 lines
Changed paths:
   M /trunk/mozilla/npvlc_rc.rc
   M /trunk/mozilla/vlc.r
   M /trunk/mozilla/vlcplugin.h

mozilla: add video/divx mimetype

------------------------------------------------------------------------
r23553 | fenrir | 2007-12-11 22:12:25 +0100 (Tue, 11 Dec 2007) | 5 lines
Changed paths:
   M /trunk/modules/demux/live555.cpp

Added DEMUX_CAN_CONTROL_RATE and DEMUX_SET_RATE implementation based
on Glen Gray patch.
(The code is commented until it is confirmed to compil/work.)


------------------------------------------------------------------------
r23552 | fenrir | 2007-12-11 21:49:56 +0100 (Tue, 11 Dec 2007) | 3 lines
Changed paths:
   M /trunk/src/input/input.c
   M /trunk/src/input/input_internal.h

Update to use DEMUX_CAN_CONTROL_RATE/DEMUX_SET_RATE when available.
Based on a patch by Glen Gray.

------------------------------------------------------------------------
r23551 | fenrir | 2007-12-11 21:06:49 +0100 (Tue, 11 Dec 2007) | 2 lines
Changed paths:
   M /trunk/src/input/clock.c
   M /trunk/src/input/es_out.c
   M /trunk/src/input/input.c
   M /trunk/src/input/input_internal.h

Do not use p_input->p->i_rate directly (no functionnality change yet)

------------------------------------------------------------------------
r23550 | fenrir | 2007-12-11 20:16:37 +0100 (Tue, 11 Dec 2007) | 3 lines
Changed paths:
   M /trunk/include/vlc_demux.h
   M /trunk/src/input/input.c

Introduce DEMUX_CAN_CONTROL_RATE and DEMUX_SET_RATE (for future rtsp trickplay)
DEMUX_CAN_PAUSE and DEMUX_CAN_CONTROL_PACE can now fail.

------------------------------------------------------------------------
r23549 | pdherbemont | 2007-12-11 17:31:20 +0100 (Tue, 11 Dec 2007) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/Framework/Sources/VLCMedia.m

MacOSX/Framework/VLCMedia.m: Don't forget to init the metaDictionary, when initing from a media_descriptor object.

------------------------------------------------------------------------
r23548 | jb | 2007-12-11 16:43:53 +0100 (Tue, 11 Dec 2007) | 3 lines
Changed paths:
   M /trunk/modules/audio_filter/channel_mixer/mono.c

Yet another typo discovered by Philipp Weissenbacher


------------------------------------------------------------------------
r23547 | pdherbemont | 2007-12-11 16:38:46 +0100 (Tue, 11 Dec 2007) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/Framework/Sources/VLCMediaDiscoverer.m

MacOSX/Framework/VLCMediaDiscoverer.m: Use UTF8String instead of cString.

------------------------------------------------------------------------
r23546 | pdherbemont | 2007-12-11 16:38:00 +0100 (Tue, 11 Dec 2007) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/Framework/Sources/VLCMedia.m

MacOSX/Framework/VLCMedia.m: Separate the different part by some nice comments. Remove uneeded and complicated code in meta information retrieval. Use stringWithUT8String instead of stringWithCString.

------------------------------------------------------------------------
r23545 | ivoire | 2007-12-11 14:47:32 +0100 (Tue, 11 Dec 2007) | 1 line
Changed paths:
   M /trunk/src/misc/update.c

Simplify the version test dans remove useless things
------------------------------------------------------------------------
r23544 | pdherbemont | 2007-12-11 14:09:13 +0100 (Tue, 11 Dec 2007) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/Framework/Sources/VLCMedia.m

MacOSX/Framework/VLCMedia.m: Remove not used code.

------------------------------------------------------------------------
r23543 | pdherbemont | 2007-12-11 14:06:19 +0100 (Tue, 11 Dec 2007) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/Framework/Headers/Public/VLCMedia.h
   M /trunk/extras/MacOSX/Framework/Sources/VLCMedia.m

MacOSX/Framework/VLCMedia.m: Use mediaWithURL:(NSURL*) instead of mediaWithURL:(NSString*). Add a mediaWithPath:(NSString*) constructor.

------------------------------------------------------------------------
r23542 | pdherbemont | 2007-12-11 12:49:43 +0100 (Tue, 11 Dec 2007) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/Framework/VLC.xcodeproj/project.pbxproj

MacOSX/Framework/VLC.xcodeproj: Various updates, such as removal of the SDK, gc support, and QuartzCore linking, and use NATIVE_ARCH as the only target.

------------------------------------------------------------------------
r23541 | fkuehne | 2007-12-11 12:25:21 +0100 (Tue, 11 Dec 2007) | 1 line
Changed paths:
   M /trunk/modules/gui/macosx/intf.m

compile before you commit
------------------------------------------------------------------------
r23540 | fkuehne | 2007-12-11 11:55:55 +0100 (Tue, 11 Dec 2007) | 1 line
Changed paths:
   M /trunk/modules/gui/macosx/Modules.am

osx: disable the compilation of our update panel's code until its core functionality is re-written
------------------------------------------------------------------------
r23539 | jb | 2007-12-11 09:03:44 +0100 (Tue, 11 Dec 2007) | 6 lines
Changed paths:
   M /trunk/modules/gui/qt4/dialogs/vlm.cpp
   M /trunk/modules/gui/qt4/dialogs/vlm.hpp
   M /trunk/modules/gui/qt4/ui/vlm.ui

Qt4 - Rewrite of the VLM Dialog. It features a list on the left of the VLM object, and a right pane to see them in details. Creation and modification is doable. This is not yet a VCR, but it could be :D
The code is way not finished and uncleaned, but feel free to improve.
Only Brodcast elements have a start of code.



------------------------------------------------------------------------
r23538 | jb | 2007-12-11 04:42:17 +0100 (Tue, 11 Dec 2007) | 3 lines
Changed paths:
   M /trunk/modules/demux/real.c

Real Demuxer: Code factorisation after previous commit.


------------------------------------------------------------------------
r23537 | jb | 2007-12-11 04:36:01 +0100 (Tue, 11 Dec 2007) | 6 lines
Changed paths:
   M /trunk/modules/demux/real.c

Real demuxer, set correctly the PCR, patch by Yuehua Zhao, modified by /me.
It should fix some issues with Samples with Video + Cook.
If you think this is wrong, please revert.



------------------------------------------------------------------------
r23536 | ivoire | 2007-12-11 01:52:05 +0100 (Tue, 11 Dec 2007) | 1 line
Changed paths:
   M /trunk/modules/gui/wxwidgets/dialogs/updatevlc.cpp
   M /trunk/modules/gui/wxwidgets/dialogs/updatevlc.hpp

Add the modification to the wxwidget interface and make the buildbot happy
------------------------------------------------------------------------
r23535 | ivoire | 2007-12-11 00:12:45 +0100 (Tue, 11 Dec 2007) | 1 line
Changed paths:
   M /trunk/include/vlc_update.h
   M /trunk/modules/control/rc.c
   M /trunk/modules/gui/qt4/dialogs/help.cpp
   M /trunk/modules/gui/qt4/dialogs/help.hpp
   M /trunk/src/misc/update.c

Modify the update system : I will add more functionnality but this is the beginning
------------------------------------------------------------------------
r23534 | fkuehne | 2007-12-10 23:35:55 +0100 (Mon, 10 Dec 2007) | 1 line
Changed paths:
   M /trunk/configure.ac

* fixed a corner case on PowerPC-based Macs since MACOSX_DEPLOYMENT_TARGET is set to 10.1 on these devices, although we need at least 10.3 and prefer 10.4
------------------------------------------------------------------------
r23533 | fkuehne | 2007-12-10 22:50:54 +0100 (Mon, 10 Dec 2007) | 1 line
Changed paths:
   M /trunk/configure.ac

* disable the usage of the OSX SDKs by default due to a known incompatibility between the libraries used on 10.4.8 (or higher) and the existing 10.4u SDK. This solves the current compilation issues with the AUHAL and Screen.Mac modules and closes #1399
------------------------------------------------------------------------
r23532 | jb | 2007-12-10 19:45:18 +0100 (Mon, 10 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/preferences_widgets.cpp
   M /trunk/modules/gui/qt4/dialogs/preferences.cpp

Qt4 - minwidth of dropdown inside settings dialogs, patch by Andr?\195?\169 Weber

------------------------------------------------------------------------
r23531 | fkuehne | 2007-12-10 18:12:35 +0100 (Mon, 10 Dec 2007) | 1 line
Changed paths:
   M /trunk/configure.ac

* disable Screen Capturing on OSX until it is fixed because it blocks all builds on most 10.4 setups (refs #1399)
------------------------------------------------------------------------
r23530 | jpsaman | 2007-12-10 15:20:32 +0100 (Mon, 10 Dec 2007) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Patches/live.patch

OPTIONS timeout of 5 seconds is way to short for some systems, so make it 30 instead.

------------------------------------------------------------------------
r23529 | funman | 2007-12-10 15:17:34 +0100 (Mon, 10 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/misc/notify/telepathy.c

telepathy: shows an empty status when VLC has been stopped

------------------------------------------------------------------------
r23528 | funman | 2007-12-10 14:23:37 +0100 (Mon, 10 Dec 2007) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/Modules.am
   M /trunk/vlc-config.in.in

vlc-config: don't store optimisation cflags in cppflags (preprocessor flags), revive --cppflags
qt4: use preprocessor flags with moc, so it finds the headers in the right place

------------------------------------------------------------------------
r23527 | jpsaman | 2007-12-10 11:54:06 +0100 (Mon, 10 Dec 2007) | 1 line
Changed paths:
   M /trunk/modules/demux/live555.cpp

Lower severity of message
------------------------------------------------------------------------
r23526 | jpsaman | 2007-12-10 11:03:13 +0100 (Mon, 10 Dec 2007) | 1 line
Changed paths:
   M /trunk/extras/contrib/src/Patches/live.patch
   M /trunk/modules/demux/live555.cpp

Fix hang in live555 when sending RTSP OPTIONS by letting readSocket() timeout after 5 seconds. Added reconnect case to modules/demux/live555.cpp (without backing off scenario).
------------------------------------------------------------------------
r23525 | jb | 2007-12-10 04:01:14 +0100 (Mon, 10 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/dialogs/vlm.cpp
   M /trunk/modules/gui/qt4/dialogs/vlm.hpp
   M /trunk/modules/gui/qt4/ui/vlm.ui

Qt4 - VLM dialog rework.

------------------------------------------------------------------------
r23524 | fkuehne | 2007-12-10 01:38:21 +0100 (Mon, 10 Dec 2007) | 1 line
Changed paths:
   M /trunk/modules/gui/macosx/vout.m

typo
------------------------------------------------------------------------
r23523 | fkuehne | 2007-12-10 01:35:23 +0100 (Mon, 10 Dec 2007) | 1 line
Changed paths:
   M /trunk/modules/gui/macosx/AppleRemote.m
   M /trunk/modules/gui/macosx/about.m
   M /trunk/modules/gui/macosx/applescript.h
   M /trunk/modules/gui/macosx/applescript.m
   M /trunk/modules/gui/macosx/bookmarks.h
   M /trunk/modules/gui/macosx/bookmarks.m
   M /trunk/modules/gui/macosx/controls.h
   M /trunk/modules/gui/macosx/controls.m
   M /trunk/modules/gui/macosx/embeddedwindow.h
   M /trunk/modules/gui/macosx/embeddedwindow.m
   M /trunk/modules/gui/macosx/equalizer.h
   M /trunk/modules/gui/macosx/fspanel.h
   M /trunk/modules/gui/macosx/fspanel.m
   M /trunk/modules/gui/macosx/interaction.m
   M /trunk/modules/gui/macosx/intf.h
   M /trunk/modules/gui/macosx/misc.h
   M /trunk/modules/gui/macosx/misc.m
   M /trunk/modules/gui/macosx/open.h
   M /trunk/modules/gui/macosx/output.h
   M /trunk/modules/gui/macosx/output.m
   M /trunk/modules/gui/macosx/playlist.h
   M /trunk/modules/gui/macosx/playlist.m
   M /trunk/modules/gui/macosx/playlistinfo.m
   M /trunk/modules/gui/macosx/prefs.h
   M /trunk/modules/gui/macosx/prefs_widgets.m
   M /trunk/modules/gui/macosx/update.m
   M /trunk/modules/gui/macosx/vout.h
   M /trunk/modules/gui/macosx/vout.m
   M /trunk/modules/gui/macosx/voutgl.m
   M /trunk/modules/gui/macosx/voutqt.m
   M /trunk/modules/gui/macosx/wizard.h
   M /trunk/modules/gui/macosx/wizard.m

* cleaning, reformatting, clarifying here and there...
------------------------------------------------------------------------
r23522 | fkuehne | 2007-12-10 00:41:09 +0100 (Mon, 10 Dec 2007) | 1 line
Changed paths:
   M /trunk/modules/access/cdda/access.c

* fix [23509]
------------------------------------------------------------------------
r23521 | courmisch | 2007-12-09 22:49:48 +0100 (Sun, 09 Dec 2007) | 3 lines
Changed paths:
   M /trunk/include/vlc_modules.h
   M /trunk/include/vlc_modules_macros.h
   M /trunk/modules/control/rc.c
   M /trunk/modules/gui/ncurses.c
   M /trunk/modules/gui/qt4/qt4.cpp
   M /trunk/modules/gui/skins2/src/skin_main.cpp
   M /trunk/modules/gui/wince/wince.cpp
   M /trunk/modules/gui/wxwidgets/wxwidgets.cpp
   M /trunk/modules/misc/dummy/dummy.c
   M /trunk/src/libvlc-common.c
   M /trunk/src/modules/entry.c
   M /trunk/src/modules/modules.c

Remove unneeded psz_program hack.
(Modules that would still depend on module_config_t are not going to like this, but it's not like you weren't warned a long time ahead)

------------------------------------------------------------------------
r23520 | courmisch | 2007-12-09 22:36:32 +0100 (Sun, 09 Dec 2007) | 2 lines
Changed paths:
   M /trunk/Makefile.am
   A /trunk/make-alias

Build VLC aliases cleanly (don't need to parse argv[0])

------------------------------------------------------------------------
r23519 | courmisch | 2007-12-09 21:16:20 +0100 (Sun, 09 Dec 2007) | 2 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/modules/gui/qt4/qt4.cpp

Simply X11 Qt4 error detection

------------------------------------------------------------------------
r23518 | courmisch | 2007-12-09 21:02:03 +0100 (Sun, 09 Dec 2007) | 2 lines
Changed paths:
   M /trunk/src/vlc.c

Prevent gettext bug on glibc 2.5 too

------------------------------------------------------------------------
r23517 | courmisch | 2007-12-09 20:55:16 +0100 (Sun, 09 Dec 2007) | 2 lines
Changed paths:
   M /trunk/src/libvlc.h

Do not privatize module_config_t - yet

------------------------------------------------------------------------
r23516 | funman | 2007-12-09 20:42:02 +0100 (Sun, 09 Dec 2007) | 2 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/modules/gui/qt4/qt4.cpp

fix #1382

------------------------------------------------------------------------
r23515 | courmisch | 2007-12-09 20:33:51 +0100 (Sun, 09 Dec 2007) | 2 lines
Changed paths:
   M /trunk/src/Makefile.am
   A /trunk/src/config
   A /trunk/src/config/chain.c (from /trunk/src/modules/configuration_chain.c:23514)
   A /trunk/src/config/cmdline.c (from /trunk/src/modules/configuration.c:23514)
   A /trunk/src/config/config.h (from /trunk/src/modules/configuration.h:23514)
   A /trunk/src/config/core.c (from /trunk/src/modules/configuration.c:23514)
   A /trunk/src/config/file.c (from /trunk/src/modules/configuration.c:23514)
   A /trunk/src/config/intf.c (from /trunk/src/modules/configuration.c:23514)
   M /trunk/src/libvlc-common.c
   D /trunk/src/modules/configuration.c
   D /trunk/src/modules/configuration.h
   D /trunk/src/modules/configuration_chain.c
   M /trunk/src/modules/modules.c
   M /trunk/src/playlist/loadsave.c

Split the big config file

------------------------------------------------------------------------
r23514 | courmisch | 2007-12-09 20:00:25 +0100 (Sun, 09 Dec 2007) | 2 lines
Changed paths:
   M /trunk/src/libvlc-common.c

Fix superfluous double init

------------------------------------------------------------------------
r23513 | courmisch | 2007-12-09 19:59:35 +0100 (Sun, 09 Dec 2007) | 2 lines
Changed paths:
   M /trunk/src/modules/configuration_chain.c

Not yet missing #include

------------------------------------------------------------------------
r23512 | courmisch | 2007-12-09 19:56:09 +0100 (Sun, 09 Dec 2007) | 2 lines
Changed paths:
   M /trunk/src/libvlc-common.c

Fix compiler warning

------------------------------------------------------------------------
r23511 | dionoea | 2007-12-09 19:32:02 +0100 (Sun, 09 Dec 2007) | 2 lines
Changed paths:
   M /trunk/share/http-lua/index.html
   M /trunk/share/http-lua/mosaic.html
   M /trunk/share/http-lua/vlm.html

Really fix charset for http-lua pages (--[[ ]] are block comments in lua so anything inside those isn't taken into account)

------------------------------------------------------------------------
r23510 | courmisch | 2007-12-09 19:16:15 +0100 (Sun, 09 Dec 2007) | 2 lines
Changed paths:
   M /trunk/share/http/flash.html
   M /trunk/share/http/index.html
   M /trunk/share/http/mosaic.html
   M /trunk/share/http/requests/browse.xml
   M /trunk/share/http/requests/playlist.xml
   M /trunk/share/http/requests/status.xml
   M /trunk/share/http/requests/vlm.xml
   M /trunk/share/http/requests/vlm_cmd.xml
   M /trunk/share/http/vlm.html
   M /trunk/share/http-lua/index.html

Fix charset

------------------------------------------------------------------------
r23509 | courmisch | 2007-12-09 18:39:28 +0100 (Sun, 09 Dec 2007) | 3 lines
Changed paths:
   M /trunk/include/vlc_access.h
   M /trunk/include/vlc_sout.h
   M /trunk/modules/access/cdda/access.c
   M /trunk/modules/access/directory.c
   M /trunk/modules/access/eyetv.c
   M /trunk/modules/access/file.c
   M /trunk/modules/access/ftp.c
   M /trunk/modules/access/http.c
   M /trunk/modules/access/mms/mmsh.c
   M /trunk/modules/access/mms/mmstu.c
   M /trunk/modules/access/pvr.c
   M /trunk/modules/access/smb.c
   M /trunk/modules/access/tcp.c
   M /trunk/modules/access_filter/bandwidth.c
   M /trunk/modules/access_filter/dump.c
   M /trunk/modules/access_filter/record.c
   M /trunk/modules/access_output/file.c
   M /trunk/modules/access_output/http.c
   M /trunk/modules/access_output/shout.c
   M /trunk/modules/access_output/udp.c
   M /trunk/src/stream_output/stream_output.c

Use (s)size_t for pf_read and pf_write.
This is very likely to break .*64 platforms.

------------------------------------------------------------------------
r23508 | dionoea | 2007-12-09 16:23:06 +0100 (Sun, 09 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/access/v4l2.c

Add option to reset controls to their default value at runtime. Add "controls-update" variable which is triggered if any of the controls value is changed. Add some comments and change some function names.

------------------------------------------------------------------------
r23507 | phmo95 | 2007-12-09 15:33:18 +0100 (Sun, 09 Dec 2007) | 1 line
Changed paths:
   M /trunk/bindings/java/VLCExample.java
   M /trunk/bindings/java/src/video-jni.cc

Update snapshot method.
------------------------------------------------------------------------
r23506 | phmo95 | 2007-12-09 15:30:57 +0100 (Sun, 09 Dec 2007) | 1 line
Changed paths:
   M /trunk/bindings/java/org/videolan/jvlc/Video.java
   M /trunk/bindings/java/org/videolan/jvlc/VideoIntf.java

Update snapshot method.
------------------------------------------------------------------------
r23504 | Trax | 2007-12-09 01:57:55 +0100 (Sun, 09 Dec 2007) | 1 line
Changed paths:
   M /trunk/modules/demux/playlist/m3u.c

* modules/demux/playlist/m3u.c: typo you -> your
------------------------------------------------------------------------
r23503 | dionoea | 2007-12-09 00:00:51 +0100 (Sun, 09 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/extended_panels.cpp
   M /trunk/modules/gui/qt4/components/extended_panels.hpp

Automatically refresh the v4l2 extended panel on focus.

------------------------------------------------------------------------
r23502 | dionoea | 2007-12-08 23:19:30 +0100 (Sat, 08 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/extended_panels.cpp
   M /trunk/modules/gui/qt4/components/extended_panels.hpp
   M /trunk/modules/gui/qt4/ui/v4l2.ui

Fixes to the v4l2 extended panel (works fine for multiple refreshes).

------------------------------------------------------------------------
r23501 | jb | 2007-12-08 21:17:24 +0100 (Sat, 08 Dec 2007) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/Modules.am

Qt4 - Remove useless things from uic output.


------------------------------------------------------------------------
r23500 | dionoea | 2007-12-08 20:38:49 +0100 (Sat, 08 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/Modules.am
   M /trunk/modules/gui/qt4/components/extended_panels.cpp
   M /trunk/modules/gui/qt4/components/extended_panels.hpp
   M /trunk/modules/gui/qt4/dialogs/extended.cpp
   A /trunk/modules/gui/qt4/ui/v4l2.ui

Add v4l2 section in extended pannel. The code isn't v4l2 specific at all so it could be adapted for other modules (as long as those define the "controls" variables with a list of controls that can be changed at runtime).

------------------------------------------------------------------------
r23499 | dionoea | 2007-12-08 18:28:57 +0100 (Sat, 08 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/access/v4l2.c

Ooops, this wasn't supposed to be here anymore.

------------------------------------------------------------------------
r23498 | dionoea | 2007-12-08 18:26:20 +0100 (Sat, 08 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/access/v4l2.c

Rework the v4l2 control handling. Variables corresponding to controls don't have any v4l2 suffix anymore. Variables for custom controls are also created. See "vars v4l2" in the rc interface. The "controls" variables is a list of all controls available. Next step is to use all these changes in the Qt interface to create a v4l2 control pannel.

------------------------------------------------------------------------
r23497 | dionoea | 2007-12-08 17:53:56 +0100 (Sat, 08 Dec 2007) | 2 lines
Changed paths:
   M /trunk/include/vlc_variables.h
   M /trunk/src/misc/variables.c

Add VLC_VAR_GET{MIN,MAX,STEP} commands. Make it possible to use VLC_VAR_INHERITVALUE with a 2nd argument which will be used as the variable name to inherit (for example you want to inherit a variable named "v4l2-hue" into a variable named "hue": vlc_value_t val; val.psz_string = strdup( "v4l2-hue" ); var_Change( p_demux, "hue", VLC_VAR_INHERITVALUE, NULL, &val ); free( val.psz_string ); )

------------------------------------------------------------------------
r23496 | jb | 2007-12-08 05:23:13 +0100 (Sat, 08 Dec 2007) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/dialogs/mediainfo.cpp

Qt4 - small cosmetic change.


------------------------------------------------------------------------
r23495 | jb | 2007-12-08 05:21:02 +0100 (Sat, 08 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/info_panels.cpp
   M /trunk/modules/gui/qt4/components/info_panels.hpp
   M /trunk/modules/gui/qt4/dialogs/mediainfo.cpp
   M /trunk/modules/gui/qt4/dialogs/mediainfo.hpp

Qt4 - MediaInfoPanel, fix a segfault and don't clear() everytime you update and there is no input. :D

------------------------------------------------------------------------
r23494 | jb | 2007-12-08 05:19:45 +0100 (Sat, 08 Dec 2007) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/interface_widgets.cpp
   M /trunk/modules/gui/qt4/components/open_panels.cpp
   M /trunk/modules/gui/qt4/dialogs/mediainfo.cpp
   M /trunk/modules/gui/qt4/dialogs/open.cpp
   M /trunk/modules/gui/qt4/dialogs/preferences.cpp
   M /trunk/modules/gui/qt4/dialogs/sout.cpp
   M /trunk/modules/gui/qt4/dialogs_provider.cpp
   M /trunk/modules/gui/qt4/input_manager.cpp
   M /trunk/modules/gui/qt4/main_interface.cpp
   M /trunk/modules/gui/qt4/menus.cpp
   M /trunk/modules/gui/qt4/menus.hpp

Qt4 - FIXME and comments fix. If you want to help, just grep -r FIXME *


------------------------------------------------------------------------
r23493 | gbazin | 2007-12-08 02:23:36 +0100 (Sat, 08 Dec 2007) | 1 line
Changed paths:
   M /trunk/modules/access/mms/mmsh.c

* modules/access/mms/mmsh.c: fixed changeset 23489. Please compile before you submit.
------------------------------------------------------------------------
r23492 | gbazin | 2007-12-08 01:58:18 +0100 (Sat, 08 Dec 2007) | 1 line
Changed paths:
   M /trunk/src/audio_output/dec.c

*  src/audio_output/dec.c: revert changeset 22216 which doesn't make any sense whatsoever.
------------------------------------------------------------------------
r23491 | jpsaman | 2007-12-08 01:08:34 +0100 (Sat, 08 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/access/mms/mms.c

Little cleanup.

------------------------------------------------------------------------
r23490 | jpsaman | 2007-12-08 01:08:00 +0100 (Sat, 08 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/access/mms/asf.c
   M /trunk/modules/access/mms/buffer.c

Remove dead code (and commented out fprintf's).

------------------------------------------------------------------------
r23489 | jpsaman | 2007-12-08 01:06:01 +0100 (Sat, 08 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/access/mms/mmsh.c

Check malloc return value and cleanup.

------------------------------------------------------------------------
r23488 | jpsaman | 2007-12-08 01:04:26 +0100 (Sat, 08 Dec 2007) | 1 line
Changed paths:
   M /trunk/modules/access/mms/asf.h
   M /trunk/modules/access/mms/buffer.h
   M /trunk/modules/access/mms/mms.h
   M /trunk/modules/access/mms/mmsh.h
   M /trunk/modules/access/mms/mmstu.h

Guard headerfiles in modules/access/mms/*.h against multiple inclusions.
------------------------------------------------------------------------
r23487 | jpsaman | 2007-12-08 01:02:46 +0100 (Sat, 08 Dec 2007) | 1 line
Changed paths:
   M /trunk/modules/codec/ffmpeg/mux.c

Remove excess whiteline
------------------------------------------------------------------------
r23486 | dionoea | 2007-12-07 22:33:16 +0100 (Fri, 07 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/access/v4l2.c

Change the v4l2-chroma long help string.

------------------------------------------------------------------------
r23485 | dionoea | 2007-12-07 22:27:03 +0100 (Fri, 07 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/access/v4l2.c

Add MJPEG support to the v4l2 access (and simplify the buffer size handling code). I now need people with v4l2 compatible devices with JPEG, DV and MPEG support to try to enable those features.

------------------------------------------------------------------------
r23484 | jb | 2007-12-07 03:59:19 +0100 (Fri, 07 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/Modules.am
   M /trunk/modules/gui/qt4/components/interface_widgets.cpp
   M /trunk/modules/gui/qt4/components/interface_widgets.hpp
   M /trunk/modules/gui/qt4/components/playlist/panels.hpp
   A /trunk/modules/gui/qt4/components/playlist/playlist.cpp (from /trunk/modules/gui/qt4/components/interface_widgets.cpp:23475)
   A /trunk/modules/gui/qt4/components/playlist/playlist.hpp (from /trunk/modules/gui/qt4/components/interface_widgets.hpp:23475)
   M /trunk/modules/gui/qt4/components/playlist/standardpanel.cpp
   M /trunk/modules/gui/qt4/dialogs/playlist.cpp
   M /trunk/modules/gui/qt4/main_interface.cpp

Qt4 - remove PlaylistWidget from interface_widget and move it to its own file in the playlist/

------------------------------------------------------------------------
r23483 | jpsaman | 2007-12-06 20:08:04 +0100 (Thu, 06 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/demux/live555.cpp

Cleanup.

------------------------------------------------------------------------
r23482 | jpsaman | 2007-12-06 18:56:28 +0100 (Thu, 06 Dec 2007) | 1 line
Changed paths:
   M /trunk/src/playlist/engine.c

No need to sleep 25 ms, a bit longer will do fine too.
------------------------------------------------------------------------
r23481 | jpsaman | 2007-12-06 17:26:46 +0100 (Thu, 06 Dec 2007) | 2 lines
Changed paths:
   M /trunk/include/vlc_playlist.h
   M /trunk/modules/gui/qt4/playlist_model.cpp
   M /trunk/src/input/input.c
   M /trunk/src/playlist/engine.c

CodingStyle fixes, use ; when using macros and do not write it in the macro definition.

------------------------------------------------------------------------
r23480 | jpsaman | 2007-12-06 16:33:45 +0100 (Thu, 06 Dec 2007) | 1 line
Changed paths:
   M /trunk/src/input/input.c

Don't call input_ChangeState() constantly while being in error state, because it triggers callbacks at each call. This can result in a busy rc interface.
------------------------------------------------------------------------
r23479 | jpsaman | 2007-12-06 15:35:40 +0100 (Thu, 06 Dec 2007) | 2 lines
Changed paths:
   M /trunk/THANKS

Add Remi Duraffort to THANKS file.

------------------------------------------------------------------------
r23478 | jpsaman | 2007-12-06 15:18:02 +0100 (Thu, 06 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/playlist_model.cpp

Patch by Remi Duraffort <ivoire at via.ecp.fr>: Replace fprintf with msg_Err().

------------------------------------------------------------------------
r23477 | jpsaman | 2007-12-06 12:40:22 +0100 (Thu, 06 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/video_output/fb.c

Only test the terminal if --fb-tty is used.

------------------------------------------------------------------------
r23476 | jb | 2007-12-06 09:15:37 +0100 (Thu, 06 Dec 2007) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/dialogs/extended.cpp
   M /trunk/modules/gui/qt4/dialogs/gototime.cpp
   M /trunk/modules/gui/qt4/dialogs/gototime.hpp
   M /trunk/modules/gui/qt4/dialogs/interaction.cpp
   M /trunk/modules/gui/qt4/dialogs/messages.cpp
   M /trunk/modules/gui/qt4/dialogs/messages.hpp
   M /trunk/modules/gui/qt4/dialogs/open.cpp
   M /trunk/modules/gui/qt4/dialogs/open.hpp
   M /trunk/modules/gui/qt4/dialogs/playlist.cpp
   M /trunk/modules/gui/qt4/dialogs/podcast_configuration.hpp
   M /trunk/modules/gui/qt4/dialogs/preferences.cpp
   M /trunk/modules/gui/qt4/dialogs/sout.cpp
   M /trunk/modules/gui/qt4/dialogs/vlm.cpp
   M /trunk/modules/gui/qt4/dialogs/vlm.hpp

Qt4 - Coding style fixes by R?\195?\169mi Duraffort.


------------------------------------------------------------------------
r23475 | jb | 2007-12-06 09:04:21 +0100 (Thu, 06 Dec 2007) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/info_panels.cpp
   M /trunk/modules/gui/qt4/components/info_panels.hpp
   M /trunk/modules/gui/qt4/dialogs/mediainfo.cpp
   M /trunk/modules/gui/qt4/dialogs/mediainfo.hpp
   M /trunk/modules/gui/qt4/playlist_model.cpp

Qt4 - MediaInformation, simplification of the states machine, removal of over-complicated methods. Cleaning and other small fixes.
Please report regressions on that part.

------------------------------------------------------------------------
r23474 | jb | 2007-12-06 09:02:43 +0100 (Thu, 06 Dec 2007) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/dialogs/extended.cpp

Qt4 - Change the default extended panel size.


------------------------------------------------------------------------
r23473 | jb | 2007-12-06 09:01:41 +0100 (Thu, 06 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/dialogs_provider.hpp

Qt4 - Use enum instead of defines.

------------------------------------------------------------------------
r23472 | jb | 2007-12-06 09:01:09 +0100 (Thu, 06 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/menus.cpp
   M /trunk/modules/gui/qt4/menus.hpp

Qt4 Menu macro removal.

------------------------------------------------------------------------
r23471 | funman | 2007-12-06 02:20:26 +0100 (Thu, 06 Dec 2007) | 1 line
Changed paths:
   M /trunk/modules/gui/qt4/qt4.cpp

fix #1382
------------------------------------------------------------------------
r23468 | hovis | 2007-12-05 23:51:29 +0100 (Wed, 05 Dec 2007) | 3 lines
Changed paths:
   M /trunk/modules/access/v4l2.c

v4l2: Workaround misbehaving devices (2 DVB cards in my case)


------------------------------------------------------------------------
r23467 | fkuehne | 2007-12-05 20:47:10 +0100 (Wed, 05 Dec 2007) | 1 line
Changed paths:
   M /trunk/extras/contrib/src/Patches/ffmpeg-macosx-intel-mmx.patch

* fix ffmpeg compilation by reverting their revision 11100
------------------------------------------------------------------------
r23466 | fkuehne | 2007-12-05 20:24:54 +0100 (Wed, 05 Dec 2007) | 1 line
Changed paths:
   M /trunk/extras/contrib/src/Patches/ffmpeg-macosx-intel-mmx.patch

* first update of our ffmpeg for MacTel patch. Doesn't fully compile yet..
------------------------------------------------------------------------
r23465 | fkuehne | 2007-12-05 19:24:21 +0100 (Wed, 05 Dec 2007) | 1 line
Changed paths:
   M /trunk/extras/contrib/src/Makefile
   M /trunk/modules/gui/macosx/about.m

*coughcough*
------------------------------------------------------------------------
r23464 | xtophe | 2007-12-05 18:31:32 +0100 (Wed, 05 Dec 2007) | 2 lines
Changed paths:
   M /trunk/po/POTFILES.in
   M /trunk/po/vlc.pot

File names have been modified

------------------------------------------------------------------------
r23463 | fkuehne | 2007-12-05 18:26:52 +0100 (Wed, 05 Dec 2007) | 1 line
Changed paths:
   M /trunk/extras/contrib/src/Makefile
   A /trunk/extras/contrib/src/Patches/x264-svn-darwin.patch

* limit x264 to rev 701 for now and apply our patch taken from branch (r23341 and r23322). additionally, checkout stuff from svn instead of exporting. This makes it easier to track useful revisions for releases
------------------------------------------------------------------------
r23462 | fkuehne | 2007-12-05 18:18:56 +0100 (Wed, 05 Dec 2007) | 1 line
Changed paths:
   M /trunk/extras/contrib/src/Patches/libdvdnav.patch

* a part of our patch was submitted upstream
------------------------------------------------------------------------
r23461 | jb | 2007-12-05 18:08:45 +0100 (Wed, 05 Dec 2007) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/dialogs/open.cpp
   M /trunk/modules/gui/qt4/dialogs/open.hpp

Qt4 - When adding a file to the playlist by clicking on "Read" in the OpenFile dialog, the first time it's ok but the next click you add 2 times and then more times the same file.
Patch from R?\195?\169mi Duraffort.

------------------------------------------------------------------------
r23460 | jb | 2007-12-05 18:07:05 +0100 (Wed, 05 Dec 2007) | 4 lines
Changed paths:
   M /trunk/modules/gui/qt4/dialogs_provider.cpp
   M /trunk/modules/gui/qt4/dialogs_provider.hpp
   M /trunk/modules/gui/qt4/input_manager.cpp
   M /trunk/modules/gui/qt4/input_manager.hpp
   M /trunk/modules/gui/qt4/main_interface.cpp
   M /trunk/modules/gui/qt4/playlist_model.cpp
   M /trunk/modules/gui/qt4/playlist_model.hpp
   M /trunk/modules/gui/qt4/qt4.cpp
   M /trunk/modules/gui/qt4/qt4.hpp

Qt4 - Typos/Code conventions/spaces/Cleaning.
Patch by R?\195?\169mi Duraffort.


------------------------------------------------------------------------
r23459 | jb | 2007-12-05 18:05:23 +0100 (Wed, 05 Dec 2007) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/main_interface.cpp

Qt4 - Space removal
Commit from MIT.

------------------------------------------------------------------------
r23458 | fkuehne | 2007-12-05 17:27:12 +0100 (Wed, 05 Dec 2007) | 1 line
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/classes.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/keyedobjects.nib

* typo in previous commit
------------------------------------------------------------------------
r23457 | fkuehne | 2007-12-05 17:25:41 +0100 (Wed, 05 Dec 2007) | 1 line
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/About.nib/classes.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/About.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/About.nib/keyedobjects.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/classes.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/keyedobjects.nib
   M /trunk/modules/gui/macosx/about.h
   M /trunk/modules/gui/macosx/about.m
   M /trunk/modules/gui/macosx/intf.h
   M /trunk/modules/gui/macosx/intf.m

* display the GPL in a separate window linked in the About window and the Help menu. Code cleanup (faster and less memory consuming).
------------------------------------------------------------------------
r23456 | funman | 2007-12-05 14:54:29 +0100 (Wed, 05 Dec 2007) | 1 line
Changed paths:
   M /trunk/modules/gui/qt4/dialogs/help.cpp

typo
------------------------------------------------------------------------
r23455 | jb | 2007-12-05 05:19:26 +0100 (Wed, 05 Dec 2007) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/menus.cpp
   M /trunk/modules/gui/qt4/menus.hpp

Qt4 - Macros removal from menus.hpp... Still some to do. But the biggest are done. Should reduce code size.
Commit from Boston

------------------------------------------------------------------------
r23454 | fkuehne | 2007-12-04 23:24:18 +0100 (Tue, 04 Dec 2007) | 1 line
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/keyedobjects.nib

* store the embedded vout's screen position on quit. Thanks to tomeo on IRC for the hint
------------------------------------------------------------------------
r23453 | dionoea | 2007-12-04 22:37:50 +0100 (Tue, 04 Dec 2007) | 2 lines
Changed paths:
   M /trunk/share/http/requests/vlm.xml

Fixes #1388

------------------------------------------------------------------------
r23452 | funman | 2007-12-04 21:43:31 +0100 (Tue, 04 Dec 2007) | 1 line
Changed paths:
   M /trunk/activex/vlccontrol2.cpp

fix activex compilation
------------------------------------------------------------------------
r23451 | funman | 2007-12-04 21:01:07 +0100 (Tue, 04 Dec 2007) | 2 lines
Changed paths:
   M /trunk/include/vlc/libvlc.h
   M /trunk/src/control/video.c

libvlc_video_take_snapshot(): specify snapshot's height and width

------------------------------------------------------------------------
r23450 | funman | 2007-12-04 19:36:13 +0100 (Tue, 04 Dec 2007) | 2 lines
Changed paths:
   M /trunk/include/vlc_osd.h

typo

------------------------------------------------------------------------
r23449 | jpsaman | 2007-12-04 19:26:30 +0100 (Tue, 04 Dec 2007) | 2 lines
Changed paths:
   M /trunk/src/video_output/vout_intf.c

Remove obsolete comment.

------------------------------------------------------------------------
r23448 | funman | 2007-12-04 16:49:28 +0100 (Tue, 04 Dec 2007) | 3 lines
Changed paths:
   M /trunk/src/video_output/vout_intf.c

vout_Snapshot(): hability to specify width & height when the snapshot isn't taken by an object.
Value of 0 for width OR height means that we want to keep the original aspect ratio.

------------------------------------------------------------------------
r23447 | jb | 2007-12-04 05:10:32 +0100 (Tue, 04 Dec 2007) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/dialogs/errors.cpp
   M /trunk/modules/gui/qt4/dialogs/extended.cpp
   M /trunk/modules/gui/qt4/dialogs_provider.cpp
   M /trunk/modules/gui/qt4/dialogs_provider.hpp
   M /trunk/modules/gui/qt4/menus.cpp

Qt4 - renaming functions cosmetic and KDE/GNome/Windows button fight.


------------------------------------------------------------------------
r23446 | jpsaman | 2007-12-03 23:39:55 +0100 (Mon, 03 Dec 2007) | 2 lines
Changed paths:
   M /trunk/Makefile.am

Revert [23438] because --enable-fast-install does the same.

------------------------------------------------------------------------
r23445 | pdherbemont | 2007-12-03 22:34:03 +0100 (Mon, 03 Dec 2007) | 2 lines
Changed paths:
   M /trunk/src/control/core.c

control/core.c: Use C99's __func__ unstead of gcc's __FUNCTION__ as dionoea requested in libvlc_exception_not_handled(). Make that function static.

------------------------------------------------------------------------
r23444 | jpsaman | 2007-12-03 17:17:13 +0100 (Mon, 03 Dec 2007) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Distributions/netbox3.mak

Add image and image2pipe muxers to netbox FFMPEGCONF settings.

------------------------------------------------------------------------
r23443 | jb | 2007-12-03 15:34:10 +0100 (Mon, 03 Dec 2007) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/Modules.am
   A /trunk/modules/gui/qt4/components/info_panels.cpp (from /trunk/modules/gui/qt4/components/infopanels.cpp:23418)
   A /trunk/modules/gui/qt4/components/info_panels.hpp (from /trunk/modules/gui/qt4/components/infopanels.hpp:23418)
   D /trunk/modules/gui/qt4/components/infopanels.cpp
   D /trunk/modules/gui/qt4/components/infopanels.hpp
   M /trunk/modules/gui/qt4/dialogs/mediainfo.cpp
   M /trunk/modules/gui/qt4/dialogs/mediainfo.hpp

Qt4 - File renaming for consistency.


------------------------------------------------------------------------
r23442 | jb | 2007-12-03 15:21:35 +0100 (Mon, 03 Dec 2007) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/Modules.am
   M /trunk/modules/gui/qt4/components/interface_widgets.cpp
   M /trunk/modules/gui/qt4/components/interface_widgets.hpp
   D /trunk/modules/gui/qt4/components/open.cpp
   D /trunk/modules/gui/qt4/components/open.hpp
   A /trunk/modules/gui/qt4/components/open_panels.cpp (from /trunk/modules/gui/qt4/components/open.cpp:23418)
   A /trunk/modules/gui/qt4/components/open_panels.hpp (from /trunk/modules/gui/qt4/components/open.hpp:23418)
   M /trunk/modules/gui/qt4/dialogs/open.cpp
   M /trunk/modules/gui/qt4/dialogs/open.hpp
   M /trunk/modules/gui/qt4/dialogs_provider.cpp
   M /trunk/modules/gui/qt4/input_manager.cpp
   M /trunk/modules/gui/qt4/input_manager.hpp
   M /trunk/modules/gui/qt4/main_interface.cpp
   M /trunk/modules/gui/qt4/main_interface.hpp

Qt4 - MainInterface cleaning, FIXME labelling, Simplification, put the delay of status Toolip to 3s, re-ask the privacy dialog if closed the previous time without a correct validation before.
Commit from NYC/NY/Columbia University ;)

------------------------------------------------------------------------
r23441 | funman | 2007-12-03 15:19:13 +0100 (Mon, 03 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/misc/dummy/vout.c

Copy [23439] for dummy video output

------------------------------------------------------------------------
r23440 | jpsaman | 2007-12-03 15:12:09 +0100 (Mon, 03 Dec 2007) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Distributions/netbox3.mak

Add encoders for bmp, jpeg and png to netbox.

------------------------------------------------------------------------
r23439 | jpsaman | 2007-12-03 15:04:41 +0100 (Mon, 03 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/video_output/fb.c

Fix snapshot functionality in video_output/fb.c

------------------------------------------------------------------------
r23438 | jpsaman | 2007-12-03 11:05:39 +0100 (Mon, 03 Dec 2007) | 2 lines
Changed paths:
   M /trunk/Makefile.am

Install .libs/vlc instead of libtool script vlc.

------------------------------------------------------------------------
r23437 | jpsaman | 2007-12-03 11:05:37 +0100 (Mon, 03 Dec 2007) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Distributions/netbox3.mak
   M /trunk/extras/contrib/src/Makefile

Move distribution specific settings to Distributions/netbox3.mak.

------------------------------------------------------------------------
r23436 | jpsaman | 2007-12-03 10:48:07 +0100 (Mon, 03 Dec 2007) | 2 lines
Changed paths:
   M /trunk/src/libvlc-module.c

Redine menu hotkeys because they collided with other keys.

------------------------------------------------------------------------
r23435 | pdherbemont | 2007-12-02 22:57:39 +0100 (Sun, 02 Dec 2007) | 2 lines
Changed paths:
   M /trunk/src/control/media_list_view.c

control/media_list_view.c: Properly forward item added event to subclasses, and  properly unregister events.

------------------------------------------------------------------------
r23434 | pdherbemont | 2007-12-02 19:52:50 +0100 (Sun, 02 Dec 2007) | 2 lines
Changed paths:
   M /trunk/src/control/core.c

control/core.c: Print an error on not handled libvlc exception. We'd better encourage third parties to take care of error sooner than later.

------------------------------------------------------------------------
r23433 | hovis | 2007-12-02 19:49:18 +0100 (Sun, 02 Dec 2007) | 1 line
Changed paths:
   M /trunk/modules/access/v4l2.c

v4l2: Progress with Alsa.  Sounds much better :-)
------------------------------------------------------------------------
r23432 | pdherbemont | 2007-12-02 19:35:39 +0100 (Sun, 02 Dec 2007) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/Framework/Sources/VLCEventManager.m

MacOSX/Framework/VLCEventManager.m: Remove unuseful ;.

------------------------------------------------------------------------
r23431 | pdherbemont | 2007-12-02 19:20:54 +0100 (Sun, 02 Dec 2007) | 2 lines
Changed paths:
   M /trunk/src/control/event.c

control/event.c: Print the event string description on error, instead of its numerical type.

------------------------------------------------------------------------
r23430 | hovis | 2007-12-02 17:17:06 +0100 (Sun, 02 Dec 2007) | 1 line
Changed paths:
   M /trunk/modules/access/v4l2.c

v4l2: Fixed Gamma.
------------------------------------------------------------------------
r23429 | dionoea | 2007-12-02 15:41:23 +0100 (Sun, 02 Dec 2007) | 4 lines
Changed paths:
   M /trunk/modules/access/v4l2.c

Fix menu control value display code.
Display current control value in VideoControlList.
Add option to reset all video controls to their default value on startup.

------------------------------------------------------------------------
r23428 | dionoea | 2007-12-02 15:14:50 +0100 (Sun, 02 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/access/v4l2.c

Add "videocontrol" command variable to issue controls other than those which we explicitly support. For example, "@v4l2 videocontrol 8000002 30" changes the sharpness to something horrible on my webcam.

------------------------------------------------------------------------
r23427 | dionoea | 2007-12-02 15:04:32 +0100 (Sun, 02 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/access/v4l2.c

Add v4l2-gamma control. Also print control details for private controls.

------------------------------------------------------------------------
r23426 | hovis | 2007-12-02 13:53:35 +0100 (Sun, 02 Dec 2007) | 1 line
Changed paths:
   M /trunk/modules/access/v4l2.c

v4l2: Fixed dynamic video metric updates.  Better handling of defaults.
------------------------------------------------------------------------
r23425 | hovis | 2007-12-02 01:13:45 +0100 (Sun, 02 Dec 2007) | 1 line
Changed paths:
   M /trunk/modules/access/v4l2.c

v4l2: Fixed VideoControlList.
------------------------------------------------------------------------
r23424 | funman | 2007-12-02 00:41:47 +0100 (Sun, 02 Dec 2007) | 2 lines
Changed paths:
   M /trunk/src/text/strings.c

vlc_b64_decode_binary_to_buffer(): i_dst is the size of the destination buffer, not the source buffer

------------------------------------------------------------------------
r23423 | dionoea | 2007-12-02 00:41:40 +0100 (Sun, 02 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/access/v4l2.c

Don't fail launching the video device if a video control failed. Update the hue/saturation/brightness/contrast values in the callback before issue the video control. (I haven't been able to test yet due to lack of hardware)

------------------------------------------------------------------------
r23422 | dionoea | 2007-12-01 18:00:20 +0100 (Sat, 01 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/access/v4l2.c

Factorise the Video Control code. List all available controls in debug messages. Add a callback to update those we already support on the flag (doesn't work properly yet, it might need a restart or something and people on #v4l aren't really helpfull).

------------------------------------------------------------------------
r23421 | dionoea | 2007-12-01 16:38:05 +0100 (Sat, 01 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/access/v4l2.c

Don't compile any of the alsa audio input code if HAVE_ALSA isn't defined. This mainly removes the --v4l2-alsa option if alsa devlopement headers aren't available.

------------------------------------------------------------------------
r23420 | funman | 2007-12-01 10:19:00 +0100 (Sat, 01 Dec 2007) | 1 line
Changed paths:
   M /trunk/src/misc/update.c

oops
------------------------------------------------------------------------
r23419 | jb | 2007-12-01 05:43:37 +0100 (Sat, 01 Dec 2007) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/pixmaps/volume-slider-inside.png
   M /trunk/modules/gui/qt4/pixmaps/volume-slider-outside.png

triangle for the volume... A bit less ugly.

------------------------------------------------------------------------
r23418 | xtophe | 2007-11-30 18:47:58 +0100 (Fri, 30 Nov 2007) | 2 lines
Changed paths:
   M /trunk/doc/release-howto.txt

Try to avoid leak

------------------------------------------------------------------------
r23417 | Trax | 2007-11-30 18:35:54 +0100 (Fri, 30 Nov 2007) | 1 line
Changed paths:
   M /trunk/NEWS

* NEWS: sync with 0.8.6d
------------------------------------------------------------------------
r23415 | pdherbemont | 2007-11-30 16:23:31 +0100 (Fri, 30 Nov 2007) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/Framework/Sources/VLCMediaList.m

MacOSX/Framework/VLCMediaList.m: Don't lock in initMediaListInternal, we risk double lock.

------------------------------------------------------------------------
r23414 | jb | 2007-11-30 09:33:39 +0100 (Fri, 30 Nov 2007) | 3 lines
Changed paths:
   M /trunk/modules/misc/inhibit.c

Yet another one from Philipp Weissenbacher.


------------------------------------------------------------------------
r23413 | jb | 2007-11-30 09:14:10 +0100 (Fri, 30 Nov 2007) | 3 lines
Changed paths:
   M /trunk/modules/video_filter/seamcarving.c

Typo spotted by Philipp Weisenbacher.


------------------------------------------------------------------------
r23412 | xtophe | 2007-11-29 23:36:59 +0100 (Thu, 29 Nov 2007) | 1 line
Changed paths:
   M /trunk/modules/gui/qt4/components/simple_preferences.cpp

Typo
------------------------------------------------------------------------
r23411 | xtophe | 2007-11-29 23:30:34 +0100 (Thu, 29 Nov 2007) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/simple_preferences.cpp
   M /trunk/modules/gui/qt4/ui/sprefs_video.ui

No need to have overlay twice in the preferences

------------------------------------------------------------------------
r23410 | xtophe | 2007-11-29 23:22:40 +0100 (Thu, 29 Nov 2007) | 2 lines
Changed paths:
   M /trunk/THANKS
   M /trunk/modules/gui/qt4/dialogs/preferences.cpp

Improve stability of the preferences dialog. Patch by Andre Weber

------------------------------------------------------------------------
r23409 | courmisch | 2007-11-29 19:39:24 +0100 (Thu, 29 Nov 2007) | 2 lines
Changed paths:
   M /trunk/src/input/stream.c

Typo

------------------------------------------------------------------------
r23408 | hovis | 2007-11-29 17:07:22 +0100 (Thu, 29 Nov 2007) | 1 line
Changed paths:
   M /trunk/configure.ac
   M /trunk/modules/access/v4l2.c

v4l2: Experimental ALSA input support.  Currently non functional.  Still defaults to OSS.
------------------------------------------------------------------------
r23407 | jpsaman | 2007-11-29 16:16:37 +0100 (Thu, 29 Nov 2007) | 2 lines
Changed paths:
   M /trunk/src/video_output/vout_subpictures.c

Fix devision by zero in spu_RenderSubpictures.

------------------------------------------------------------------------
r23406 | jpsaman | 2007-11-29 16:16:35 +0100 (Thu, 29 Nov 2007) | 2 lines
Changed paths:
   M /trunk/configure.ac

Remove stray character after testing for enable-libgcrypt and enable_gnutls.

------------------------------------------------------------------------
r23405 | jpsaman | 2007-11-29 16:16:32 +0100 (Thu, 29 Nov 2007) | 2 lines
Changed paths:
   M /trunk/modules/demux/live555.cpp

Be more carefull on when rtpInfo timestamps should be set.

------------------------------------------------------------------------
r23404 | funman | 2007-11-29 03:20:36 +0100 (Thu, 29 Nov 2007) | 1 line
Changed paths:
   M /trunk/modules/gui/qt4/dialogs/help.cpp

qt4 update: don't crash if there was a problem with update_New()
------------------------------------------------------------------------
r23403 | pdherbemont | 2007-11-29 00:33:24 +0100 (Thu, 29 Nov 2007) | 2 lines
Changed paths:
   M /trunk/src/libvlc-common.c

src/libvlc-common.c: Only print a piece of Info about cvlc if we are using 'vlc'.

------------------------------------------------------------------------
r23402 | pdherbemont | 2007-11-29 00:22:01 +0100 (Thu, 29 Nov 2007) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/Framework/Pre-Compile.sh
   M /trunk/extras/MacOSX/Framework/VLC.xcodeproj/project.pbxproj

MacOSX/Framework: Minimizes Package Size. only copy the libraries that the vlc modules need. (Patch by Enrique Osuna).

------------------------------------------------------------------------
r23401 | funman | 2007-11-28 21:28:55 +0100 (Wed, 28 Nov 2007) | 1 line
Changed paths:
   M /trunk/include/vlc/libvlc.h

Avoid C++ comments be compatible with C ANSI
------------------------------------------------------------------------
r23400 | courmisch | 2007-11-28 20:02:43 +0100 (Wed, 28 Nov 2007) | 2 lines
Changed paths:
   M /trunk/m4/Makefile.am
   D /trunk/m4/libgcrypt.m4

Remove silly m4 file. I'd rather use UPTODATE version on my system than some crap from VLC tree

------------------------------------------------------------------------
r23399 | courmisch | 2007-11-28 20:00:12 +0100 (Wed, 28 Nov 2007) | 2 lines
Changed paths:
   M /trunk/include/vlc_config.h

Default DVD to NULL for autodetection (hmm...)

------------------------------------------------------------------------
r23398 | funman | 2007-11-28 19:58:06 +0100 (Wed, 28 Nov 2007) | 4 lines
Changed paths:
   M /trunk/m4/Makefile.am
   A /trunk/m4/libgcrypt.m4
   M /trunk/modules/gui/qt4/Modules.am
   M /trunk/share/Makefile.am

Adds some missing files to dist target (blaming j-b & dionoea)
Adds libgcrypt.m4 for systems running autotools without libgcrypt-dev installed
Prefers tabs over spaces in Makefiles

------------------------------------------------------------------------
r23397 | courmisch | 2007-11-28 19:52:19 +0100 (Wed, 28 Nov 2007) | 2 lines
Changed paths:
   M /trunk/include/vlc_config.h

Typo

------------------------------------------------------------------------
r23396 | courmisch | 2007-11-28 19:38:36 +0100 (Wed, 28 Nov 2007) | 2 lines
Changed paths:
   M /trunk/include/vlc_config.h
   M /trunk/src/libvlc-module.c

Set default DVD defice

------------------------------------------------------------------------
r23395 | courmisch | 2007-11-28 19:05:08 +0100 (Wed, 28 Nov 2007) | 2 lines
Changed paths:
   M /trunk/modules/access/screen/win32.c

Compile fix

------------------------------------------------------------------------
r23394 | courmisch | 2007-11-28 19:01:32 +0100 (Wed, 28 Nov 2007) | 2 lines
Changed paths:
   M /trunk/include/vlc_objects.h

Ordering

------------------------------------------------------------------------
r23393 | courmisch | 2007-11-28 18:50:22 +0100 (Wed, 28 Nov 2007) | 2 lines
Changed paths:
   M /trunk/include/vlc_objects.h
   M /trunk/modules/misc/screensaver.c
   M /trunk/src/libvlc.sym
   M /trunk/src/misc/objects.c

Fix screensaver deadlock if terminating as soon the interface is created - closes #1363

------------------------------------------------------------------------
r23392 | funman | 2007-11-28 18:29:27 +0100 (Wed, 28 Nov 2007) | 1 line
Changed paths:
   M /trunk/modules/misc/screensaver.c

revert [23385]. make sure the object is locked when we enter the thread
------------------------------------------------------------------------
r23391 | courmisch | 2007-11-28 18:23:39 +0100 (Wed, 28 Nov 2007) | 2 lines
Changed paths:
   M /trunk/NEWS
   M /trunk/src/vlc.c

Lets assume glibc 2.8 will work properly when it's out (though I doubt it)

------------------------------------------------------------------------
r23390 | fkuehne | 2007-11-28 16:20:56 +0100 (Wed, 28 Nov 2007) | 1 line
Changed paths:
   M /trunk/configure.ac

* automagically assume --with-macosx-sdk
------------------------------------------------------------------------
r23389 | xtophe | 2007-11-27 23:55:37 +0100 (Tue, 27 Nov 2007) | 2 lines
Changed paths:
   M /trunk/configure.ac

Defines nvlc aliases in all cases

------------------------------------------------------------------------
r23387 | xtophe | 2007-11-27 22:33:52 +0100 (Tue, 27 Nov 2007) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/dialogs/open.cpp

Fix segfault when canceling the open dialog. Patch by R?\195?\169mi Duraffort.

------------------------------------------------------------------------
r23386 | courmisch | 2007-11-27 21:11:16 +0100 (Tue, 27 Nov 2007) | 2 lines
Changed paths:
   M /trunk/src/vlc.c

Horrific kludge to prevent awfully crappy glibc from crashing VLC all the time.

------------------------------------------------------------------------
r23385 | funman | 2007-11-27 20:47:57 +0100 (Tue, 27 Nov 2007) | 1 line
Changed paths:
   M /trunk/modules/misc/screensaver.c

fix make check
------------------------------------------------------------------------
r23384 | courmisch | 2007-11-27 20:39:23 +0100 (Tue, 27 Nov 2007) | 2 lines
Changed paths:
   M /trunk/modules/access/file.c

typo

------------------------------------------------------------------------
r23383 | courmisch | 2007-11-27 20:39:05 +0100 (Tue, 27 Nov 2007) | 2 lines
Changed paths:
   M /trunk/modules/access/file.c

Better error handling

------------------------------------------------------------------------
r23378 | courmisch | 2007-11-27 19:17:13 +0100 (Tue, 27 Nov 2007) | 2 lines
Changed paths:
   M /trunk/modules/access/file.c

Don't use MAP_POPULATE

------------------------------------------------------------------------
r23377 | courmisch | 2007-11-27 19:08:25 +0100 (Tue, 27 Nov 2007) | 2 lines
Changed paths:
   M /trunk/modules/access/file.c

Fix EOF check and remove fprintf

------------------------------------------------------------------------
r23374 | hovis | 2007-11-27 17:44:13 +0100 (Tue, 27 Nov 2007) | 1 line
Changed paths:
   M /trunk/modules/access/v4l2.c

v4l2: Support for setting brightness, contrast, saturation and hue (if supported by device)
------------------------------------------------------------------------
r23372 | ileoo | 2007-11-27 13:43:54 +0100 (Tue, 27 Nov 2007) | 2 lines
Changed paths:
   M /trunk/modules/access/file.c

oneliner to fix i_pos updating. works for me.

------------------------------------------------------------------------
r23371 | hovis | 2007-11-27 13:13:18 +0100 (Tue, 27 Nov 2007) | 1 line
Changed paths:
   M /trunk/modules/access/v4l2.c

v4l2: Cosmetics.
------------------------------------------------------------------------
r23370 | hovis | 2007-11-27 13:06:05 +0100 (Tue, 27 Nov 2007) | 1 line
Changed paths:
   M /trunk/modules/access/v4l2.c

Fixed warnings.
------------------------------------------------------------------------
r23367 | courmisch | 2007-11-26 22:02:27 +0100 (Mon, 26 Nov 2007) | 2 lines
Changed paths:
   M /trunk/modules/access/file.c

Don't bother seeking when using mmap

------------------------------------------------------------------------
r23366 | courmisch | 2007-11-26 22:01:13 +0100 (Mon, 26 Nov 2007) | 2 lines
Changed paths:
   M /trunk/modules/access/file.c

Fix file position update

------------------------------------------------------------------------
r23365 | courmisch | 2007-11-26 21:56:49 +0100 (Mon, 26 Nov 2007) | 2 lines
Changed paths:
   M /trunk/modules/access/file.c

typo

------------------------------------------------------------------------
r23364 | courmisch | 2007-11-26 21:27:15 +0100 (Mon, 26 Nov 2007) | 2 lines
Changed paths:
   M /trunk/modules/access/file.c

Memory mapped file input

------------------------------------------------------------------------
r23363 | courmisch | 2007-11-26 21:26:28 +0100 (Mon, 26 Nov 2007) | 2 lines
Changed paths:
   M /trunk/modules/stream_out/transcode.c

Compile fix

------------------------------------------------------------------------
r23361 | courmisch | 2007-11-26 20:18:23 +0100 (Mon, 26 Nov 2007) | 2 lines
Changed paths:
   M /trunk/include/vlc_block.h
   M /trunk/modules/access/screen/win32.c
   M /trunk/src/libvlc.sym
   M /trunk/src/misc/block.c

Cleanup custom block allocation

------------------------------------------------------------------------
r23359 | courmisch | 2007-11-26 19:53:28 +0100 (Mon, 26 Nov 2007) | 2 lines
Changed paths:
   M /trunk/configure.ac

We've had fun breaking the ABI...

------------------------------------------------------------------------
r23358 | courmisch | 2007-11-26 19:52:41 +0100 (Mon, 26 Nov 2007) | 2 lines
Changed paths:
   M /trunk/include/vlc_block.h
   M /trunk/modules/access/screen/win32.c
   M /trunk/src/misc/block.c

Remove block_t->p_sys, which is not really needed either.

------------------------------------------------------------------------
r23355 | courmisch | 2007-11-26 19:40:44 +0100 (Mon, 26 Nov 2007) | 2 lines
Changed paths:
   M /trunk/src/misc/block.c

Save one pointer and dereference in the block core

------------------------------------------------------------------------
r23354 | courmisch | 2007-11-26 19:37:34 +0100 (Mon, 26 Nov 2007) | 2 lines
Changed paths:
   M /trunk/include/vlc_block.h
   M /trunk/modules/access/screen/win32.c
   M /trunk/src/misc/block.c

Remove the unused manager from block_t

------------------------------------------------------------------------
r23353 | jb | 2007-11-26 19:36:45 +0100 (Mon, 26 Nov 2007) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/util/input_slider.cpp

Qt4 - Volume slider, move the slider when only clicked on it as ivoire requested.

------------------------------------------------------------------------
r23352 | Trax | 2007-11-26 19:28:56 +0100 (Mon, 26 Nov 2007) | 1 line
Changed paths:
   M /trunk/modules/access_output/shout.c

* modules/access_output/shout.c: Remove sleep for reconnect; this does not allow for a graceful exit during the wait. A reconnect interval which increments x2 every failed reconnect still needs to be implemented (and eventually errors out after a max interval if upstream server doesn't come back).
------------------------------------------------------------------------
r23351 | courmisch | 2007-11-26 17:30:25 +0100 (Mon, 26 Nov 2007) | 3 lines
Changed paths:
   M /trunk/include/vlc_block.h
   M /trunk/src/misc/block.c

Use (s)size_t in block_t.
/!\ This breaks the plugin ABI on LP64 platforms

------------------------------------------------------------------------
r23350 | funman | 2007-11-26 15:23:07 +0100 (Mon, 26 Nov 2007) | 1 line
Changed paths:
   M /trunk/modules/misc/audioscrobbler.c

audioscrobbler: use psz_md5_hash()
------------------------------------------------------------------------
r23349 | funman | 2007-11-26 15:18:57 +0100 (Mon, 26 Nov 2007) | 1 line
Changed paths:
   M /trunk/src/misc/update.c

forget a parameter in msg_Err
------------------------------------------------------------------------
r23348 | funman | 2007-11-26 15:10:30 +0100 (Mon, 26 Nov 2007) | 1 line
Changed paths:
   M /trunk/src/misc/update.c

fix compilation on Linux
------------------------------------------------------------------------
r23347 | funman | 2007-11-26 15:00:39 +0100 (Mon, 26 Nov 2007) | 2 lines
Changed paths:
   M /trunk/include/vlc_arrays.h
   M /trunk/include/vlc_devices.h
   M /trunk/include/vlc_epg.h
   M /trunk/include/vlc_md5.h
   M /trunk/include/vlc_streaming.h
   M /trunk/include/vlc_update.h
   M /trunk/src/misc/update.c

update: performs size and m5 checksum verification (untested)

------------------------------------------------------------------------
r23339 | jb | 2007-11-26 09:17:23 +0100 (Mon, 26 Nov 2007) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/extended_panels.cpp
   M /trunk/modules/gui/qt4/components/infopanels.hpp
   M /trunk/modules/gui/qt4/components/interface_widgets.cpp
   M /trunk/modules/gui/qt4/components/open.cpp
   M /trunk/modules/gui/qt4/dialogs/extended.cpp
   M /trunk/modules/gui/qt4/dialogs/mediainfo.hpp
   M /trunk/modules/gui/qt4/dialogs/open.cpp
   M /trunk/modules/gui/qt4/dialogs/playlist.cpp
   M /trunk/modules/gui/qt4/dialogs/preferences.cpp
   M /trunk/modules/gui/qt4/dialogs/sout.cpp
   M /trunk/modules/gui/qt4/dialogs/vlm.hpp
   M /trunk/modules/gui/qt4/main_interface.cpp
   M /trunk/modules/gui/qt4/qt4.cpp
   M /trunk/modules/gui/qt4/util/input_slider.cpp

Qt4 - Cleaning trailing spaces...


------------------------------------------------------------------------
r23338 | jb | 2007-11-26 09:10:01 +0100 (Mon, 26 Nov 2007) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/interface_widgets.cpp
   M /trunk/modules/gui/qt4/components/interface_widgets.hpp
   M /trunk/modules/gui/qt4/dialogs/extended.cpp
   M /trunk/modules/gui/qt4/dialogs/extended.hpp
   M /trunk/modules/gui/qt4/dialogs/playlist.cpp
   M /trunk/modules/gui/qt4/main_interface.cpp
   M /trunk/modules/gui/qt4/util/qvlcframe.hpp

Qt4 - saving size, position for the playlist and the extended panels.
Be careful, if you have a config file, you may need to clean it.

------------------------------------------------------------------------
r23337 | jb | 2007-11-26 09:08:33 +0100 (Mon, 26 Nov 2007) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/pixmaps/volume-slider-outside.png
   M /trunk/modules/gui/qt4/pixmaps/volume-slider.svg

Qt4 - pixmap update.


------------------------------------------------------------------------
r23336 | jb | 2007-11-26 08:09:30 +0100 (Mon, 26 Nov 2007) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/main_interface.cpp

Qt4 - Avoid segfault on exist if the playlist was never called, during the saving before exit. Bug re-introduced in 23333.

------------------------------------------------------------------------
r23335 | jb | 2007-11-26 07:58:18 +0100 (Mon, 26 Nov 2007) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/interface_widgets.cpp
   M /trunk/modules/gui/qt4/util/input_slider.cpp

Qt4 - Make the gradient fit INSIDE the boundaries...


------------------------------------------------------------------------
r23334 | jb | 2007-11-26 07:45:58 +0100 (Mon, 26 Nov 2007) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/interface_widgets.cpp
   A /trunk/modules/gui/qt4/pixmaps/volume-slider-inside.png
   A /trunk/modules/gui/qt4/pixmaps/volume-slider-outside.png
   A /trunk/modules/gui/qt4/pixmaps/volume-slider.svg
   M /trunk/modules/gui/qt4/res.qrc
   M /trunk/modules/gui/qt4/util/input_slider.cpp
   M /trunk/modules/gui/qt4/util/input_slider.hpp

Qt4 - Did you really think I couldn't do more ugly ???? 

------------------------------------------------------------------------
r23333 | jb | 2007-11-26 07:21:54 +0100 (Mon, 26 Nov 2007) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/interface_widgets.cpp
   M /trunk/modules/gui/qt4/main_interface.cpp

Qt4 - MainInterface, correct the resizing when docking the playlist for the first time. Remove some dead code... Not finished yet... Feel free to fix, but not to break :D

------------------------------------------------------------------------
r23324 | xtophe | 2007-11-25 17:04:21 +0100 (Sun, 25 Nov 2007) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/main_interface.cpp

Avoid segfault

------------------------------------------------------------------------
r23321 | dionoea | 2007-11-25 16:48:47 +0100 (Sun, 25 Nov 2007) | 2 lines
Changed paths:
   M /trunk/src/playlist/search.c

Hide nodes which don't match the search string and don't have any children matching the search string when performing a playlist search.

------------------------------------------------------------------------
r23320 | dionoea | 2007-11-25 14:32:20 +0100 (Sun, 25 Nov 2007) | 2 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/modules/video_chroma/Modules.am
   A /trunk/modules/video_chroma/i422_i420.c (from /trunk/modules/video_chroma/i422_yuy2.c:23043)
   M /trunk/modules/video_chroma/i422_yuy2.c

Split i422->packed YUV and i422->planar YUV. Add i422->YUVA. This still needs some testing.

------------------------------------------------------------------------
r23318 | Trax | 2007-11-25 13:40:20 +0100 (Sun, 25 Nov 2007) | 1 line
Changed paths:
   M /trunk/modules/access_output/shout.c

* modules/access_output/shout.c: automatic reconnect to server at startup.
------------------------------------------------------------------------
r23317 | Trax | 2007-11-25 11:26:42 +0100 (Sun, 25 Nov 2007) | 1 line
Changed paths:
   M /trunk/modules/access_output/shout.c

* modules/access_output/shout.c: let this be a lesson for all you kids out there - think before.. ehr.. sync before you shout! (in case the buffer isn't empty after reconnect approach, allows for smoother transition).
------------------------------------------------------------------------
r23316 | jb | 2007-11-25 10:33:08 +0100 (Sun, 25 Nov 2007) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/playlist/standardpanel.cpp

Qt4 - small cosmetic for the playlist.


------------------------------------------------------------------------
r23315 | jb | 2007-11-25 10:18:25 +0100 (Sun, 25 Nov 2007) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/interface_widgets.cpp
   M /trunk/modules/gui/qt4/components/interface_widgets.hpp
   M /trunk/modules/gui/qt4/dialogs/playlist.cpp
   M /trunk/modules/gui/qt4/dialogs/playlist.hpp
   M /trunk/modules/gui/qt4/main_interface.cpp
   M /trunk/modules/gui/qt4/main_interface.hpp

Qt4 - lame attempt for the resizing of the interface.


------------------------------------------------------------------------
r23314 | Trax | 2007-11-25 06:34:58 +0100 (Sun, 25 Nov 2007) | 1 line
Changed paths:
   M /trunk/modules/codec/dmo/dmo.c

* modules/codec/dmo/dmo.c: add some missing fourcc capitalization
------------------------------------------------------------------------
r23313 | bitmap | 2007-11-25 06:05:09 +0100 (Sun, 25 Nov 2007) | 3 lines
Changed paths:
   M /trunk/modules/misc/freetype.c

Try to protect more than one instance of FontBuilder from running at a time -
attempt to fix issues with segfault reported on list

------------------------------------------------------------------------
r23312 | jb | 2007-11-25 01:56:41 +0100 (Sun, 25 Nov 2007) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/dialogs/extended.cpp
   M /trunk/modules/gui/qt4/ui/video_effects.ui

Qt4 - Extended: manage correctly the margin.

------------------------------------------------------------------------
r23311 | dionoea | 2007-11-25 00:20:47 +0100 (Sun, 25 Nov 2007) | 2 lines
Changed paths:
   M /trunk/modules/video_filter/ripple.c
   M /trunk/modules/video_filter/wave.c

Wave and ripple should now behave correctly for chromas where pixels can take more than 1 byte in a row (like RV32).

------------------------------------------------------------------------
r23310 | dionoea | 2007-11-24 23:24:34 +0100 (Sat, 24 Nov 2007) | 2 lines
Changed paths:
   M /trunk/modules/access/v4l2.c

v4l2: Since the frame size and frame intervals ioctls are new in Linux 2.6.19, add some ifdef stuff to make sure that this still compiles on older kernels.

------------------------------------------------------------------------
r23309 | dionoea | 2007-11-24 23:17:27 +0100 (Sat, 24 Nov 2007) | 2 lines
Changed paths:
   M /trunk/modules/access/v4l2.c

v4l2: Display supported frame interval (inverse frame rate) for chosen chroma and resolution in debug output.

------------------------------------------------------------------------
r23308 | dionoea | 2007-11-24 22:57:33 +0100 (Sat, 24 Nov 2007) | 2 lines
Changed paths:
   M /trunk/modules/access/v4l2.c

v4l2: Display supported framesizes in debug.

------------------------------------------------------------------------
r23307 | ileoo | 2007-11-24 22:30:50 +0100 (Sat, 24 Nov 2007) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/interface_widgets.cpp
   M /trunk/modules/gui/qt4/components/interface_widgets.hpp
   M /trunk/modules/gui/qt4/main_interface.cpp
   M /trunk/modules/gui/qt4/main_interface.hpp

qt4: no more calculateInterfaceSize, but sizeHint() stuff for
widget-size, 1. try from me

------------------------------------------------------------------------
r23306 | jb | 2007-11-24 21:57:42 +0100 (Sat, 24 Nov 2007) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/dialogs/extended.cpp

Qt4 - Extended dialog, group audio things under an Audio Tab. put the audio and video tabs on the left.


------------------------------------------------------------------------
r23302 | dionoea | 2007-11-24 20:00:16 +0100 (Sat, 24 Nov 2007) | 2 lines
Changed paths:
   M /trunk/modules/misc/lua/intf.c

Oops, forgot this file.

------------------------------------------------------------------------
r23301 | dionoea | 2007-11-24 19:59:50 +0100 (Sat, 24 Nov 2007) | 2 lines
Changed paths:
   M /trunk/modules/misc/lua/vlc.c

Changes to the lua module's declaration: add luahttp alias and don't make it accept the luameta alias for all capabilities.

------------------------------------------------------------------------
r23300 | dionoea | 2007-11-24 19:53:11 +0100 (Sat, 24 Nov 2007) | 2 lines
Changed paths:
   M /trunk/NEWS

Some more NEWS (vlm scheduling on linux and EXTVLCOPT)

------------------------------------------------------------------------
r23299 | dionoea | 2007-11-24 19:50:35 +0100 (Sat, 24 Nov 2007) | 2 lines
Changed paths:
   M /trunk/modules/demux/playlist/m3u.c
   M /trunk/modules/demux/playlist/playlist.c

Re-enable EXTVLCOPT: parsing in m3u playlists. You'll need to append the --m3u-extvlcopt option to you command line if you want it.

------------------------------------------------------------------------
r23298 | jb | 2007-11-24 19:06:14 +0100 (Sat, 24 Nov 2007) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/main_interface.cpp

Qt4 - privacy dialog... What about saving those options ?


------------------------------------------------------------------------
r23297 | hovis | 2007-11-24 18:28:48 +0100 (Sat, 24 Nov 2007) | 1 line
Changed paths:
   M /trunk/modules/access/v4l2.c

DQ buffers using correct io method for mmap.
------------------------------------------------------------------------
r23296 | Trax | 2007-11-24 17:30:26 +0100 (Sat, 24 Nov 2007) | 1 line
Changed paths:
   M /trunk/modules/access_output/shout.c

* modules/access_output/shout.c: Remove unneeded var in previous commit
------------------------------------------------------------------------
r23295 | Trax | 2007-11-24 17:27:12 +0100 (Sat, 24 Nov 2007) | 1 line
Changed paths:
   M /trunk/modules/access_output/shout.c

* modules/access_output/shout.c: Implement automatic reconnection on server disconnect - closes #1167
------------------------------------------------------------------------
r23294 | jb | 2007-11-24 05:25:33 +0100 (Sat, 24 Nov 2007) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/preferences_widgets.hpp
   M /trunk/modules/gui/qt4/main_interface.cpp
   M /trunk/modules/gui/qt4/main_interface.hpp
   M /trunk/modules/gui/qt4/qt4.cpp

Qt4 - Add a dialog at firststart to ask about the privacy policy.

------------------------------------------------------------------------
r23293 | jb | 2007-11-24 05:24:47 +0100 (Sat, 24 Nov 2007) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/dialogs/messages.cpp

Cosmetic.

------------------------------------------------------------------------
r23292 | jb | 2007-11-24 05:08:56 +0100 (Sat, 24 Nov 2007) | 2 lines
Changed paths:
   M /trunk/src/libvlc-module.c

Change the meta information fetcher TEXT

------------------------------------------------------------------------
r23291 | jb | 2007-11-24 04:01:54 +0100 (Sat, 24 Nov 2007) | 4 lines
Changed paths:
   M /trunk/include/vlc_keys.h

Inclusion guards for vlc_keys.h
Why don't we use an enum in that file ???


------------------------------------------------------------------------
r23290 | jb | 2007-11-24 02:28:44 +0100 (Sat, 24 Nov 2007) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/interface_widgets.cpp
   M /trunk/modules/gui/qt4/components/interface_widgets.hpp
   M /trunk/modules/gui/qt4/main_interface.cpp
   M /trunk/modules/gui/qt4/qt4.cpp

Special Xtophe request ( Bday! ), add a new --no-qt-blingbling option to use native widgets...
Inheritance rules...

------------------------------------------------------------------------
r23288 | pdherbemont | 2007-11-24 01:58:45 +0100 (Sat, 24 Nov 2007) | 2 lines
Changed paths:
   M /trunk/src/libvlc-common.c

src/libvlc-common.c: Print a msg_Info on how to launch VLC without interface.

------------------------------------------------------------------------
r23287 | jb | 2007-11-24 01:57:42 +0100 (Sat, 24 Nov 2007) | 3 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/modules/control/rc.c
   M /trunk/modules/gui/ncurses.c
   M /trunk/modules/misc/dummy/dummy.c

Add a few shortcuts, cvlc, nvlc, rvlc for cli, ncurses and rc


------------------------------------------------------------------------
r23286 | pdherbemont | 2007-11-23 22:40:20 +0100 (Fri, 23 Nov 2007) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/VLC_app/VLC.xcodeproj/project.pbxproj
   M /trunk/extras/MacOSX/VLC_app/VLCController.m

MacOSX/Framework/VLC_app: Use the bindings a little bit more. Demo the search feature. Uses shoutcasttv by default to have some content by default.

------------------------------------------------------------------------
r23285 | pdherbemont | 2007-11-23 21:32:35 +0100 (Fri, 23 Nov 2007) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/Framework/Sources/VLCMediaListAspect.m

MacOSX/Framework/VLCMediaListAspect.m: Update the cachedMedia array.

------------------------------------------------------------------------
r23284 | pdherbemont | 2007-11-23 21:28:26 +0100 (Fri, 23 Nov 2007) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/Framework/Sources/VLCMedia.m

MacOSX/Framework: No more rely on media_descriptor_(get/set)_user_data, now that we cache the media decriptor. (We may want to revert that back one day, but right now this doesn't work, and trigger some strange bugs here).

------------------------------------------------------------------------
r23283 | pdherbemont | 2007-11-23 21:24:51 +0100 (Fri, 23 Nov 2007) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/Framework/Sources/VLCMediaListAspect.m

MacOSX/Framework/VLCMediaListAspect.m: Use @"media" binding key, instead of @"Media".

------------------------------------------------------------------------
r23282 | pdherbemont | 2007-11-23 21:23:51 +0100 (Fri, 23 Nov 2007) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/Framework/Sources/VLCMediaList.m

MacOSX/Framework/Sources/VLCMediaList.m: Use @"media" binding key instead of @"Media".

------------------------------------------------------------------------
r23281 | pdherbemont | 2007-11-23 21:22:35 +0100 (Fri, 23 Nov 2007) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/Framework/Headers/Public/VLCMediaListAspect.h

MacOSX/Framework/VLCMediaListAspect.h: Don't forget to define cachedMedia variable.

------------------------------------------------------------------------
r23280 | pdherbemont | 2007-11-23 21:21:53 +0100 (Fri, 23 Nov 2007) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/Framework/Sources/VLCMediaListAspect.m

MacOSX/Framework/VLCMediaListAspect.m: Fix a typo.

------------------------------------------------------------------------
r23279 | jpsaman | 2007-11-23 21:02:31 +0100 (Fri, 23 Nov 2007) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Patches/ffmpeg-svn-avdevices.patch

Correct description.

------------------------------------------------------------------------
r23278 | pdherbemont | 2007-11-23 20:19:07 +0100 (Fri, 23 Nov 2007) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/Framework/Sources/VLCMediaListAspect.m

MacOSX/Framework/VLCMediaListAspect.m: Use a NSMutableArray to cache the media list view items. (for the same reason given in previous commit).

------------------------------------------------------------------------
r23277 | pdherbemont | 2007-11-23 20:13:08 +0100 (Fri, 23 Nov 2007) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/Framework/Headers/Public/VLCMediaList.h
   M /trunk/extras/MacOSX/Framework/Sources/VLCMediaList.m

MacOSX/Framework/VLCMediaList.m: Cache the media list objects in a NSMutableArray. We do this because we want to use bindings. Cocoa bindings requires us to send willChangeValueForKey/didChangeValueForKey on the main thread. And that's one of the simpler way to do that without having locking problems.

------------------------------------------------------------------------
r23276 | jb | 2007-11-23 18:52:29 +0100 (Fri, 23 Nov 2007) | 2 lines
Changed paths:
   M /trunk/modules/stream_out/rtp.c
   M /trunk/modules/stream_out/standard.c

Typos spotted by Philipp Weissenbacher.

------------------------------------------------------------------------
r23275 | courmisch | 2007-11-23 18:12:56 +0100 (Fri, 23 Nov 2007) | 4 lines
Changed paths:
   M /trunk/modules/control/http/http.c
   M /trunk/modules/control/http/http.h
   M /trunk/modules/control/http/mvar.c
   M /trunk/modules/control/http/rpn.c
   M /trunk/modules/control/http/util.c

Remove totally useless transcoding from UTF-8 in HTTP interface,
heavy simplification, and fix(/remove) piles of error cases.
Server gets to choose the charset anyway.

------------------------------------------------------------------------
r23274 | jpsaman | 2007-11-23 15:12:31 +0100 (Fri, 23 Nov 2007) | 2 lines
Changed paths:
   M /trunk/modules/codec/ffmpeg/mux.c

Compile fix to check for ffmpeg version.

------------------------------------------------------------------------
r23273 | pdherbemont | 2007-11-23 15:09:03 +0100 (Fri, 23 Nov 2007) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/Framework/Sources/VLCMediaListAspect.m

MacOSX/Framework/VLCMediaListAspect.m: Alloc an autoreleasePool where needed.

------------------------------------------------------------------------
r23272 | pdherbemont | 2007-11-23 14:34:36 +0100 (Fri, 23 Nov 2007) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/Framework/Sources/VLCMedia.m

MacOSX/Framework/VLCMedia.m: Don't forget to retain the url.

------------------------------------------------------------------------
r23270 | jpsaman | 2007-11-23 13:35:59 +0100 (Fri, 23 Nov 2007) | 1 line
Changed paths:
   M /trunk/modules/codec/ffmpeg/mux.c

Fix compiler warnings in modules/codec/ffmpeg/mux.c. Please test.
------------------------------------------------------------------------
r23269 | pdherbemont | 2007-11-23 13:30:20 +0100 (Fri, 23 Nov 2007) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/Framework/Sources/VLCMediaListAspect.m

MacOSX/Framework/VLCMediaListAspect.m: Don't release a media_list when it is a media_list_view.

------------------------------------------------------------------------
r23268 | pdherbemont | 2007-11-23 13:23:43 +0100 (Fri, 23 Nov 2007) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/Framework/Sources/VLCMediaList.m

MacOSX/Framework/VLCMediaList.m: Don't forget to alloc an autorelease pool on function that may be called from a non-main thread context.

------------------------------------------------------------------------
r23267 | pdherbemont | 2007-11-23 13:18:01 +0100 (Fri, 23 Nov 2007) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/Framework/Headers/Public/VLC.h
   M /trunk/extras/MacOSX/Framework/Headers/Public/VLCMediaDiscoverer.h
   M /trunk/extras/MacOSX/Framework/Sources/VLCMediaDiscoverer.m
   M /trunk/extras/MacOSX/Framework/VLC.xcodeproj/project.pbxproj
   M /trunk/extras/MacOSX/VLC_app/VLC.xcodeproj/project.pbxproj
   M /trunk/extras/MacOSX/VLC_app/VLCController.m

MacOSX/Framework: Re-enable VLCMediaDiscoverer.

------------------------------------------------------------------------
r23266 | pdherbemont | 2007-11-23 13:12:27 +0100 (Fri, 23 Nov 2007) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/Framework/Headers/Internal/VLCLibVLCBridging.h
   M /trunk/extras/MacOSX/Framework/Sources/VLCMedia.m
   M /trunk/extras/MacOSX/Framework/Sources/VLCMediaLibrary.m
   M /trunk/extras/MacOSX/Framework/Sources/VLCMediaList.m

MacOSX/Framework: Use mediaListWithLibVLCMediaList instead of media*l*istWithLibVLCMediaList, to match the VLCMediaList class name cases.

------------------------------------------------------------------------
r23265 | jpsaman | 2007-11-23 11:19:38 +0100 (Fri, 23 Nov 2007) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile
   A /trunk/extras/contrib/src/Patches/ffmpeg-svn-avdevices.patch

Fix building of ffmpeg, by disabling libavdevices.

------------------------------------------------------------------------
r23264 | jpsaman | 2007-11-23 10:19:24 +0100 (Fri, 23 Nov 2007) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile
   A /trunk/extras/contrib/src/Patches/ffmpeg-svn-libavformat.patch

Tune ffmpeg more for armeb and include <strings.h> in libavformat/utils.c

------------------------------------------------------------------------
r23263 | jpsaman | 2007-11-23 09:43:57 +0100 (Fri, 23 Nov 2007) | 1 line
Changed paths:
   M /trunk/extras/contrib/src/Makefile

Tune ffmpeg features for armeb
------------------------------------------------------------------------
r23262 | jpsaman | 2007-11-23 09:29:53 +0100 (Fri, 23 Nov 2007) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile

Patches/ffmpeg-svn-grab.patch is no longer needed for HAVE_UCLIBC

------------------------------------------------------------------------
r23261 | jpsaman | 2007-11-23 09:28:50 +0100 (Fri, 23 Nov 2007) | 2 lines
Changed paths:
   D /trunk/extras/contrib/src/Patches/ffmpeg-svn-grab.patch
   M /trunk/extras/contrib/src/Patches/ffmpeg-svn-uclibc.patch

Update ffmpeg for armeb target.

------------------------------------------------------------------------
r23260 | jb | 2007-11-23 09:27:23 +0100 (Fri, 23 Nov 2007) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/util/input_slider.cpp

Qt4 - I couldn't do more ugly... If you know how to... please try :D

------------------------------------------------------------------------
r23259 | jpsaman | 2007-11-23 09:09:07 +0100 (Fri, 23 Nov 2007) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Distributions/netbox3.mak

Disable faad and libmpeg2, because it is not needed.

------------------------------------------------------------------------
r23258 | jb | 2007-11-23 08:44:20 +0100 (Fri, 23 Nov 2007) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/interface_widgets.cpp
   M /trunk/modules/gui/qt4/util/input_slider.cpp
   M /trunk/modules/gui/qt4/util/input_slider.hpp

Qt4 - take care of the volume-step value from the preferences.

------------------------------------------------------------------------
r23257 | jb | 2007-11-23 08:15:53 +0100 (Fri, 23 Nov 2007) | 4 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/interface_widgets.cpp
   M /trunk/modules/gui/qt4/qt4.cpp
   M /trunk/modules/gui/qt4/util/input_slider.cpp
   M /trunk/modules/gui/qt4/util/input_slider.hpp

Qt4 - Add an option to have the volume slider from 0 to 400 %. Close #952 Close #1317
Also the soundSlider takes it first value from the preferences...


------------------------------------------------------------------------
r23256 | jb | 2007-11-23 07:47:30 +0100 (Fri, 23 Nov 2007) | 4 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/interface_widgets.cpp
   M /trunk/modules/gui/qt4/components/interface_widgets.hpp
   M /trunk/modules/gui/qt4/util/customwidgets.cpp
   M /trunk/modules/gui/qt4/util/customwidgets.hpp
   M /trunk/modules/gui/qt4/util/input_slider.cpp
   M /trunk/modules/gui/qt4/util/input_slider.hpp

Qt4 - New kind of volume slider.
Need a lot of graphic tweaking.


------------------------------------------------------------------------
r23255 | pdherbemont | 2007-11-23 01:35:00 +0100 (Fri, 23 Nov 2007) | 2 lines
Changed paths:
   M /trunk/src/control/flat_media_list_view.c

control/flat_media_list_view.c: Import pre existing md in the view.

------------------------------------------------------------------------
r23254 | funman | 2007-11-23 01:04:52 +0100 (Fri, 23 Nov 2007) | 2 lines
Changed paths:
   M /trunk/modules/misc/audioscrobbler.c

audioscrobbler: more explicit debug messages

------------------------------------------------------------------------
r23253 | damienf | 2007-11-23 00:59:30 +0100 (Fri, 23 Nov 2007) | 2 lines
Changed paths:
   M /trunk/modules/gui/macosx/eyetv.h
   M /trunk/modules/gui/macosx/eyetv.m
   M /trunk/modules/gui/macosx/open.m

MacOS X: more EyeTV GUI improvements

------------------------------------------------------------------------
r23252 | pdherbemont | 2007-11-23 00:54:58 +0100 (Fri, 23 Nov 2007) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/Framework/Sources/VLCMedia.m

MacOSX/Framework/VLCMedia.m: Don't forget to store the media's url.

------------------------------------------------------------------------
r23251 | pdherbemont | 2007-11-23 00:52:04 +0100 (Fri, 23 Nov 2007) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/Framework/Sources/VLCMediaListAspect.m

MacOSX/Framework/VLCMediaListAspect.m: Fix a typo (VLCMediaList->VLCMediaListAspect).

------------------------------------------------------------------------
r23250 | pdherbemont | 2007-11-23 00:42:24 +0100 (Fri, 23 Nov 2007) | 2 lines
Changed paths:
   M /trunk/src/control/media_list_view.c

control/media_list_view.c: Register WillAdd/WillDelete events.

------------------------------------------------------------------------
r23249 | pdherbemont | 2007-11-23 00:39:55 +0100 (Fri, 23 Nov 2007) | 2 lines
Changed paths:
   M /trunk/src/control/media_list.c

control/media_list.c: Don't forget to register_event_type for WillAdd/WillDelete.

------------------------------------------------------------------------
r23248 | xtophe | 2007-11-23 00:39:33 +0100 (Fri, 23 Nov 2007) | 2 lines
Changed paths:
   M /trunk/src
   M /trunk/src/test

svn:ignore

------------------------------------------------------------------------
r23247 | damienf | 2007-11-22 23:13:56 +0100 (Thu, 22 Nov 2007) | 2 lines
Changed paths:
   M /trunk/modules/gui/macosx/eyetv.h
   M /trunk/modules/gui/macosx/eyetv.m
   M /trunk/modules/gui/macosx/open.m

eyetv: functional GUI panel, replaced Carbon style AppleScript with NSAppleScript

------------------------------------------------------------------------
r23246 | xtophe | 2007-11-22 22:35:32 +0100 (Thu, 22 Nov 2007) | 3 lines
Changed paths:
   M /trunk/THANKS
   M /trunk/po/ko.po
   M /trunk/po/sl.po

Korean translation from Kang Jeong-Hee and Namhyung Kim.
Slovenian translation updates by Matej Urban?\196?\141i?\196?\141

------------------------------------------------------------------------
r23244 | pdherbemont | 2007-11-22 14:14:54 +0100 (Thu, 22 Nov 2007) | 2 lines
Changed paths:
   M /trunk/modules/demux/playlist/xspf.c

modules/demux/playlist/xspf.c: Uses "vlc:skip" for node item. Fix a wrong over flow checking.

------------------------------------------------------------------------
r23243 | pdherbemont | 2007-11-22 13:26:55 +0100 (Thu, 22 Nov 2007) | 2 lines
Changed paths:
   M /trunk/include/vlc/libvlc.h
   M /trunk/src/control/event.c

control/event.c: Properly implement libvlc_event_type_name, instead of relying on a non-working macro.

------------------------------------------------------------------------
r23242 | pdherbemont | 2007-11-22 13:01:43 +0100 (Thu, 22 Nov 2007) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/Framework/VLC.xcodeproj/project.pbxproj

MacOSX/Framework/VLC.xcodeproj: Make VLCMediaListAspect.h a public header.

------------------------------------------------------------------------
r23239 | funman | 2007-11-22 01:43:14 +0100 (Thu, 22 Nov 2007) | 1 line
Changed paths:
   M /trunk/extras/vlc.vim

vim syntax: fix vlc files detection
------------------------------------------------------------------------
r23236 | xtophe | 2007-11-21 23:39:34 +0100 (Wed, 21 Nov 2007) | 3 lines
Changed paths:
   M /trunk/share/applications/vlc.desktop

Use verb is the comment
Add some mimetype

------------------------------------------------------------------------
r23235 | jpsaman | 2007-11-21 23:30:00 +0100 (Wed, 21 Nov 2007) | 2 lines
Changed paths:
   M /trunk/modules/demux/live555.cpp

Patch by Glen Gray: Enable keepalive for Kasenna servers, they parse the User Agent string and check for _KA appended to the User Agent name.

------------------------------------------------------------------------
r23233 | jpsaman | 2007-11-21 23:28:20 +0100 (Wed, 21 Nov 2007) | 2 lines
Changed paths:
   M /trunk/modules/demux/live555.cpp

Patch by Glen Gray: RTSP keep alive fix. If the server doesn't handle RTCP-RR packets and requires specific GET_PARAMETER commands (such as Kasenna) then the session times out when vlc is paused because the current version only sends the info when Demux() is called. Demux() is only called when data is received. This patch fixes this issue with a boolean that is set during PAUSED state that allows the timer thread to send the GET_PARAMTER messages instead and thus keeping the RTSP session alive.

------------------------------------------------------------------------
r23232 | jpsaman | 2007-11-21 23:26:53 +0100 (Wed, 21 Nov 2007) | 2 lines
Changed paths:
   M /trunk/THANKS

Patch by Glen Gray: RTSP keep alive fix. If the server doesn't handle RTCP-RR packets and requires specific GET_PARAMETER commands (such as Kasenna) then the session times out when vlc is paused because the current version only sends the info when Demux() is called. Demux() is only called when data is received. This patch fixes this issue with a boolean that is set during PAUSED state that allows the timer thread to send the GET_PARAMTER messages instead and thus keeping the RTSP session alive.

------------------------------------------------------------------------
r23231 | xtophe | 2007-11-21 23:19:06 +0100 (Wed, 21 Nov 2007) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile

Also extract the translations of libqt4

------------------------------------------------------------------------
r23227 | massiot | 2007-11-21 20:20:45 +0100 (Wed, 21 Nov 2007) | 3 lines
Changed paths:
   M /trunk/modules/codec/faad.c

 * modules/codec/faad.c: Put sensible defaults in i_*_channels, used for
   transcode.

------------------------------------------------------------------------
r23226 | massiot | 2007-11-21 20:04:49 +0100 (Wed, 21 Nov 2007) | 3 lines
Changed paths:
   M /trunk/modules/audio_filter/channel_mixer/simple.c

 * simple.c: Extended the filter for mono output, and also converted it to the
   audio_filter2 architecture.

------------------------------------------------------------------------
r23225 | massiot | 2007-11-21 19:47:54 +0100 (Wed, 21 Nov 2007) | 2 lines
Changed paths:
   M /trunk/modules/access/fake.c

 * modules/access/fake.c: Fixed an integer overflow.

------------------------------------------------------------------------
r23224 | massiot | 2007-11-21 19:23:18 +0100 (Wed, 21 Nov 2007) | 3 lines
Changed paths:
   M /trunk/src/input/es_out.c

 * sec/input/es_out.c: Add suport for keyword 'any' in lists of languages ;
   also fix a memory leak.

------------------------------------------------------------------------
r23223 | jb | 2007-11-21 19:16:13 +0100 (Wed, 21 Nov 2007) | 3 lines
Changed paths:
   M /trunk/THANKS

Donators section in THANKS file. Needs rewording...


------------------------------------------------------------------------
r23222 | massiot | 2007-11-21 19:02:04 +0100 (Wed, 21 Nov 2007) | 3 lines
Changed paths:
   M /trunk/modules/codec/x264.c

 * modules/codec/x264.c: Fixed DTS when adaptive B frames are used (still
   wrong for bpyramid, though).

------------------------------------------------------------------------
r23221 | pdherbemont | 2007-11-21 18:38:12 +0100 (Wed, 21 Nov 2007) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/Framework/Headers/Internal/VLCLibVLCBridging.h
   M /trunk/extras/MacOSX/Framework/Headers/Public/VLC.h
   M /trunk/extras/MacOSX/Framework/Headers/Public/VLCMediaList.h
   M /trunk/extras/MacOSX/Framework/Sources/VLCMediaList.m
   M /trunk/extras/MacOSX/Framework/Sources/VLCMediaListAspect.m

MacOSX/Framework/VLCMediaListAspect.m: Implement -hierarchicalAspect and -flatAspect. (And add an internal @interface for VLCMediaListAspect (LibVLCBridging)).

------------------------------------------------------------------------
r23220 | pdherbemont | 2007-11-21 18:36:36 +0100 (Wed, 21 Nov 2007) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/Framework/Headers/Public/VLCMediaLibrary.h
   M /trunk/extras/MacOSX/Framework/Sources/VLCMediaLibrary.m

MacOSX/Framework/VLCMediaLibrary.m: Rework -allMedia, and remove -sublists.

------------------------------------------------------------------------
r23219 | pdherbemont | 2007-11-21 17:22:04 +0100 (Wed, 21 Nov 2007) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/Framework/Sources/VLCMedia.m

MacOSX/Framework/VLCMedia.m: Don't forget to remove the user_data from the media_descriptor.

------------------------------------------------------------------------
r23218 | pdherbemont | 2007-11-21 16:30:01 +0100 (Wed, 21 Nov 2007) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/Framework/Sources/VLCMediaListAspect.m

VLCMediaListAspect.m: Handle WillAdd/Added WillDelete/Deleted events.

------------------------------------------------------------------------
r23217 | pdherbemont | 2007-11-21 16:08:22 +0100 (Wed, 21 Nov 2007) | 2 lines
Changed paths:
   M /trunk/include/vlc/libvlc.h
   M /trunk/src/control/media_list_view.c

control/media_list_view.c: Provide media_list_view_event_manager().

------------------------------------------------------------------------
r23216 | pdherbemont | 2007-11-21 15:31:47 +0100 (Wed, 21 Nov 2007) | 2 lines
Changed paths:
   A /trunk/extras/MacOSX/Framework/Headers/Public/VLCMediaListAspect.h (from /trunk/extras/MacOSX/Framework/Headers/Public/VLCMediaList.h:23214)
   A /trunk/extras/MacOSX/Framework/Sources/VLCMediaListAspect.m (from /trunk/extras/MacOSX/Framework/Sources/VLCMediaList.m:23214)
   M /trunk/extras/MacOSX/Framework/VLC.xcodeproj/project.pbxproj

MacOSX/Framework: Implement VLCMediaListAspect.

------------------------------------------------------------------------
r23215 | pdherbemont | 2007-11-21 13:19:08 +0100 (Wed, 21 Nov 2007) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/Framework/Sources/VLCMedia.m

MacOSX/Framework/Sources/VLCMedia.m: Minor cleanup.

------------------------------------------------------------------------
r23214 | jb | 2007-11-21 01:39:36 +0100 (Wed, 21 Nov 2007) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/dialogs/help.cpp
   M /trunk/modules/gui/qt4/dialogs/help.hpp

Add fonctionality to the update dialog - Patches by  R?\195?\169mi Duraffort


------------------------------------------------------------------------
r23213 | jb | 2007-11-21 01:23:15 +0100 (Wed, 21 Nov 2007) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/qt4.hpp

Update qtu, qta macros .

------------------------------------------------------------------------
r23211 | funman | 2007-11-21 00:26:26 +0100 (Wed, 21 Nov 2007) | 3 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile
   A /trunk/extras/contrib/src/Patches/QtCore.pc.in
   A /trunk/extras/contrib/src/Patches/QtGui.pc.in
   A /trunk/extras/contrib/src/Patches/fontconfig-nodocs.patch

contribs: update qt4 TrollTech binaries packaging, note that it won't link correctly when building qt4 interface
explicitely disable building of manuals & documentation of fontconfig

------------------------------------------------------------------------
r23209 | yoann | 2007-11-20 23:35:26 +0100 (Tue, 20 Nov 2007) | 2 lines
Changed paths:
   M /trunk/modules/demux/playlist/Modules.am
   A /trunk/modules/demux/playlist/itml.c
   A /trunk/modules/demux/playlist/itml.h
   M /trunk/modules/demux/playlist/playlist.c
   M /trunk/modules/demux/playlist/playlist.h

* demux/playlist/itml.c: iTunes Media Library importer (not tested yet)

------------------------------------------------------------------------
r23208 | pdherbemont | 2007-11-20 23:25:37 +0100 (Tue, 20 Nov 2007) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/dialogs/interaction.cpp

modules/gui/qt4/dialogs/interaction.cpp: In InteractionDialog::update() use a msg_Dbg instead of a wrong msg_Err.

------------------------------------------------------------------------
r23207 | funman | 2007-11-20 23:24:15 +0100 (Tue, 20 Nov 2007) | 1 line
Changed paths:
   M /trunk/extras/contrib/Makefile

Make sure we're not using a shell version of echo without -e switch
------------------------------------------------------------------------
r23206 | xtophe | 2007-11-20 22:04:46 +0100 (Tue, 20 Nov 2007) | 2 lines
Changed paths:
   M /trunk/configure.ac

No longer use ffmpeg-config which is a Debian invention. But now even etch has the .pc

------------------------------------------------------------------------
r23205 | pdherbemont | 2007-11-20 22:03:43 +0100 (Tue, 20 Nov 2007) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/util/input_slider.cpp
   M /trunk/modules/gui/qt4/util/input_slider.hpp

modules/gui/qt4: Display time in seek bar when mouse-over. (Patch by Antoine Lejeune. Reviewed by jb.)

------------------------------------------------------------------------
r23204 | jb | 2007-11-20 21:14:42 +0100 (Tue, 20 Nov 2007) | 3 lines
Changed paths:
   M /trunk/modules/codec/ffmpeg/chroma.c

Ffmpeg swscaler, ifdef correction.


------------------------------------------------------------------------
r23203 | courmisch | 2007-11-20 20:55:37 +0100 (Tue, 20 Nov 2007) | 2 lines
Changed paths:
   M /trunk/src/misc/update.c

Very partial cleanup

------------------------------------------------------------------------
r23200 | courmisch | 2007-11-20 20:32:43 +0100 (Tue, 20 Nov 2007) | 2 lines
Changed paths:
   M /trunk/m4/Makefile.am

Probably fix make dist

------------------------------------------------------------------------
r23199 | courmisch | 2007-11-20 20:32:10 +0100 (Tue, 20 Nov 2007) | 2 lines
Changed paths:
   D /trunk/m4/inttypes.m4
   D /trunk/m4/isc-posix.m4

Remove some cruft from older gettext

------------------------------------------------------------------------
r23197 | courmisch | 2007-11-20 19:54:04 +0100 (Tue, 20 Nov 2007) | 3 lines
Changed paths:
   M /trunk/modules/demux/playlist/m3u.c

Remove VLCOPT support from M3U parser.
This was blatantly insecure.

------------------------------------------------------------------------
r23196 | pdherbemont | 2007-11-20 19:26:57 +0100 (Tue, 20 Nov 2007) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/dialogs/help.cpp
   M /trunk/modules/gui/qt4/dialogs/help.hpp
   M /trunk/modules/gui/qt4/dialogs_provider.cpp
   M /trunk/modules/gui/qt4/dialogs_provider.hpp
   M /trunk/modules/gui/qt4/menus.cpp

modules/gui/qt4: add an update dialog box to the help menu. (Patch by Remi Duraffort. Reviewed by jb).

------------------------------------------------------------------------
r23195 | courmisch | 2007-11-20 18:03:44 +0100 (Tue, 20 Nov 2007) | 2 lines
Changed paths:
   M /trunk/src/text/wincp.c

Use cached ACP

------------------------------------------------------------------------
r23194 | pdherbemont | 2007-11-20 17:30:36 +0100 (Tue, 20 Nov 2007) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/Framework/Headers/Public/VLCMediaList.h
   M /trunk/extras/MacOSX/Framework/Sources/VLCMediaList.m

MacOSX/Framework/VLCMediaList.m: Remove dead code.

------------------------------------------------------------------------
r23193 | pdherbemont | 2007-11-20 17:28:54 +0100 (Tue, 20 Nov 2007) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/Framework/Sources/VLCMediaList.m

MacOSX/Framework/VLCMediaList.m: Don't forget to listen to WillAdd/WillDelete media list event.

------------------------------------------------------------------------
r23192 | pdherbemont | 2007-11-20 17:26:48 +0100 (Tue, 20 Nov 2007) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/Framework/Sources/VLCMediaList.m

MacOSX/Framework/VLCMediaList.m: Be KVC compliant.

------------------------------------------------------------------------
r23191 | pdherbemont | 2007-11-20 16:32:27 +0100 (Tue, 20 Nov 2007) | 2 lines
Changed paths:
   M /trunk/src/control/hierarchical_media_list_view.c

control/hierarchical_media_list_view.c: Send WillAdd/Added and WillDelete/Deleted events.

------------------------------------------------------------------------
r23190 | pdherbemont | 2007-11-20 16:31:51 +0100 (Tue, 20 Nov 2007) | 2 lines
Changed paths:
   M /trunk/src/control/flat_media_list_view.c

control/flat_media_list_view.c: Send WillAdd/Added WillDelete/Deleted events.

------------------------------------------------------------------------
r23189 | pdherbemont | 2007-11-20 16:31:08 +0100 (Tue, 20 Nov 2007) | 2 lines
Changed paths:
   M /trunk/include/vlc/libvlc_structures.h
   M /trunk/src/control/libvlc_internal.h
   M /trunk/src/control/media_list_view.c

src/control/media_list_view.c: Facilities to send WillAdd/Added WillDelete/Deleted events.

------------------------------------------------------------------------
r23188 | pdherbemont | 2007-11-20 15:57:06 +0100 (Tue, 20 Nov 2007) | 2 lines
Changed paths:
   M /trunk/include/vlc/libvlc_structures.h
   M /trunk/src/control/media_list.c

control/media_list.c: Send WillAddItem and WillDeleteItem events.

------------------------------------------------------------------------
r23187 | pdherbemont | 2007-11-20 15:18:16 +0100 (Tue, 20 Nov 2007) | 2 lines
Changed paths:
   M /trunk/src/control/hierarchical_media_list_view.c

svn propset svn:keywords "Id" hierarchical_media_list_view.c

------------------------------------------------------------------------
r23186 | pdherbemont | 2007-11-20 15:12:57 +0100 (Tue, 20 Nov 2007) | 2 lines
Changed paths:
   M /trunk/include/vlc/libvlc.h
   M /trunk/src/Makefile.am
   A /trunk/src/control/hierarchical_media_list_view.c (from /trunk/src/control/flat_media_list_view.c:23168)
   M /trunk/src/control/libvlc_internal.h

src/control: Implement hierarchical_media_list_view.

------------------------------------------------------------------------
r23185 | pdherbemont | 2007-11-20 13:07:38 +0100 (Tue, 20 Nov 2007) | 2 lines
Changed paths:
   M /trunk/src/control/media_descriptor.c

control/media_descriptor.c: Don't forget to release the event manager. (Reported by polo78 on the forum and funman).

------------------------------------------------------------------------
r23184 | jpsaman | 2007-11-20 12:57:00 +0100 (Tue, 20 Nov 2007) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile

Fix cleanup of libamrwb package in contrib.

------------------------------------------------------------------------
r23183 | jpsaman | 2007-11-20 10:08:21 +0100 (Tue, 20 Nov 2007) | 2 lines
Changed paths:
   M /trunk/modules/demux/live555.cpp

Fix return value after the interaction dialog has been used.

------------------------------------------------------------------------
r23182 | jpsaman | 2007-11-20 10:08:19 +0100 (Tue, 20 Nov 2007) | 2 lines
Changed paths:
   M /trunk/modules/demux/live555.cpp

Fix double free in live555.

------------------------------------------------------------------------
r23181 | jpsaman | 2007-11-20 09:30:30 +0100 (Tue, 20 Nov 2007) | 1 line
Changed paths:
   M /trunk/modules/access/v4l2.c

Patch by Richard Hosking: Allow users specified width and height of v4l2 source.
------------------------------------------------------------------------
r23179 | funman | 2007-11-20 00:34:15 +0100 (Tue, 20 Nov 2007) | 1 line
Changed paths:
   M /trunk/modules/misc/freetype.c

freetype: use [.\/_] to break lines when ' ' only failed
------------------------------------------------------------------------
r23178 | funman | 2007-11-19 23:11:51 +0100 (Mon, 19 Nov 2007) | 1 line
Changed paths:
   M /trunk/modules/demux/subtitle.c

add an unspported demux query to remove a useless error. Show the query number when it's unknown (for the future)
------------------------------------------------------------------------
r23177 | courmisch | 2007-11-19 22:32:46 +0100 (Mon, 19 Nov 2007) | 2 lines
Changed paths:
   M /trunk/src/text/wincp.c

Force ISO-8859-8 for Hebrew users

------------------------------------------------------------------------
r23176 | courmisch | 2007-11-19 22:26:10 +0100 (Mon, 19 Nov 2007) | 2 lines
Changed paths:
   M /trunk/modules/codec/subtitles/subsdec.c

Simplify

------------------------------------------------------------------------
r23175 | courmisch | 2007-11-19 22:21:23 +0100 (Mon, 19 Nov 2007) | 2 lines
Changed paths:
   M /trunk/modules/codec/subtitles/subsdec.c

Comments

------------------------------------------------------------------------
r23174 | damienf | 2007-11-19 20:42:19 +0100 (Mon, 19 Nov 2007) | 2 lines
Changed paths:
   M /trunk/activex/Makefile.am

activex: fixed registration problems as reported in forums (i.e DllRegisterServer@0 postfix is removed). damn libtool !

------------------------------------------------------------------------
r23173 | funman | 2007-11-19 19:33:09 +0100 (Mon, 19 Nov 2007) | 1 line
Changed paths:
   M /trunk/modules/demux/mkv.cpp

matroska demuxer: supports Real Video
------------------------------------------------------------------------
r23172 | courmisch | 2007-11-19 19:28:24 +0100 (Mon, 19 Nov 2007) | 2 lines
Changed paths:
   M /trunk/src/network/io.c

Comment on the EOF case - this does not change the semantic at all.

------------------------------------------------------------------------
r23171 | funman | 2007-11-19 18:50:30 +0100 (Mon, 19 Nov 2007) | 1 line
Changed paths:
   M /trunk/modules/demux/mkv.cpp

typo
------------------------------------------------------------------------
r23170 | jpsaman | 2007-11-19 16:36:33 +0100 (Mon, 19 Nov 2007) | 2 lines
Changed paths:
   M /trunk/modules/demux/live555.cpp

Trigger intf_UserLoginPassword() when authorization of rtsp link failed while using --rtsp-http.

------------------------------------------------------------------------
r23169 | damienf | 2007-11-19 16:10:40 +0100 (Mon, 19 Nov 2007) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile

contribs: fribidi, tar.bz2 -> tar.gz

------------------------------------------------------------------------
r23168 | pdherbemont | 2007-11-19 15:06:52 +0100 (Mon, 19 Nov 2007) | 2 lines
Changed paths:
   M /trunk/src/control/flat_media_list_view.c
   M /trunk/src/control/libvlc_internal.h
   M /trunk/src/control/media_list_view.c

src/control: Implement flat_media_list_view construction.

------------------------------------------------------------------------
r23167 | jpsaman | 2007-11-19 14:59:57 +0100 (Mon, 19 Nov 2007) | 2 lines
Changed paths:
   M /trunk/modules/demux/live555.cpp

Enable RTSP rtpInfo track synchronization in live555 demuxer.

------------------------------------------------------------------------
r23166 | jpsaman | 2007-11-19 14:59:56 +0100 (Mon, 19 Nov 2007) | 2 lines
Changed paths:
   M /trunk/modules/demux/live555.cpp

live555 improvements: Make rtsp://user:pwd@server/path work and fix --rtsp-http option.

------------------------------------------------------------------------
r23165 | pdherbemont | 2007-11-19 14:58:52 +0100 (Mon, 19 Nov 2007) | 2 lines
Changed paths:
   M /trunk/include/vlc_arrays.h

vlc_arrays.h: Implement vlc_array_index_of_item.

------------------------------------------------------------------------
r23164 | pdherbemont | 2007-11-19 14:48:23 +0100 (Mon, 19 Nov 2007) | 2 lines
Changed paths:
   M /trunk/include/vlc/libvlc.h
   M /trunk/src/control/flat_media_list_view.c
   M /trunk/src/control/libvlc_internal.h
   M /trunk/src/control/media_list_view.c

src/control: Implement libvlc_media_list_view_children_at_index.

------------------------------------------------------------------------
r23163 | funman | 2007-11-19 13:58:21 +0100 (Mon, 19 Nov 2007) | 1 line
Changed paths:
   M /trunk/modules/gui/ncurses.c

ncurses: display the input's title if it's present instead of the name. Use asprintf()
------------------------------------------------------------------------
r23162 | funman | 2007-11-19 13:41:28 +0100 (Mon, 19 Nov 2007) | 1 line
Changed paths:
   M /trunk/modules/gui/ncurses.c

ncurses: yield() the playlist only once
------------------------------------------------------------------------
r23161 | funman | 2007-11-19 13:35:45 +0100 (Mon, 19 Nov 2007) | 3 lines
Changed paths:
   M /trunk/modules/gui/ncurses.c

ncurses: store the current playlist node in p_sys
Don't store the playlist_t pointer in p_sys since it is always present in any_vlc_object_t->p_libvlc->p_playlist

------------------------------------------------------------------------
r23160 | pdherbemont | 2007-11-19 10:55:34 +0100 (Mon, 19 Nov 2007) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/Framework/Headers/Public/VLCMediaList.h
   M /trunk/extras/MacOSX/Framework/Sources/VLCMediaList.m

MacOSX/Framework/VLCMediaList.m: Fix a few warnings and use a Dictionary instead of an array for -mediaListItemAdded: argument.

------------------------------------------------------------------------
r23159 | pdherbemont | 2007-11-19 10:34:47 +0100 (Mon, 19 Nov 2007) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/Framework/Sources/VLCMedia.m

MacOSX/Framework/VLCMedia.m: Remove the directory filter when opening a media. A directory can be seen as a VLCMedia, as it is a playlist, and playlists are media.

------------------------------------------------------------------------
r23158 | pdherbemont | 2007-11-19 10:23:33 +0100 (Mon, 19 Nov 2007) | 2 lines
Changed paths:
   D /trunk/extras/MacOSX/VLC_app/VLCCategoryCell.h
   D /trunk/extras/MacOSX/VLC_app/VLCCategoryCell.m
   D /trunk/extras/MacOSX/VLC_app/VLCCategoryListDataSource.h
   D /trunk/extras/MacOSX/VLC_app/VLCCategoryListDataSource.m
   D /trunk/extras/MacOSX/VLC_app/VLCCategoryOutlineView.h
   D /trunk/extras/MacOSX/VLC_app/VLCCategoryOutlineView.m

MacOSX/VLC_app: Remove unused files.

------------------------------------------------------------------------
r23157 | pdherbemont | 2007-11-19 10:22:13 +0100 (Mon, 19 Nov 2007) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/VLC_app/English.lproj/MainMenu.nib/classes.nib
   M /trunk/extras/MacOSX/VLC_app/English.lproj/MainMenu.nib/info.nib
   M /trunk/extras/MacOSX/VLC_app/English.lproj/MainMenu.nib/keyedobjects.nib
   M /trunk/extras/MacOSX/VLC_app/VLC.xcodeproj/project.pbxproj
   M /trunk/extras/MacOSX/VLC_app/VLCController.m

MacOSX/VLC_app: Update and simplify to match current Framework state.

------------------------------------------------------------------------
r23156 | funman | 2007-11-19 08:16:53 +0100 (Mon, 19 Nov 2007) | 1 line
Changed paths:
   M /trunk/mozilla/vlcplugin.cpp

mozilla: remove harmful excessive debug, thanks to Martin V?\195?\161vra.
------------------------------------------------------------------------
r23155 | jb | 2007-11-19 02:43:37 +0100 (Mon, 19 Nov 2007) | 3 lines
Changed paths:
   M /trunk/include/vlc_es.h
   M /trunk/modules/codec/realaudio.c
   M /trunk/modules/demux/real.c

Real/Sipr, try to use a correct flavor detection, without using the MPlayer hacks...


------------------------------------------------------------------------
r23154 | funman | 2007-11-19 01:22:42 +0100 (Mon, 19 Nov 2007) | 1 line
Changed paths:
   M /trunk/mozilla/vlcplugin.cpp

mozilla: remove potentially harmful debug on win32
------------------------------------------------------------------------
r23153 | fkuehne | 2007-11-19 01:17:33 +0100 (Mon, 19 Nov 2007) | 1 line
Changed paths:
   M /trunk/modules/gui/macosx/about.m

* forward-port [23152]
------------------------------------------------------------------------
r23145 | jb | 2007-11-18 23:31:43 +0100 (Sun, 18 Nov 2007) | 3 lines
Changed paths:
   M /trunk/modules/demux/real.c

Real demuxer: Comments about support/non-support


------------------------------------------------------------------------
r23144 | funman | 2007-11-18 23:28:18 +0100 (Sun, 18 Nov 2007) | 2 lines
Changed paths:
   M /trunk/modules/gui/ncurses.c

ncurses: add a 'g' shortcut to go to the current playing item

------------------------------------------------------------------------
r23142 | fkuehne | 2007-11-18 22:37:45 +0100 (Sun, 18 Nov 2007) | 1 line
Changed paths:
   M /trunk/extras/contrib/src/packages.mak

* retrieve fribidi from SourceForge instead of their project server/our own server
------------------------------------------------------------------------
r23141 | jpsaman | 2007-11-18 22:35:16 +0100 (Sun, 18 Nov 2007) | 2 lines
Changed paths:
   M /trunk/modules/codec/ffmpeg/scale.c

Disable MMXEXT (MMX2) mode for swScaler since it crashes.

------------------------------------------------------------------------
r23140 | jpsaman | 2007-11-18 22:35:14 +0100 (Sun, 18 Nov 2007) | 2 lines
Changed paths:
   M /trunk/modules/codec/ffmpeg/chroma.c

Chroma conversion using swscaler module.

------------------------------------------------------------------------
r23139 | xtophe | 2007-11-18 22:23:12 +0100 (Sun, 18 Nov 2007) | 2 lines
Changed paths:
   M /trunk/src/input/input.c

Oops remove debug

------------------------------------------------------------------------
r23138 | xtophe | 2007-11-18 22:18:48 +0100 (Sun, 18 Nov 2007) | 2 lines
Changed paths:
   M /trunk/src/input/input.c

Don't leak memory

------------------------------------------------------------------------
r23137 | funman | 2007-11-18 21:56:44 +0100 (Sun, 18 Nov 2007) | 1 line
Changed paths:
   M /trunk/modules/misc/playlist/xspf.c

xspf muxer: determinates correctly if we're handling a file:// uri, and so produce valid XSPF
------------------------------------------------------------------------
r23136 | funman | 2007-11-18 21:47:58 +0100 (Sun, 18 Nov 2007) | 15 lines
Changed paths:
   M /trunk/modules/gui/ncurses.c

ncurses: various bugfixes

 * Workaround KEY_END not working with $TERM=xterm on FreeBSD
 * Don't abort when printing strings with unprintable characters ( for example when the user presses ctrl+something in FIND or OPEN boxes )
 * Show a '*' in front of the current node
 * Add files in the correct node

This is how nodes do work in ncurses: When you select an item with 'Enter',

 * if it's a leaf, then start playing it, and set the current node to the toplevel parent of that leaf (example: local playlist, or media library)
 * if it's an empty node, then stop the playlist, and set the current node to be that one, so you can add items to it
 * if it's a node with children, set the current node to that one, and start playing the next children of that one

The "current node" means that the playlist will never reach items which aren't direct or indirect children of that node, and so it will stop after the last one has been reached

------------------------------------------------------------------------
r23135 | jpsaman | 2007-11-18 20:28:06 +0100 (Sun, 18 Nov 2007) | 2 lines
Changed paths:
   M /trunk/modules/codec/ffmpeg/scale.c

Indentation.

------------------------------------------------------------------------
r23134 | jpsaman | 2007-11-18 20:28:01 +0100 (Sun, 18 Nov 2007) | 2 lines
Changed paths:
   M /trunk/modules/codec/ffmpeg/ffmpeg.c

Test for PIX_FMT_RGBA iso swscale.

------------------------------------------------------------------------
r23133 | jpsaman | 2007-11-18 20:27:59 +0100 (Sun, 18 Nov 2007) | 2 lines
Changed paths:
   M /trunk/modules/access/v4l2.c

Patch by Richard Hosking: Honor user specified chroma if the device supports it.

------------------------------------------------------------------------
r23132 | jb | 2007-11-18 20:06:37 +0100 (Sun, 18 Nov 2007) | 2 lines
Changed paths:
   M /trunk/modules/demux/real.c

Oops.

------------------------------------------------------------------------
r23131 | jpsaman | 2007-11-18 20:03:25 +0100 (Sun, 18 Nov 2007) | 2 lines
Changed paths:
   M /trunk/modules/codec/ffmpeg/chroma.c
   M /trunk/modules/codec/ffmpeg/ffmpeg.c

Attempt to implement chroma conversion using swscale. This currently crashes on calling of pf_convert().

------------------------------------------------------------------------
r23130 | funman | 2007-11-18 19:19:30 +0100 (Sun, 18 Nov 2007) | 2 lines
Changed paths:
   M /trunk/modules/demux/playlist/xspf.c
   M /trunk/modules/misc/playlist/xspf.c

xspf: don't use %encoding for node title, but only convert XML special characters

------------------------------------------------------------------------
r23129 | jb | 2007-11-18 19:15:56 +0100 (Sun, 18 Nov 2007) | 2 lines
Changed paths:
   M /trunk/modules/codec/ffmpeg/ffmpeg.c
   M /trunk/modules/demux/real.c

Realv3: support for broken streams that speciy a wrong FourCC

------------------------------------------------------------------------
r23128 | funman | 2007-11-18 19:06:05 +0100 (Sun, 18 Nov 2007) | 6 lines
Changed paths:
   M /trunk/modules/gui/ncurses.c

ncurses: various bugfixes & new box
 * Metadata box ( 'm' key)
 * Rebuild the playlist immediately after a deletion, avoiding crashes
 * Center the title
 * Correctly ellipsize wide strings

------------------------------------------------------------------------
r23127 | funman | 2007-11-18 19:03:25 +0100 (Sun, 18 Nov 2007) | 1 line
Changed paths:
   M /trunk/modules/misc/playlist/xspf.c

xspf muxer: %encode '+' since decode_URI() will decode it as a space
------------------------------------------------------------------------
r23126 | funman | 2007-11-18 18:59:23 +0100 (Sun, 18 Nov 2007) | 1 line
Changed paths:
   M /trunk/include/vlc_meta.h

vlc_meta.h: we don't need VLC_META_CODEC_* but we need the description of the track id
------------------------------------------------------------------------
r23125 | funman | 2007-11-18 18:58:36 +0100 (Sun, 18 Nov 2007) | 1 line
Changed paths:
   M /trunk/extras/mpris.py

mpris controler: doesn't depend on python being in /usr/bin
------------------------------------------------------------------------
r23124 | funman | 2007-11-18 18:57:52 +0100 (Sun, 18 Nov 2007) | 1 line
Changed paths:
   M /trunk/modules/control/dbus.c

dbus: super annoying typo
------------------------------------------------------------------------
r23122 | fkuehne | 2007-11-18 16:20:10 +0100 (Sun, 18 Nov 2007) | 1 line
Changed paths:
   M /trunk/po/POTFILES.in
   M /trunk/po/af.po
   M /trunk/po/ar.po
   M /trunk/po/bn.po
   M /trunk/po/ca.po
   M /trunk/po/co.po
   M /trunk/po/cs.po
   M /trunk/po/da.po
   M /trunk/po/de.po
   M /trunk/po/el.po
   M /trunk/po/en_GB.po
   M /trunk/po/es.po
   M /trunk/po/eu.po
   M /trunk/po/fa.po
   M /trunk/po/fi.po
   M /trunk/po/fr.po
   M /trunk/po/fur.po
   M /trunk/po/gl.po
   M /trunk/po/he.po
   M /trunk/po/hi.po
   M /trunk/po/hu.po
   M /trunk/po/it.po
   M /trunk/po/ja.po
   M /trunk/po/ka.po
   M /trunk/po/ko.po
   M /trunk/po/lt.po
   M /trunk/po/lv.po
   M /trunk/po/ms.po
   M /trunk/po/my.po
   M /trunk/po/ne.po
   M /trunk/po/nl.po
   M /trunk/po/no.po
   M /trunk/po/oc.po
   M /trunk/po/pa.po
   M /trunk/po/pl.po
   M /trunk/po/ps.po
   M /trunk/po/pt_BR.po
   M /trunk/po/pt_PT.po
   M /trunk/po/ro.po
   M /trunk/po/ru.po
   M /trunk/po/sk.po
   M /trunk/po/sl.po
   M /trunk/po/sq.po
   M /trunk/po/sv.po
   M /trunk/po/tet.po
   M /trunk/po/th.po
   M /trunk/po/tl.po
   M /trunk/po/tr.po
   M /trunk/po/vlc.pot
   M /trunk/po/zh_CN.po
   M /trunk/po/zh_TW.po

* updated the po-files once again
------------------------------------------------------------------------
r23118 | titer | 2007-11-18 15:12:31 +0100 (Sun, 18 Nov 2007) | 2 lines
Changed paths:
   M /trunk/configure.ac

typo

------------------------------------------------------------------------
r23117 | Trax | 2007-11-18 14:36:58 +0100 (Sun, 18 Nov 2007) | 1 line
Changed paths:
   M /trunk/src/input/clock.c

* src/input/clock.c: Feed synchro with new ref. point after unexpected discontinuity. Needs testing, should fix ticket #691 no audio/video in transcode after clock gap in input
------------------------------------------------------------------------
r23114 | damienf | 2007-11-18 00:32:42 +0100 (Sun, 18 Nov 2007) | 2 lines
Changed paths:
   M /trunk/activex/plugin.cpp

activex: forwardport [23112]

------------------------------------------------------------------------
r23111 | jb | 2007-11-17 21:03:29 +0100 (Sat, 17 Nov 2007) | 3 lines
Changed paths:
   A /trunk/doc/ChangeLog-2006

Add the Changelog-2006. It shouldn't be updated now... :)


------------------------------------------------------------------------
r23110 | xtophe | 2007-11-17 20:35:43 +0100 (Sat, 17 Nov 2007) | 2 lines
Changed paths:
   M /trunk/src/input/input.c

when retrying set the demux to "" for real. refs #1228

------------------------------------------------------------------------
r23107 | pdherbemont | 2007-11-17 16:14:59 +0100 (Sat, 17 Nov 2007) | 2 lines
Changed paths:
   M /trunk/modules/codec/ffmpeg/video.c

modules/codec/ffmpeg/video.c: Fix Remi Duraffort's PIX_FMT_RGBA issue by testing directly for PIX_FMT_RGBA definition, instead of testing if swscale is present.

------------------------------------------------------------------------
r23106 | pdherbemont | 2007-11-17 15:42:14 +0100 (Sat, 17 Nov 2007) | 2 lines
Changed paths:
   M /trunk/src/control/testapi.c

testapi.c: Superficial media list tests. For some reason `make check` doesn't work on here (Mac OS X) due to some libtool issues, so it wasn't tested for real.

------------------------------------------------------------------------
r23105 | pdherbemont | 2007-11-17 15:31:18 +0100 (Sat, 17 Nov 2007) | 2 lines
Changed paths:
   M /trunk/src/control/libvlc_internal.h

control/libvlc_internal.h: Remove definition duplication.

------------------------------------------------------------------------
r23104 | pdherbemont | 2007-11-17 15:29:13 +0100 (Sat, 17 Nov 2007) | 2 lines
Changed paths:
   M /trunk/src/control/core.c
   M /trunk/src/control/event.c
   M /trunk/src/control/libvlc_internal.h

control: Remove libvlc_event_fini exception handling, as we don't need it.

------------------------------------------------------------------------
r23103 | jpsaman | 2007-11-17 14:34:43 +0100 (Sat, 17 Nov 2007) | 2 lines
Changed paths:
   M /trunk/modules/access/v4l2.c

Patch by Richard Hosking: v4l2 minor patch to fix silly bug in handling of user specified caching value.

------------------------------------------------------------------------
r23102 | jb | 2007-11-17 10:04:46 +0100 (Sat, 17 Nov 2007) | 3 lines
Changed paths:
   M /trunk/modules/demux/real.c

Add a forgotten break; in a case.
So far, it should work for most of the streams, except MP3 in rm (silly guys...), ralf, because it is still unsupported, and Sipr because of the flavour detection.

------------------------------------------------------------------------
r23101 | jb | 2007-11-17 09:47:24 +0100 (Sat, 17 Nov 2007) | 3 lines
Changed paths:
   M /trunk/modules/demux/real.c

Extra Data code factorisation: This shouldn't destroy old support, but please repport any broken stream.


------------------------------------------------------------------------
r23100 | jb | 2007-11-17 09:24:56 +0100 (Sat, 17 Nov 2007) | 2 lines
Changed paths:
   M /trunk/modules/demux/real.c

Cosmetic and mention about unsupported ralf codec.

------------------------------------------------------------------------
r23099 | jb | 2007-11-17 09:16:17 +0100 (Sat, 17 Nov 2007) | 3 lines
Changed paths:
   M /trunk/modules/demux/real.c

Reindent after previous commit.


------------------------------------------------------------------------
r23098 | jb | 2007-11-17 09:13:58 +0100 (Sat, 17 Nov 2007) | 3 lines
Changed paths:
   M /trunk/modules/demux/real.c

Real Demuxer: Support for RM version 3. Tested and works \o/


------------------------------------------------------------------------
r23097 | jb | 2007-11-17 02:40:34 +0100 (Sat, 17 Nov 2007) | 3 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile

Contribs: same insane test for Qt4 libraries... If you want to go on...


------------------------------------------------------------------------
r23096 | jb | 2007-11-17 00:30:27 +0100 (Sat, 17 Nov 2007) | 3 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile
   M /trunk/extras/contrib/src/packages.mak

Contribs: Try to use already compiled binaries made by Trolltech instead of the one I have to make on Windows. Use Wine... Close your eyes, it can burn...


------------------------------------------------------------------------
r23095 | xtophe | 2007-11-16 23:33:20 +0100 (Fri, 16 Nov 2007) | 2 lines
Changed paths:
   M /trunk/modules/misc/osd/Modules.am
   M /trunk/modules/misc/osd/osd_menu.c
   M /trunk/modules/misc/osd/osd_menu.h
   M /trunk/modules/misc/osd/parser.c
   M /trunk/modules/misc/osd/simple.c
   M /trunk/modules/misc/osd/xml.c

svn:keywords

------------------------------------------------------------------------
r23094 | oaubert | 2007-11-16 20:04:37 +0100 (Fri, 16 Nov 2007) | 3 lines
Changed paths:
   M /trunk/src/control/mediacontrol_core.c

core/mediacontrol_core.c: code playlist_get_list using
playlist_nodeDump as reference.

------------------------------------------------------------------------
r23093 | oaubert | 2007-11-16 19:59:19 +0100 (Fri, 16 Nov 2007) | 3 lines
Changed paths:
   M /trunk/src/control/mediacontrol_core.c

core/mediacontrol_core.c: do not prepend the dummy argv[0] since it is
 done in libvlc_new now (since r22749)

------------------------------------------------------------------------
r23092 | courmisch | 2007-11-15 19:09:24 +0100 (Thu, 15 Nov 2007) | 2 lines
Changed paths:
   M /trunk/modules/misc/screensaver.c

Typo

------------------------------------------------------------------------
r23091 | courmisch | 2007-11-15 18:58:53 +0100 (Thu, 15 Nov 2007) | 2 lines
Changed paths:
   M /trunk/src/misc/objects.c

Revert [23063]

------------------------------------------------------------------------
r23090 | courmisch | 2007-11-15 18:58:46 +0100 (Thu, 15 Nov 2007) | 2 lines
Changed paths:
   M /trunk/modules/misc/osd

svn:ignore

------------------------------------------------------------------------
r23089 | courmisch | 2007-11-15 18:55:02 +0100 (Thu, 15 Nov 2007) | 3 lines
Changed paths:
   M /trunk/modules/misc/screensaver.c

- exit() cannot return negative (or large) values
- waitpid() can fail

------------------------------------------------------------------------
r23088 | jpsaman | 2007-11-15 17:29:32 +0100 (Thu, 15 Nov 2007) | 2 lines
Changed paths:
   M /trunk/modules/video_filter/rss.c

Fix various memleaks in error paths.

------------------------------------------------------------------------
r23087 | jpsaman | 2007-11-15 14:38:33 +0100 (Thu, 15 Nov 2007) | 2 lines
Changed paths:
   M /trunk/src/video_output/vout_subpictures.c

Remove excess whitespace.

------------------------------------------------------------------------
r23086 | jpsaman | 2007-11-15 14:38:32 +0100 (Thu, 15 Nov 2007) | 2 lines
Changed paths:
   M /trunk/include/vlc_osd.h
   M /trunk/modules/misc/osd/osd_menu.c
   M /trunk/modules/misc/osd/osd_menu.h
   M /trunk/modules/misc/osd/simple.c
   M /trunk/modules/video_filter/osdmenu.c
   M /trunk/src/osd/osd.c

Implement clickable osdmenu. The clickable positioning and scaling guessing is not complete (the whole spu region is now clickable with current configurations).

------------------------------------------------------------------------
r23085 | jpsaman | 2007-11-15 14:38:29 +0100 (Thu, 15 Nov 2007) | 2 lines
Changed paths:
   M /trunk/include/vlc_arrays.h

Add macro for determining array size.

------------------------------------------------------------------------
r23084 | jb | 2007-11-15 07:04:02 +0100 (Thu, 15 Nov 2007) | 4 lines
Changed paths:
   M /trunk/THANKS

Thanks to more other projects. I, of course, forget most, but step-by-step...
It might not be all correct, so...
Btw, at the top or at the bottom ? x264 ?

------------------------------------------------------------------------
r23083 | xtophe | 2007-11-14 23:02:01 +0100 (Wed, 14 Nov 2007) | 3 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/po/POTFILES.in
   M /trunk/po/vlc.pot

Don't use modules/gui/opie in gettext as we don't distribute it.
Upgrade POTFILE.in and vlc.pot 

------------------------------------------------------------------------
r23082 | xtophe | 2007-11-14 22:53:40 +0100 (Wed, 14 Nov 2007) | 2 lines
Changed paths:
   M /trunk/po/ro.po

Romanian translation update by Cristian Secar?\196?\131

------------------------------------------------------------------------
r23081 | dionoea | 2007-11-14 22:51:34 +0100 (Wed, 14 Nov 2007) | 2 lines
Changed paths:
   M /trunk/include

svn:ignore include/vlc_about.h

------------------------------------------------------------------------
r23080 | dionoea | 2007-11-14 22:50:17 +0100 (Wed, 14 Nov 2007) | 2 lines
Changed paths:
   M /trunk/COPYING
   M /trunk/modules/gui/qt4/dialogs/help.cpp

Layout fixes in COPYING (and use spaces instead of tabs). Use a fixed width font in when displaying the license in the qt4 help window (since that's how it's meant to be displayed).

------------------------------------------------------------------------
r23079 | jb | 2007-11-14 19:11:59 +0100 (Wed, 14 Nov 2007) | 3 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile
   D /trunk/extras/contrib/src/Patches/libgpg-error-win32.patch
   M /trunk/extras/contrib/src/packages.mak

Contribs: libgpg-error version bump.


------------------------------------------------------------------------
r23078 | jpsaman | 2007-11-14 16:18:23 +0100 (Wed, 14 Nov 2007) | 2 lines
Changed paths:
   M /trunk/src/osd/osd.c

Fix double vlc_object_attach().

------------------------------------------------------------------------
r23077 | jpsaman | 2007-11-14 16:18:21 +0100 (Wed, 14 Nov 2007) | 2 lines
Changed paths:
   M /trunk/modules/video_filter/osdmenu.c

Cleanup on osdmenu video filter.

------------------------------------------------------------------------
r23076 | jpsaman | 2007-11-14 16:18:19 +0100 (Wed, 14 Nov 2007) | 2 lines
Changed paths:
   M /trunk/src/osd/osd.c

Detach osdmenu object before destroying.

------------------------------------------------------------------------
r23075 | jpsaman | 2007-11-14 16:18:18 +0100 (Wed, 14 Nov 2007) | 2 lines
Changed paths:
   M /trunk/modules/video_filter/osdmenu.c

Indentation

------------------------------------------------------------------------
r23074 | jpsaman | 2007-11-14 16:18:16 +0100 (Wed, 14 Nov 2007) | 2 lines
Changed paths:
   M /trunk/src/osd/osd.c

Cleanup osd_ParserLoad()/osdParserUnload().

------------------------------------------------------------------------
r23073 | jpsaman | 2007-11-14 16:18:15 +0100 (Wed, 14 Nov 2007) | 2 lines
Changed paths:
   M /trunk/src/osd/osd.c

Return pointer to osdmenu object and use that iso NULL pointer.

------------------------------------------------------------------------
r23072 | jpsaman | 2007-11-14 16:18:12 +0100 (Wed, 14 Nov 2007) | 2 lines
Changed paths:
   M /trunk/modules/misc/osd/osd_menu.c
   M /trunk/modules/misc/osd/osd_menu.h

Use the filename passed and not the configuration file.

------------------------------------------------------------------------
r23071 | jpsaman | 2007-11-14 16:18:10 +0100 (Wed, 14 Nov 2007) | 2 lines
Changed paths:
   M /trunk/modules/misc/osd/parser.c
   M /trunk/src/osd/osd.c

Cleanup indentation.

------------------------------------------------------------------------
r23070 | jpsaman | 2007-11-14 16:18:09 +0100 (Wed, 14 Nov 2007) | 2 lines
Changed paths:
   M /trunk/include/vlc_osd.h
   M /trunk/modules/misc/osd/osd_menu.c
   M /trunk/modules/misc/osd/osd_menu.h
   M /trunk/modules/misc/osd/parser.c
   M /trunk/modules/misc/osd/simple.c
   M /trunk/modules/misc/osd/xml.c

Refactor osdmenu parsing logic.

------------------------------------------------------------------------
r23069 | jpsaman | 2007-11-14 16:18:07 +0100 (Wed, 14 Nov 2007) | 2 lines
Changed paths:
   M /trunk/configure.ac

Add osd_parser to configure.ac

------------------------------------------------------------------------
r23068 | jpsaman | 2007-11-14 16:18:04 +0100 (Wed, 14 Nov 2007) | 2 lines
Changed paths:
   A /trunk/modules/misc/osd/simple.c
   A /trunk/modules/misc/osd/xml.c

Add new files which should have been in previous commit.

------------------------------------------------------------------------
r23067 | jpsaman | 2007-11-14 16:18:02 +0100 (Wed, 14 Nov 2007) | 2 lines
Changed paths:
   M /trunk/include/vlc_osd.h
   M /trunk/modules/misc/osd/Modules.am
   M /trunk/modules/misc/osd/parser.c
   M /trunk/src/Makefile.am
   M /trunk/src/osd/osd.c

Further factoring out osdmenu parser functionality from osdmenu handling. Started a dummy modules/misc/osd/xml.c osdmenu parser.

------------------------------------------------------------------------
r23066 | jpsaman | 2007-11-14 16:18:00 +0100 (Wed, 14 Nov 2007) | 2 lines
Changed paths:
   M /trunk/modules/misc/osd/Modules.am
   M /trunk/modules/misc/osd/osd_menu.h

Add newline to end of file, shuts up the compiler.

------------------------------------------------------------------------
r23065 | jpsaman | 2007-11-14 16:17:57 +0100 (Wed, 14 Nov 2007) | 2 lines
Changed paths:
   M /trunk/include/vlc_configuration.h
   M /trunk/include/vlc_osd.h
   A /trunk/modules/misc/osd
   A /trunk/modules/misc/osd/Modules.am
   A /trunk/modules/misc/osd/osd_menu.c
   A /trunk/modules/misc/osd/osd_menu.h
   A /trunk/modules/misc/osd/parser.c
   M /trunk/src/osd/osd.c
   D /trunk/src/osd/osd_parser.c

Fix merge conflicts for src/osd/osd.c

------------------------------------------------------------------------
r23064 | jpsaman | 2007-11-14 08:14:22 +0100 (Wed, 14 Nov 2007) | 2 lines
Changed paths:
   M /trunk/modules/codec/ffmpeg/video.c

Make PIX_FMT_RGBA dependend on ffmpeg with swscale. Patch by Remi Duraffort <ivoire at via.ecp.fr>.

------------------------------------------------------------------------
r23063 | funman | 2007-11-14 01:30:45 +0100 (Wed, 14 Nov 2007) | 2 lines
Changed paths:
   M /trunk/src/misc/objects.c

make vlc_object_timedwait() return immediately if the object or libvlc is dying

------------------------------------------------------------------------
r23062 | funman | 2007-11-14 00:28:22 +0100 (Wed, 14 Nov 2007) | 2 lines
Changed paths:
   M /trunk/modules/demux/playlist/xspf.c
   M /trunk/modules/misc/playlist/xspf.c

xspf: fix nodes encoding. big up to yoannp for fully nested xspf !

------------------------------------------------------------------------
r23061 | xtophe | 2007-11-13 23:44:36 +0100 (Tue, 13 Nov 2007) | 2 lines
Changed paths:
   M /trunk/modules/misc/screensaver.c

Cosmetic

------------------------------------------------------------------------
r23060 | yoann | 2007-11-13 23:10:58 +0100 (Tue, 13 Nov 2007) | 2 lines
Changed paths:
   M /trunk/modules/demux/playlist/xspf.c
   M /trunk/modules/misc/playlist/xspf.c
   M /trunk/src/playlist/loadsave.c

* XSPF nested playlist

------------------------------------------------------------------------
r23059 | dionoea | 2007-11-13 22:36:52 +0100 (Tue, 13 Nov 2007) | 2 lines
Changed paths:
   M /trunk/NEWS

Add news about Album art, luameta and luaintf.

------------------------------------------------------------------------
r23058 | dionoea | 2007-11-13 22:20:56 +0100 (Tue, 13 Nov 2007) | 2 lines
Changed paths:
   M /trunk/share/http/js/functions.js
   M /trunk/share/http-lua/js/functions.js

Fix error in javascript "playlist xml" -> html routine which messed up display of playlist with nodes 2 or more deep which didn't have any leaves.

------------------------------------------------------------------------
r23057 | dionoea | 2007-11-13 22:08:37 +0100 (Tue, 13 Nov 2007) | 2 lines
Changed paths:
   M /trunk/share/http-lua/dialogs/playlist
   A /trunk/share/http-lua/images/reset.png
   M /trunk/share/http-lua/js/functions.js
   M /trunk/share/http-lua/requests/playlist.xml

Add "search as you type" to the HTTP interface.

------------------------------------------------------------------------
r23056 | funman | 2007-11-13 19:21:46 +0100 (Tue, 13 Nov 2007) | 1 line
Changed paths:
   M /trunk/modules/demux/playlist/xspf.c

xspf demuxer: fix extension reading
------------------------------------------------------------------------
r23054 | jb | 2007-11-13 08:48:21 +0100 (Tue, 13 Nov 2007) | 3 lines
Changed paths:
   M /trunk/modules/demux/real.c

Cosmetic and initial support of sipr in rm demuxer. Doesn't work with all flavours yet.


------------------------------------------------------------------------
r23053 | jb | 2007-11-13 08:39:09 +0100 (Tue, 13 Nov 2007) | 4 lines
Changed paths:
   M /trunk/modules/codec/realaudio.c

Real decoder: Use the real libraries to decode atrac and sipr (sipr still doesn't work, because the flavour is misdetected)
Add a few ifdefs for Loader use.


------------------------------------------------------------------------
r23052 | jb | 2007-11-13 07:33:10 +0100 (Tue, 13 Nov 2007) | 4 lines
Changed paths:
   M /trunk/modules/demux/real.c

Real Demuxer: Support for Atrac-3 codecs in Real files. Close #1359.
Some new comments are in.


------------------------------------------------------------------------
r23051 | jb | 2007-11-13 06:24:02 +0100 (Tue, 13 Nov 2007) | 3 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile

Don't make fontconfig depend on Makefile in contribs, it is boring to recompile all the time :D


------------------------------------------------------------------------
r23050 | jb | 2007-11-13 06:19:10 +0100 (Tue, 13 Nov 2007) | 3 lines
Changed paths:
   M /trunk/extras/contrib/src/packages.mak

Libcdio update for Mac OS Contribs, memleaks and small bugs.


------------------------------------------------------------------------
r23049 | jb | 2007-11-13 06:05:06 +0100 (Tue, 13 Nov 2007) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/packages.mak

Contribs: png version bumps to 1.2.23, cleaning and perf release. For once, no CVE :D

------------------------------------------------------------------------
r23048 | jb | 2007-11-13 05:58:42 +0100 (Tue, 13 Nov 2007) | 4 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile
   M /trunk/extras/contrib/src/packages.mak

Contribs: jump to faad 2.6.1. The patch is useless, but don't remove it might still be usefull.



------------------------------------------------------------------------
r23047 | jb | 2007-11-13 05:56:04 +0100 (Tue, 13 Nov 2007) | 3 lines
Changed paths:
   M /trunk/THANKS

Start a contribs section in THANKS. This is just a beginning and may need to be rewritten, changed etc...
Anyway, it is now valid to use faad2 v >= 2.6.1

------------------------------------------------------------------------
r23046 | pdherbemont | 2007-11-13 00:12:43 +0100 (Tue, 13 Nov 2007) | 2 lines
Changed paths:
   M /trunk/Makefile.am

Makefile.am: Remove for goods disabled code. (as per funman's request).

------------------------------------------------------------------------
r23045 | ileoo | 2007-11-13 00:02:18 +0100 (Tue, 13 Nov 2007) | 4 lines
Changed paths:
   M /trunk/modules/demux/live555.cpp

GET_PARAMETERS doesn't seem to work so well agains DSS 5.5.4,
SET_PARAMETERS works agains DSS 5.5.4 and WMS 2003. WMS2003 doesn't
accept empty parameter/value pair, so have to set something.

------------------------------------------------------------------------
r23044 | pdherbemont | 2007-11-12 23:59:14 +0100 (Mon, 12 Nov 2007) | 2 lines
Changed paths:
   M /trunk/Makefile.am

Makefile.am: Disable icon positionement in the dmg.

------------------------------------------------------------------------
r23043 | dionoea | 2007-11-12 23:27:00 +0100 (Mon, 12 Nov 2007) | 3 lines
Changed paths:
   M /trunk/modules/misc/lua/intf.c
   M /trunk/share/luaintf/rc.lua

Fix problem with the search lua wrapper (it always returned the "category" playlist even when searching in "onelevel" mode).
Remove debug prints from the rc.lua module.

------------------------------------------------------------------------
r23042 | dionoea | 2007-11-12 23:18:31 +0100 (Mon, 12 Nov 2007) | 2 lines
Changed paths:
   M /trunk/share/luaintf/rc.lua

Add option to use a flat playlist in the rc.lua interface (default disabled).

------------------------------------------------------------------------
r23041 | xtophe | 2007-11-12 23:08:54 +0100 (Mon, 12 Nov 2007) | 2 lines
Changed paths:
   M /trunk/po/sv.po

Swedish translation update by Daniel Nylander

------------------------------------------------------------------------
r23040 | dionoea | 2007-11-12 23:00:47 +0100 (Mon, 12 Nov 2007) | 2 lines
Changed paths:
   M /trunk/modules/misc/lua/Modules.am
   M /trunk/modules/misc/lua/intf.c
   A /trunk/modules/misc/lua/sd.c (from /trunk/modules/misc/lua/acl.c:23010)
   M /trunk/modules/misc/lua/vlc.h
   M /trunk/share/http-lua/dialogs/playlist
   M /trunk/share/http-lua/requests/playlist.xml
   M /trunk/share/http-lua/requests/status.xml
   M /trunk/share/luaintf/rc.lua

Add services discovery support and enhance playlist support for lua interface modules. Added "search", "sort" and "sd" commands to rc.lua. Restored true playlist functionality and sd selection in the lua http intf.

------------------------------------------------------------------------
r23039 | funman | 2007-11-12 22:47:08 +0100 (Mon, 12 Nov 2007) | 2 lines
Changed paths:
   M /trunk/share/Makefile.am
   A /trunk/share/luaplaylist/joox.lua

luaplaylist: adds experimental script for joox.net

------------------------------------------------------------------------
r23038 | funman | 2007-11-12 21:10:54 +0100 (Mon, 12 Nov 2007) | 2 lines
Changed paths:
   M /trunk/modules/misc/playlist/xspf.c

xspf export: write the extension tag before the trackList, we'll need to read it first to handle it properly.

------------------------------------------------------------------------
r23037 | pdherbemont | 2007-11-12 17:39:18 +0100 (Mon, 12 Nov 2007) | 2 lines
Changed paths:
   M /trunk/modules/services_discovery/upnp_intel.cpp

modules/services_discovery/upnp_intel.cpp: Add a todo note: this module needs to be rewritten used the new services discovery API. (this is not really helpful, but yet, that could help to track bugs).

------------------------------------------------------------------------
r23036 | damienf | 2007-11-12 15:44:20 +0100 (Mon, 12 Nov 2007) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile
   D /trunk/extras/contrib/src/Patches/libdvdnav-20050211-win32.patch
   D /trunk/extras/contrib/src/Patches/libdvdnav-mactel.patch
   A /trunk/extras/contrib/src/Patches/libdvdnav.patch
   D /trunk/extras/contrib/src/Patches/libdvdread-20041028-win32.patch
   D /trunk/extras/contrib/src/Patches/libdvdread.patch
   M /trunk/extras/contrib/src/packages.mak

dvdnav: support for new incarnation hosted in mplayerhq

------------------------------------------------------------------------
r23035 | funman | 2007-11-12 14:36:09 +0100 (Mon, 12 Nov 2007) | 3 lines
Changed paths:
   M /trunk/modules/services_discovery/shout.c
   M /trunk/src/playlist/services_discovery.c

services_discovery_SetLocalizedName() is now mandatory. Fix #1344
upnp_intel module still has to be rewritten (it will crash at runtime)

------------------------------------------------------------------------
r23034 | funman | 2007-11-12 14:34:54 +0100 (Mon, 12 Nov 2007) | 2 lines
Changed paths:
   M /trunk/share/luameta/googleimage.lua

googleimage plugin: don't run vlc.uri_decode on a nil string

------------------------------------------------------------------------
r23029 | jb | 2007-11-12 08:50:16 +0100 (Mon, 12 Nov 2007) | 2 lines
Changed paths:
   M /trunk/modules/gui/wxwidgets/dialogs/playlist.cpp

Wx: this should fix the [23027] commit for compilation. needs review.

------------------------------------------------------------------------
r23028 | pdherbemont | 2007-11-11 22:09:55 +0100 (Sun, 11 Nov 2007) | 2 lines
Changed paths:
   M /trunk/configure.ac

configure.ac: Fix a typo in my previous commit.

------------------------------------------------------------------------
r23027 | dionoea | 2007-11-11 22:08:36 +0100 (Sun, 11 Nov 2007) | 2 lines
Changed paths:
   M /trunk/include/vlc_services_discovery.h
   M /trunk/modules/gui/qt4/menus.cpp
   M /trunk/modules/gui/wxwidgets/dialogs/playlist.cpp
   M /trunk/src/playlist/services_discovery.c

Use the services_discovery_GetServicesNames() function in the qt4 and wxwidgets (i don't compile the wxwidgets module so there might be a few warnings/errors). This removes comprehension of how VLC modules work from the interface plugins. This change still needs to be done in the modules/gui/macosx/playlist.m file.

------------------------------------------------------------------------
r23026 | pdherbemont | 2007-11-11 22:03:42 +0100 (Sun, 11 Nov 2007) | 2 lines
Changed paths:
   M /trunk/configure.ac

configure.ac: Fix Mac OS X 10.4 support (Reported by Enrique Osuna).

------------------------------------------------------------------------
r23025 | dionoea | 2007-11-11 21:32:43 +0100 (Sun, 11 Nov 2007) | 2 lines
Changed paths:
   M /trunk/include/vlc_modules.h
   M /trunk/include/vlc_services_discovery.h
   M /trunk/src/modules/modules.c
   M /trunk/src/playlist/services_discovery.c

Add argument to module_GetModulesNamesForCapability (and services_discovery_GetServicesNames) to also get the longnames.

------------------------------------------------------------------------
r23024 | dionoea | 2007-11-11 21:16:51 +0100 (Sun, 11 Nov 2007) | 2 lines
Changed paths:
   M /trunk/src/modules/modules.c

Fix module_GetModulesNamesForCapability() and make it handle submodules properly (ie: the shoutcasttv submodule is returned as "shoutcasttv" instead of "shout"). This function (or its services_discovery_GetServicesNames(p_this) specialised version) should be used in interfaces, instead of the current code duplication.

------------------------------------------------------------------------
r23023 | xtophe | 2007-11-11 20:26:32 +0100 (Sun, 11 Nov 2007) | 1 line
Changed paths:
   M /trunk/Makefile.am

Fix [23001]
------------------------------------------------------------------------
r23022 | funman | 2007-11-11 19:48:07 +0100 (Sun, 11 Nov 2007) | 3 lines
Changed paths:
   M /trunk/modules/audio_output/alsa.c

alsa: use the pcm status to compute the delay. fix #894 (spdif passthrough)
Please report loudly any regression, using spdif or not.

------------------------------------------------------------------------
r23021 | fkuehne | 2007-11-11 16:48:39 +0100 (Sun, 11 Nov 2007) | 1 line
Changed paths:
   M /trunk/extras/contrib/bootstrap

* updated the comments, so other people can understand what we're doing on Leopard
------------------------------------------------------------------------
r23020 | pdherbemont | 2007-11-11 15:50:30 +0100 (Sun, 11 Nov 2007) | 2 lines
Changed paths:
   M /trunk/configure.ac

configure.ac: Because of the ld text relocation bug on Mac OS X, we have to disable ffmpeg when using such linker for the time being. Add a big warning at the end of configure if we are in such a configuration.

------------------------------------------------------------------------
r23019 | funman | 2007-11-11 14:45:16 +0100 (Sun, 11 Nov 2007) | 1 line
Changed paths:
   M /trunk/share/Makefile.am

Install required files for lua http interface
------------------------------------------------------------------------
r23018 | jb | 2007-11-11 07:08:59 +0100 (Sun, 11 Nov 2007) | 3 lines
Changed paths:
   M /trunk/modules/codec/realaudio.c

Real Audio: Add support for RealPlayer 10/10GOLD .so


------------------------------------------------------------------------
r23017 | jb | 2007-11-11 05:46:31 +0100 (Sun, 11 Nov 2007) | 3 lines
Changed paths:
   M /trunk/modules/codec/realaudio.c

More Real Codecs paths.


------------------------------------------------------------------------
r23016 | jb | 2007-11-11 05:02:48 +0100 (Sun, 11 Nov 2007) | 3 lines
Changed paths:
   M /trunk/modules/codec/realaudio.c

RealAudio, more paths to search realAudio codecs.


------------------------------------------------------------------------
r23015 | jb | 2007-11-11 04:26:09 +0100 (Sun, 11 Nov 2007) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/interface_widgets.cpp

Qt4 - Use >= instead of == in loopA-B (thanks funman)


------------------------------------------------------------------------
r23014 | jb | 2007-11-11 02:52:28 +0100 (Sun, 11 Nov 2007) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/interface_widgets.cpp
   M /trunk/modules/gui/qt4/components/interface_widgets.hpp

Qt4 - A to B Loop implementation.


------------------------------------------------------------------------
r23013 | jb | 2007-11-11 02:51:57 +0100 (Sun, 11 Nov 2007) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/input_manager.cpp

Store the time and length in int, since we use only the seconds count.


------------------------------------------------------------------------
r23012 | fkuehne | 2007-11-11 00:21:41 +0100 (Sun, 11 Nov 2007) | 1 line
Changed paths:
   M /trunk/modules/demux/avi/avi.c
   M /trunk/src/misc/update.c

* a few more
------------------------------------------------------------------------
r23011 | fkuehne | 2007-11-11 00:14:17 +0100 (Sun, 11 Nov 2007) | 1 line
Changed paths:
   M /trunk/modules/access/dshow/dshow.cpp
   M /trunk/modules/access/dvdread.c
   M /trunk/modules/access/file.c
   M /trunk/modules/audio_output/auhal.c
   M /trunk/modules/misc/audioscrobbler.c
   M /trunk/src/input/decoder.c
   M /trunk/src/input/input.c

* English grammar fixes and beautifications for the intf_UserFatal messages
------------------------------------------------------------------------
r23010 | dionoea | 2007-11-10 17:34:53 +0100 (Sat, 10 Nov 2007) | 12 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/modules/misc/lua/Modules.am
   A /trunk/modules/misc/lua/acl.c (from /trunk/modules/misc/lua/net.c:22977)
   M /trunk/modules/misc/lua/callbacks.c
   A /trunk/modules/misc/lua/httpd.c (from /trunk/modules/misc/lua/net.c:22977)
   M /trunk/modules/misc/lua/intf.c
   M /trunk/modules/misc/lua/net.c
   M /trunk/modules/misc/lua/vlc.c
   M /trunk/modules/misc/lua/vlc.h
   M /trunk/share/Makefile.am
   A /trunk/share/http-lua (from /trunk/share/http:22977)
   A /trunk/share/http-lua/custom.lua
   M /trunk/share/http-lua/dialogs/browse
   M /trunk/share/http-lua/dialogs/footer
   M /trunk/share/http-lua/dialogs/input
   M /trunk/share/http-lua/dialogs/main
   M /trunk/share/http-lua/dialogs/mosaic
   M /trunk/share/http-lua/dialogs/playlist
   M /trunk/share/http-lua/dialogs/sout
   M /trunk/share/http-lua/dialogs/vlm
   M /trunk/share/http-lua/flash.html
   M /trunk/share/http-lua/index.html
   R /trunk/share/http-lua/js (from /trunk/share/http/js:23009)
   R /trunk/share/http-lua/js/functions.js (from /trunk/share/http/js/functions.js:23009)
   M /trunk/share/http-lua/mosaic.html
   M /trunk/share/http-lua/requests/browse.xml
   M /trunk/share/http-lua/requests/playlist.xml
   M /trunk/share/http-lua/requests/status.xml
   M /trunk/share/http-lua/requests/vlm.xml
   M /trunk/share/http-lua/requests/vlm_cmd.xml
   M /trunk/share/http-lua/vlm.html
   M /trunk/share/http-lua/vlm_export.html
   A /trunk/share/luaintf/http.lua (from /trunk/share/luaintf/rc.lua:22977)
   A /trunk/share/luaintf/modules/acl.lua (from /trunk/share/luaintf/modules/host.lua:22977)
   M /trunk/share/luaintf/modules/common.lua
   A /trunk/share/luaintf/modules/httpd.lua (from /trunk/share/luaintf/modules/host.lua:22977)
   M /trunk/share/luaintf/rc.lua

Port the http interface to the Lua Interface Module framework.

 * share/luaintf/http.lua: Equivalent of the legacy modules/control/http/
   module. (The new module takes 272 lines of Lua, instead of 5475 lines for
   the old one.) Functionality is basically the same except for CGI support
   which is missing.
 * share/http-lua/: The HTML files using the new <?vlc [lua code] ?> syntax.
 * modules/misc/lua/: Add Lua bindings for a few VLC function, the most
   important being the HTTPd high level functions, ACLs, stat and opendir.

The Lua code still needs to be cleaned up a bit.

------------------------------------------------------------------------
r23009 | pdherbemont | 2007-11-10 16:26:11 +0100 (Sat, 10 Nov 2007) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile

contrib/src/Makefile: Update ffmpeg macosx-intel patch application recipe.

------------------------------------------------------------------------
r23008 | pdherbemont | 2007-11-10 16:09:52 +0100 (Sat, 10 Nov 2007) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Patches/ffmpeg-macosx-intel-mmx.patch

contrib/ffmpeg-macosx-intel-mmx.patch: Use Graham Booker's patch which works around the ld64 text relocation bug.

------------------------------------------------------------------------
r23007 | pdherbemont | 2007-11-10 15:58:14 +0100 (Sat, 10 Nov 2007) | 2 lines
Changed paths:
   M /trunk/configure.ac

configure.ac: On Mac OS X, if ld has the text reloc bug, disable mmx and sse.

------------------------------------------------------------------------
r23006 | pdherbemont | 2007-11-10 15:23:03 +0100 (Sat, 10 Nov 2007) | 2 lines
Changed paths:
   M /trunk/configure.ac

configure.ac: Allow --disable-mmx and --disable-sse.

------------------------------------------------------------------------
r23005 | fkuehne | 2007-11-10 15:11:33 +0100 (Sat, 10 Nov 2007) | 1 line
Changed paths:
   M /trunk/extras/contrib/bootstrap

ehm, forgot this in [23004]
------------------------------------------------------------------------
r23004 | fkuehne | 2007-11-10 15:10:33 +0100 (Sat, 10 Nov 2007) | 1 line
Changed paths:
   M /trunk/extras/contrib/src/Makefile

* disable ASM support in libtheora for now (until the authors release a fixed version or Apple a fixed ld)
------------------------------------------------------------------------
r23003 | damienf | 2007-11-10 00:39:35 +0100 (Sat, 10 Nov 2007) | 2 lines
Changed paths:
   M /trunk/configure.ac

- lua: meeds winsock2 on win32

------------------------------------------------------------------------
r23002 | xtophe | 2007-11-09 23:07:51 +0100 (Fri, 09 Nov 2007) | 2 lines
Changed paths:
   M /trunk/Makefile.am

Don't replace @ on file without e-mail address

------------------------------------------------------------------------
r23001 | jb | 2007-11-09 19:59:33 +0100 (Fri, 09 Nov 2007) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/simple_preferences.cpp
   M /trunk/modules/gui/qt4/ui/sprefs_audio.ui

Qt4 - Sprefs: cosmetic and string change.


------------------------------------------------------------------------
r23000 | xtophe | 2007-11-09 19:43:12 +0100 (Fri, 09 Nov 2007) | 1 line
Changed paths:
   M /trunk/modules/audio_filter/channel_mixer/mono.c

Typo
------------------------------------------------------------------------
r22999 | xtophe | 2007-11-09 19:19:53 +0100 (Fri, 09 Nov 2007) | 2 lines
Changed paths:
   M /trunk/src/libvlc-common.c

Bool options need a special format

------------------------------------------------------------------------
r22998 | jpsaman | 2007-11-09 11:26:44 +0100 (Fri, 09 Nov 2007) | 2 lines
Changed paths:
   M /trunk/modules/codec/dvbsub.c

Fix some potential segfaults, some cleanup and fix subtitling positioning.

------------------------------------------------------------------------
r22997 | jb | 2007-11-09 03:30:53 +0100 (Fri, 09 Nov 2007) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/dialogs/open.cpp
   M /trunk/modules/gui/qt4/dialogs/open.hpp
   M /trunk/modules/gui/qt4/dialogs_provider.hpp

Qt4 - Open: clean again, and fix the clear() bug.

------------------------------------------------------------------------
r22996 | jb | 2007-11-09 03:11:08 +0100 (Fri, 09 Nov 2007) | 2 lines
Changed paths:
   M /trunk/modules/gui/qt4/dialogs/open.cpp

Qt4 - Open Dialog: Code cosmetic.

------------------------------------------------------------------------
r22995 | jb | 2007-11-09 03:06:42 +0100 (Fri, 09 Nov 2007) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/dialogs/open.cpp
   M /trunk/modules/gui/qt4/dialogs_provider.cpp
   M /trunk/modules/gui/qt4/dialogs_provider.hpp
   M /trunk/modules/gui/qt4/main_interface.cpp
   M /trunk/modules/gui/qt4/ui/sprefs_interface.ui

Qt4 - Slight string change and code cosmetic.


------------------------------------------------------------------------
r22994 | xtophe | 2007-11-09 00:08:19 +0100 (Fri, 09 Nov 2007) | 2 lines
Changed paths:
   M /trunk/src/libvlc-module.c

typo

------------------------------------------------------------------------
r22993 | xtophe | 2007-11-08 23:52:51 +0100 (Thu, 08 Nov 2007) | 2 lines
Changed paths:
   M /trunk/po/sl.po

Slovenian l10n update by Matej Urban?\196?\141i?\196?\141

------------------------------------------------------------------------
r22992 | dionoea | 2007-11-08 23:14:52 +0100 (Thu, 08 Nov 2007) | 2 lines
Changed paths:
   M /trunk/share/http/js/functions.js

Remove AltGr+Space character (firefox doesn't like it).

------------------------------------------------------------------------
r22991 | jb | 2007-11-08 02:07:15 +0100 (Thu, 08 Nov 2007) | 3 lines
Changed paths:
   M /trunk/src/playlist/thread.c

Correct a typo in [22984], s/meta-fetch/fetch-meta :D


------------------------------------------------------------------------
r22990 | jb | 2007-11-08 01:54:54 +0100 (Thu, 08 Nov 2007) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/ui/sprefs_interface.ui

Qt4 - strings modif.


------------------------------------------------------------------------
r22989 | jb | 2007-11-08 01:45:23 +0100 (Thu, 08 Nov 2007) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/ui/sprefs_interface.ui

Qt4 - Interfaces, strings change.


------------------------------------------------------------------------
r22988 | funman | 2007-11-08 01:36:09 +0100 (Thu, 08 Nov 2007) | 2 lines
Changed paths:
   M /trunk/po/af.po
   M /trunk/po/ar.po
   M /trunk/po/bn.po
   M /trunk/po/ca.po
   M /trunk/po/co.po
   M /trunk/po/cs.po
   M /trunk/po/da.po
   M /trunk/po/de.po
   M /trunk/po/el.po
   M /trunk/po/en_GB.po
   M /trunk/po/es.po
   M /trunk/po/eu.po
   M /trunk/po/fa.po
   M /trunk/po/fi.po
   M /trunk/po/fr.po
   M /trunk/po/fur.po
   M /trunk/po/gl.po
   M /trunk/po/he.po
   M /trunk/po/hi.po
   M /trunk/po/hu.po
   M /trunk/po/it.po
   M /trunk/po/ja.po
   M /trunk/po/ka.po
   M /trunk/po/ko.po
   M /trunk/po/lt.po
   M /trunk/po/lv.po
   M /trunk/po/ms.po
   M /trunk/po/my.po
   M /trunk/po/ne.po
   M /trunk/po/nl.po
   M /trunk/po/no.po
   M /trunk/po/oc.po
   M /trunk/po/pa.po
   M /trunk/po/pl.po
   M /trunk/po/ps.po
   M /trunk/po/pt_BR.po
   M /trunk/po/pt_PT.po
   M /trunk/po/ro.po
   M /trunk/po/ru.po
   M /trunk/po/sk.po
   M /trunk/po/sl.po
   M /trunk/po/sq.po
   M /trunk/po/sv.po
   M /trunk/po/tet.po
   M /trunk/po/th.po
   M /trunk/po/tl.po
   M /trunk/po/tr.po
   M /trunk/po/zh_CN.po
   M /trunk/po/zh_TW.po

check in updated po files

------------------------------------------------------------------------
r22987 | xtophe | 2007-11-08 01:07:58 +0100 (Thu, 08 Nov 2007) | 2 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/po/POTFILES.in

Don't put built sources in POTFILES.in

------------------------------------------------------------------------
r22986 | jb | 2007-11-08 00:22:59 +0100 (Thu, 08 Nov 2007) | 4 lines
Changed paths:
   M /trunk/modules/codec/ffmpeg/ffmpeg.c

FFmpeg - add the MPCK fourCC, that seems to be associated to some SV8.
But it may be useless, because of our mpc demuxer...


------------------------------------------------------------------------
r22985 | jb | 2007-11-08 00:00:58 +0100 (Thu, 08 Nov 2007) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/simple_preferences.cpp
   M /trunk/modules/gui/qt4/ui/sprefs_interface.ui

Qt4 - Add the meta-fetcher option to the privacy part of the Simple preferences.


------------------------------------------------------------------------
r22984 | pdherbemont | 2007-11-07 22:21:46 +0100 (Wed, 07 Nov 2007) | 2 lines
Changed paths:
   M /trunk/src/libvlc-module.c
   M /trunk/src/playlist/engine.c
   M /trunk/src/playlist/playlist_internal.h
   M /trunk/src/playlist/thread.c

playlist: Add an option to disable meta-fetch. (Need to be merged with art-fetch).

------------------------------------------------------------------------
r22983 | xtophe | 2007-11-07 21:20:41 +0100 (Wed, 07 Nov 2007) | 2 lines
Changed paths:
   M /trunk/po/POTFILES.in
   M /trunk/po/vlc.pot

Update vlc.pot

------------------------------------------------------------------------
r22982 | dionoea | 2007-11-07 20:36:02 +0100 (Wed, 07 Nov 2007) | 2 lines
Changed paths:
   M /trunk/include/vlc_httpd.h
   M /trunk/src/network/httpd.c

Return the p_sys pointer in the httpd_{Handler,File}Delete functions (in case you need it to clean up stuff).

------------------------------------------------------------------------
r22981 | jb | 2007-11-07 18:59:24 +0100 (Wed, 07 Nov 2007) | 3 lines
Changed paths:
   M /trunk/modules/gui/qt4/components/simple_preferences.cpp
   M /trunk/modules/gui/qt4/qt4.cpp
   M /trunk/modules/gui/qt4/ui/sprefs_interface.ui

Qt4 - Add some privacy options to Simple Preferences.


------------------------------------------------------------------------
